-- autostart
-- core.*
-- scene_selectors
-- scene_members
sceneState = gameState.scene01
game.isSceneNeedProcessDialog = true

-- включен ли хог
if sceneState.hogIsOn == nil then
	sceneState.hogIsOn = false
end

if sceneState.isTutorial == nil then
	sceneState.isTutorial = 0
end

if sceneState.fistTime == nil then
	sceneState.fistTime = true
end

if not sceneState.trainticket then
	sceneState.trainticket = 0
end

if not sceneState.arrows then
	sceneState.arrows = 0
end

if not sceneState.lionParts then
	sceneState.lionParts = 0
end

--билет в кампостере

if not sceneState.wholeTicket then
	 sceneState.wholeTicket = 0
end
game.isSceneNeedDefaultBGmusic = false
SimpleAudioEngine:sharedEngine():stopBackgroundMusic()
core.stopAllEffects(SimpleAudioEngine:sharedEngine())
prevMusicPath = nil
effectID = SimpleAudioEngine:sharedEngine():playEffect(CCFileUtils:sharedFileUtils():fullPathFromRelativePath("music/amb/a_1001_trainsteaming.mp3"),true)
effectID = SimpleAudioEngine:sharedEngine():playEffect(CCFileUtils:sharedFileUtils():fullPathFromRelativePath("music/amb/a_1004_steamenginelooplow.mp3"),true)

-- функция которая проверяет какой элемент будет помечен подсказкой
-- hintItem то какой обьект подсвечивается про нажатии на подсказку
function showCurrentHint()	
	if (sceneState.trainticket == 0) then -- no ticket
        print("traintic: "..sceneState.trainticket)
		hintItem = scene_members.trainticket
        core.CCLOG("hoghint1")
		return;
	end
    
    if (game.hasItem("arrows",1) ) then
		hintItem = scene_members.clockhint
        core.CCLOG("hoghint4")
		return
	end
	
	if (sceneState.arrows == 0) then -- no arrows
        core.CCLOG("hoghint2")
		hintItem = scene_members.hoghint
		return;
	end
	
	if (sceneState.arrows < 2) then
		hintItem = scene_members.tablehint
        core.CCLOG("hoghint3")
		return
	end
	
	-----
	
	if (game.hasItem("lion", 4)) then
		hintItem = scene_members.lionhint
		return
	end
	
	if (game.hasItem("ticket",5) and sceneState.lionParts == 1) then
		hintItem = scene_members.lionhint
        core.CCLOG("hoghint4")
		return
	end
	
	if (sceneState.wholeTicket == 1) then
		hintItem = scene_members.lionhint
        core.CCLOG("hoghint5")
		return
	end
	
	if (sceneState.wholeTicket == 2) then
		hintItem = scene_members.doorhint
        core.CCLOG("hoghint6")
		return
	end
	core.CCLOG("hoghint7")
    hintItem = scene_members.gateshint
	
end



local function unlockAllItems()
    scene_members.timeTableButton:setVisible(true)
    scene_members.lionButton:setVisible(true)
    scene_members.clockButton:setVisible(true)
    scene_members.trainticket:setVisible(true)
    scene_members.settingsCallButton:setEnabled(true)
    scene_members.hintButton:setEnabled(true)
    gameState.openWindow = 0
    scene_members.tutorialBase:setVisible(sceneState.isTutorial == 1)
    scene_members.tuturialArrowTicket:setVisible(sceneState.isTutorial == 1)
    scene_members.tutorialDiscription:setAlignment(kCCTextAlignmentCenter)
    scene_members.tutorialDiscription:setString(LOCALIZE("TUTORIAL_DESCRIPTION"..sceneState.isTutorial))
    
    
end

function scene_selectors.noButtonPressed(sender)
    game.buttonClick(1)
    scene_members.playTuturialWindow:setVisible(false)
    unlockAllItems()
end

function scene_selectors.yesButtonPressed(sender)
    game.buttonClick(1)
    scene_members.playTuturialWindow:setVisible(false)
    sceneState.isTutorial = 1
    unlockAllItems()
    
end

local function buttonsClick()
    print("HeHeHe")
    closeProcessDialog()
    scene_members.shadow:runAction(CCFadeOut:create(0.5))
    scene_members.shadowParticles:setVisible(true)
    effectID = SimpleAudioEngine:sharedEngine():playEffect(CCFileUtils:sharedFileUtils():fullPathFromRelativePath("music/sfx/s_0064_ghostout.mp3"))
    scene_members.shadowParticles:runAction(CCSequence:createWithTwoActions(CCMoveTo:create(0.7,ccp(160,315)), CCCallFunc:create(function()
                                                                                                                                 scene_members.shadowParticles:runAction(CCFadeOut:create(0.2))
                                                                                                                                 scene_members.playTuturialWindow:setVisible(true)
                                                                                                                                 scene_members.shadowParticles:setVisible(false)
                                                                                                                                 scene_members.yesDescription:setString(LOCALIZE("ANSWER_YES"))
                                                                                                                                 scene_members.noDescription:setString(LOCALIZE("ANSWER_NO"))
                                                                                                                                 scene_members.playTutorialDescription:setString(LOCALIZE("TUTORIAL_DESCRIPTION0"))
                                                                                                                                 end)))
    sceneState.fistTime = false
end

function game.onSceneStartCustom()
    
	if not sceneState.arrowsInInventory then sceneState.arrowsInInventory = 0 end
        if(sceneState.fistTime)then
        scene_members.shadow:setVisible(true)
        scene_members.trainticket:setVisible(false)
        scene_members.settingsCallButton:setEnabled(false)
        scene_members.hintButton:setEnabled(false)
        showProcessDialogWithDiscription(LOCALIZE("S1_DIALOG"),buttonsClick,buttonsClick)
        gameState.openWindow = 1
    end
    if(GAME_DEBUG ~= 1) then
        scene_members.gatesButton:setEnabled(true)
        if(gameState.scene02.vortexPlace ~=0) then
            gameState.scene02.vortexPlace = 1
        end
        event()
    end
	--debug
	--[[scene_members.gatesButton:setEnabled(true)
    if(gameState.scene02.vortexPlace ~=0) then
        gameState.scene02.vortexPlace = 1
	end
	event()]]
	--endDebug
end



function scene_selectors.lionLeverPressed(sender)
	if(sceneState.wholeTicket == 1 and sceneState.lionParts ==1 )then
		scene_members.lionPart3:runAction(CCFadeOut:create(0.3))
		scene_members.leverDown:runAction(CCFadeIn:create(0.3))
		scene_members.leverDown:setVisible(true)
		scene_members.lionPart2:runAction(CCFadeOut:create(0.3))
		scene_members.lionPart4:runAction(CCFadeOut:create(0.3))
		scene_members.jawClose:setVisible(true)
        
		scene_members.jawClose:runAction(CCSequence:createWithTwoActions(CCFadeIn:create(0.3), CCCallFunc:create(function()
																														sceneState.wholeTicket = 2
                                                                                                                 scene_members.lionButton:setVisible(false)
																													   game.closeSubScene()
																													   end
																													   )))
		
	end
end


function scene_selectors.timeTableButtonPressed(sender)
	print("Time table");
	game.initSubScene("scene_1table","timeTable")
	showDescription(LOCALIZE("S1_TIMETABLE"))
end

local function showLionParts()
	for cur = 1,4 do
		scene_members["lionPart"..cur]:setVisible(sceneState.lionParts == 1)
	end
end
local function openWagonDoor()
scene_members.leverDown = nil
	if(sceneState.wholeTicket == 2)then
		scene_members.openWagonDoor:runAction(CCFadeIn:create(0.3))
		scene_members.openWagonDoor:setVisible(true)
	end
end

function scene_selectors.lionButtonPressed(sender)
	print("Lion table");
	game.initSubScene("scene_1_3","lnLayer",nil,openWagonDoor)
	showDescription(LOCALIZE("S1_LIONNOPARTS"))
	showLionParts()
	scene_members.wholeTicket:setVisible(sceneState.wholeTicket == 1)
end
-- играет эффект на часах с определённам интервалом
function scene_animations.runningArrowsAnimationEnd()
    if(tmp.clockSound == nil) then tmp.clockSound = 1 end
    if(tmp.clockSound == 1) then
        effectID = SimpleAudioEngine:sharedEngine():playEffect(CCFileUtils:sharedFileUtils():fullPathFromRelativePath("music/amb/a_2002_clock.mp3"))
        tmp.clockSound = 0
        scene_members.invPanelSprite:runAction(CCSequence:createWithTwoActions(CCDelayTime:create(16), CCCallFunc:create(function()
                                                                                                                --print("clock!")
                                                                                                                         tmp.clockSound = 1 end)))
    end
end

function scene_selectors.hospitalPressed(sender)
	if(sceneState.wholeTicket <2 ) then
		return
	end
    local function continueButtonPresed()
        print("continueCutMovie")
        if(sceneState.cutMovie == 4)then
            game.startSceneWithSaveState("scene_26", "26_hospital");
            return
        end
        game.runMovie("cutScene6_1parts"..sceneState.cutMovie,"scene_26", "26_hospital",true,continueButtonPresed,skipButtonPresed)
        sceneState.cutMovie = sceneState.cutMovie + 1
    end

        --eosa124
    --[[local]] function skipButtonPresed()
        print("skipCutMovie")
        game.startSceneWithSaveState("scene_26", "26_hospital");
        --showFinalDialog()
    end
    --clearing inventory EOSA-110
        gameState.inventory = {}
        gameState.slots = {}
        gameState.Slotcount = 1
        gameState.Descriptions = {}
        gameState.StartIndexCount = 1
        gameState.StartIndexShiftCount = 0
    --
    game.runMovie("cutScene6_1parts1","scene_26", "26_hospital",true,continueButtonPresed,skipButtonPresed)
    sceneState.cutMovie = 2
end

function scene_selectors.hogPressed(sender)
    -- hog start here
    print("hog!")
    game.startSubScene("scene_1_1", scene_members.minigames, scene_members.sceneMenu)
    sceneHOGNum = 1;
    game.initCommonHog(scene01)
    --scene_members.hogParticles:setVisible(false)
	
end


local function setArrowAngle(arrowP, arrButton, action)
	local x = 0
	local y = 0
	x,y = core.getLastTouchLocation(arrButton)
	px,py = arrowP:getPosition();
    local w,h = core.getScreenHeight()
    local p1,p2 = core.takeScreenParams()
    local scale = core.getScaleFactor(currentSceneTopElement)
    if(scale ~=1)then
        --py = py - ((p1 - h)/p2)
    end
	local angle = 90-math.deg(math.atan2(y-py,x-px));
	arrowP:setRotation(angle);
	arrButton:setRotation(angle);
	if action == 32 or action == 64 then
		if( ((scene_members.hourArrow:getRotation() < -45) and (scene_members.hourArrow:getRotation() > -71) )  and  ( (scene_members.minuteArrow:getRotation() > 200) and (scene_members.minuteArrow:getRotation() < 215) ) ) then
			gameState.scene02.vortexPlace = 1
			scene_members.hourControlButton:setTouchEnabled(false)
	  		scene_members.minuteControlButton:setTouchEnabled(false)
			scene_members.clockParticles:setVisible(true)
            effectID = SimpleAudioEngine:sharedEngine():playEffect(CCFileUtils:sharedFileUtils():fullPathFromRelativePath("music/sfx/s_0024_actionok.mp3"))
			game.restartParticles(scene_members.clockParticles)
			sceneState.arrows = 2
			game.closeSubSceneInTime(1)
			updateScreen()
		end
	end
end


function scene_selectors.hourControlButtonPressed(sender, action)
    print("Hour: ", action)
    setArrowAngle(scene_members.hourArrow, scene_members.hourControlButton, action)
end


function scene_selectors.minuteControlButtonPressed(sender, action)
    print("Minute: ", action)
    setArrowAngle(scene_members.minuteArrow, scene_members.minuteControlButton, action)
end


local function setDiscription(state)
	if(state == nil or state == 0)then
		showDescription(LOCALIZE("S1_NOARROWS"))
		elseif(state == 1) then
		showDescription(LOCALIZE("S1_ARROWSONWATCH"))
	end
	
end


local function  clockButtonStates()
	setDiscription(sceneState.arrows)
	scene_members.clockParticles:setVisible(false)
	if(sceneState.arrows > 0)then
		scene_members.hourArrow:setVisible(true)
		scene_members.minuteArrow:setVisible(true)
		CCControl.enables(scene_members.hourControlButton,true)
		CCControl.enables(scene_members.minuteControlButton,true)
	end
end

local function openGates()
    scene_members.clockParticles = nil
    scene_members.inventoryTutorialArrow:setVisible(false)
    scene_members.tutorialClockBase:setVisible(false)
	if(sceneState.arrows)then
		if(sceneState.arrows == 2)then
			core.runAnimation("correct", 0, scene_members.runnongclockarrows);
			scene_members.clockButton:setVisible(false)
			scene_members.gatesOpened:runAction(CCFadeTo:create(0.7,255))
			scene_members.gatesClosed:runAction(CCFadeTo:create(0.7,0))
            scene_members.gatesButton:setEnabled(true)
            core.sendFlurryEvent("Level_<Level01>_Complete")
            effectID = SimpleAudioEngine:sharedEngine():playEffect(CCFileUtils:sharedFileUtils():fullPathFromRelativePath("music/sfx/s_0036_openrustylong.mp3"))
			sceneState.arrows = 3
            if(sceneState.isTutorial == 5) then
                sceneState.isTutorial = 6
                scene_members.tutorialBase:setVisible(sceneState.isTutorial == 6)
                scene_members.tutorialDiscription:setAlignment(kCCTextAlignmentCenter)
                scene_members.tutorialDiscription:setString(LOCALIZE("TUTORIAL_DESCRIPTION"..sceneState.isTutorial))
            end
		end
	end
end


function scene_selectors.clockButtonPressed()
	--game.initSubScene("scene_1_2","clockGame",nil,openGates,nil,scene_members.puzzleGameNode)
   	game.initSubScene("scene_1_2","clockGame",nil,openGates)
    if(sceneState.isTutorial >=3 and sceneState.isTutorial <5) then
        sceneState.isTutorial = 4
        scene_members.tuturialArrowClock:setVisible(sceneState.isTutorial == 3)
        scene_members.inventoryTutorialArrow:setVisible(sceneState.isTutorial == 4)
        scene_members.tutorialBase:setVisible(sceneState.isTutorial == 1)
        scene_members.tutorialClockBase:setVisible(sceneState.isTutorial == 4)
        scene_members.tutorialClockDiscription:setAlignment(kCCTextAlignmentCenter)
        scene_members.tutorialClockDiscription:setString(LOCALIZE("TUTORIAL_DESCRIPTION"..sceneState.isTutorial))
    end
	clockButtonStates()
end


function showArrowsOnClock()
    if(scene_members.clockParticles == nil)then
        return
    end
	sceneState.arrows = 1
	core.runAnimation("incorrect", 0, scene_members.runnongclockarrows);
    effectID = SimpleAudioEngine:sharedEngine():playEffect(CCFileUtils:sharedFileUtils():fullPathFromRelativePath("music/sfx/s_0002_geninventoryuse.mp3"))
	clockButtonStates()
	game.removeItem("arrows")
    if(sceneState.isTutorial == 4) then
        sceneState.isTutorial = 5
        scene_members.inventoryTutorialArrow:setVisible(sceneState.isTutorial == 4)
        scene_members.tutorialClockBase:setVisible(sceneState.isTutorial == 4)
    end
end



function inventoryItemUsed(it, x, y, action, sender)
	print("item used: ", it, x, y, action, sender)
	if(it == "arrows") then
		game.enablesItemfromInventoryToItemOnScene(x,y,scene_members.activeArea,showArrowsOnClock,action)
	end
	if(it == "lion") then
		game.enablesItemfromInventoryToItemOnScene(x,y,scene_members.activeArea,function()
                                                                                if(scene_members.leverDown == nil)then return end
																				sceneState.lionParts = 1
                                                   effectID = SimpleAudioEngine:sharedEngine():playEffect(CCFileUtils:sharedFileUtils():fullPathFromRelativePath("music/sfx/s_0002_geninventoryuse.mp3"))
																				showLionParts()
																				game.removeItem("lion",4)
																				end,action)
	end
	if(it == "ticket") then
		game.enablesItemfromInventoryToItemOnScene(x,y,scene_members.activeArea,function()
                                                                                if(scene_members.leverDown == nil)then return end
												   if(sceneState.lionParts == 1)then
													   sceneState.wholeTicket = 1
                                                   effectID = SimpleAudioEngine:sharedEngine():playEffect(CCFileUtils:sharedFileUtils():fullPathFromRelativePath("music/sfx/s_0002_geninventoryuse.mp3"))
													   scene_members.wholeTicket:setVisible(true)
													   game.removeItem("ticket",6)
												   end
												   end,action)
	end

end

function scene_selectors.gatesPressed(sender)
     print("To the next scene!")
	if(sceneState.wholeTicket == 2 ) then
		return
	end
  print("To the next scene!")
    if(sceneState.isTutorial ~= 0) then sceneState.isTutorial = 0 end
	game.startSceneWithSaveState("scene_2", "02_crossroad", true);

end

function onTouchLayer(eventType, x, y)
    print("working")
    if eventType == CCTOUCHBEGAN then
        print(x,y)
        if(sceneState.fistTime == true) then
            --buttonsClick()
        end
    end
end


-- обновение экрана после каких-то действий
function updateScreen()
    print("STATE ",sceneState.arrows)
    
	if(sceneState.trainticket == 1 )then
		sceneState.hogIsOn = true
		sceneState.trainticket = 2
        if(sceneState.isTutorial == 1) then
            sceneState.isTutorial = 2
            scene_members.tuturialArrowTicket:setVisible(sceneState.isTutorial == 1)
            scene_members.tuturialArrowHog:setVisible(sceneState.isTutorial == 2)
            scene_members.tutorialDiscription:setAlignment(kCCTextAlignmentCenter)
            scene_members.tutorialDiscription:setString(LOCALIZE("TUTORIAL_DESCRIPTION"..sceneState.isTutorial))
        end
	end
	print("update!!!!!!!")
	scene_members.hogParticles:setVisible(sceneState.hogIsOn)
    scene_members.hogButton:setEnabled(sceneState.hogIsOn)
    if(game.hasItem("arrows"))then
        if(sceneState.isTutorial == 2) then
            sceneState.isTutorial = 3
            scene_members.tuturialArrowHog:setVisible(sceneState.isTutorial == 2)
            scene_members.tuturialArrowClock:setVisible(sceneState.isTutorial == 3)
            scene_members.tutorialDiscription:setAlignment(kCCTextAlignmentCenter)
            scene_members.tutorialDiscription:setString(LOCALIZE("TUTORIAL_DESCRIPTION"..sceneState.isTutorial))
        end
    end
end


function event()
	updateScreen()
        scene_members.tutorialBase:setVisible(sceneState.isTutorial ~= 0 and sceneState.isTutorial~=4 and sceneState.isTutorial ~=5)
        scene_members.tuturialArrowTicket:setVisible(sceneState.isTutorial == 1)
        scene_members.tuturialArrowHog:setVisible(sceneState.isTutorial == 2)
        scene_members.tuturialArrowClock:setVisible(sceneState.isTutorial == 3)
        scene_members.tutorialDiscription:setAlignment(kCCTextAlignmentCenter)
        if(sceneState.isTutorial ~=4 and sceneState.isTutorial ~=5) then
            scene_members.tutorialDiscription:setString(LOCALIZE("TUTORIAL_DESCRIPTION"..sceneState.isTutorial))
        end
	if(sceneState.arrows == 3) then
        scene_members.gatesButton:setEnabled(true)
		scene_members.gatesOpened:setOpacity(255)
		scene_members.gatesClosed:setVisible(false)
		scene_members.clockButton:setVisible(false)
		core.runAnimation("correct", 0, scene_members.runnongclockarrows);
	end

	if(sceneState.trainticket ~= 0) then
		scene_members.trainticket:removeFromParentAndCleanup(true)
	end
    
	if(sceneState.fistTime == true) then
        scene_members.timeTableButton:setVisible(false)
        scene_members.lionButton:setVisible(false)
        scene_members.clockButton:setVisible(false)
    end
	scene_members.exit:setVisible(false)
	openWagonDoor()
end

