-- autostart
-- core.*
-- scene_selectors
-- scene_members

sceneState = gameState.scene02
game.isSceneNeedProcessDialog = true

--хоги на второй сцене

if not sceneState.homeHog then
	sceneState.homeHog = 0
end
if not sceneState.levelCount then
	sceneState.levelCount = 1
end
if not sceneState.collegeHog then
	sceneState.collegeHog = 0
end
if not sceneState.prisonHog then
	sceneState.prisonHog = 0
end
if not sceneState.churchHog then
	sceneState.churchHog = 0
end

if not sceneState.girlGhost then
	sceneState.girlGhost = 0
end
if not sceneState.boyGhost then
	sceneState.boyGhost = 0
end
if not sceneState.prisonerGhost then
	sceneState.prisonerGhost = 0
end
if not sceneState.fatherGhost then
	sceneState.fatherGhost = 0
end


function showCurrentHint()
    
	if (game.hasItem("girlcrystal")) then
		hintItem = scene_members.girlhint
		return
	end
	if (game.hasItem("boycrystal")) then
		hintItem = scene_members.boyhint
		return
	end
	if (game.hasItem("fathercrystal")) then
		hintItem = scene_members.fatherhint
		return
	end
	if (game.hasItem("prisonercrystal")) then
		hintItem = scene_members.prisonerhint
		return
	end
	
	if (sceneState.levelCount == 1) then
		hintItem = scene_members.homehint
		return
	end
	if (sceneState.levelCount == 4) then
		hintItem = scene_members.churchhint
		return
	end
	if (sceneState.levelCount == 2) then
		hintItem = scene_members.collegehint
		return
	end
	if (sceneState.levelCount == 3) then
		hintItem = scene_members.prisonhint
		return
	end
	
	if (game.hasItem("lion",4)) then
		hintItem = scene_members.exit
		return
	end
    
    if(sceneState.levelCount == 5) then
		
		
		if( not gameState.scene19.prisonticketPicked)then
			hintItem = scene_members.prisonhint
			return
		end

		if( not gameState.scene21.churchticketPicked)then
			hintItem = scene_members.churchhint
			return
		end
		
		if( not gameState.scene05.hometicketPicked)then
			hintItem = scene_members.homehint
			return
		end
		
		if( not gameState.scene10.collegeticketPicked)then
			hintItem = scene_members.collegehint
			return
		end

		if(game.hasItem("ticket",5))then
			-- fill exits
			if (sceneState.homeHog == 1) then
				print("homeHog: "..sceneState.homeHog)
				hintItem = scene_members.homehint
				return
			end
			if (sceneState.churchHog == 1) then
				hintItem = scene_members.churchhint
				return
			end
			if (sceneState.prisonHog == 1) then
				hintItem = scene_members.prisonhint
				return
			end
			if (sceneState.collegeHog == 1) then
				hintItem = scene_members.collegehint
				return
			end
		end

    end
    
    game.addExit(scene_members.exit)

	--[[
	 
	 если активен какой-то хог
	 	- хог
	 end
	 
	 если есть кристалл1,2,3,4
	 	- место для кристалла
	 end
	 
	 если открыта дверь4
	 	- дверь4
	 end
	 
	 если открыта дверь3
	 - дверь4
	 end

	 если открыта дверь2
	 - дверь4
	 end
	 
	 если открыта дверь1
	 - дверь4
	 end
	 
	-- exit	 
	 
	]]
	
end


game.isSceneNeedDefaultBGmusic = false
SimpleAudioEngine:sharedEngine():stopBackgroundMusic()
core.stopAllEffects(SimpleAudioEngine:sharedEngine())
prevMusicPath = nil
effectID = SimpleAudioEngine:sharedEngine():playEffect(CCFileUtils:sharedFileUtils():fullPathFromRelativePath("music/amb/a_1003_vortexsinister1.mp3"),true)
effectID = SimpleAudioEngine:sharedEngine():playEffect(CCFileUtils:sharedFileUtils():fullPathFromRelativePath("music/amb/a_1007_windlowpitch2.mp3"),true)


function scene_selectors.exitPressed(sender)
	if (gameState.exitActive == false) then
		return
	end
	game.startSceneWithSaveState("scene_1", "01_station", true);
end

local function showFinalDialog()
    showProcessDialogWithDiscription(LOCALIZE("S2_DIALOG"),nil,nil)
end

local function showFinalClip()
    local function continueButtonPresed()
        print("continueCutMovie")
        if(sceneState.cutMovie == 6)then
            startScene("scene_2", "02_crossroad",true);
            showFinalDialog()
            return
        end
        game.runMovie("cutScene6parts"..sceneState.cutMovie,"scene_2", "02_crossroad",true,continueButtonPresed,skipButtonPresed)
        sceneState.cutMovie = sceneState.cutMovie + 1
    end
    --eosa124
    --[[local]] function skipButtonPresed()
        print("skipCutMovie")
        startScene("scene_2", "02_crossroad",true);
        showFinalDialog()
    end
    
    game.runMovie("cutScene6parts1","scene_2", "02_crossroad",true,continueButtonPresed,skipButtonPresed)
    sceneState.cutMovie = 2
end

local function blockScreenUntilPurchases(scene,withoutPay)
    print("sceneNumber: ",scene)
    scene_members.sceneMenu:setEnabled(false)
    scene_members.inventoryMenu:setEnabled(false)
    tmp.dialogVisible = 1
    showDescription(LOCALIZE("WAIT"))
    scene_members.waitLabel:setString(LOCALIZE(" "))
    core.CCLOG("CALLBUYINTEYNT")
    if(withoutPay == nil) then
    scene_members.waitLabel:runAction(CCSequence:createWithTwoActions(CCDelayTime:create(4.0), CCCallFunc:create(function()
                                                                                                                 core.callJNIFunc("buyItem")
                                                                                                                 end)))
    end
    
    
    tmp.tryes = 1
    local seq = CCSequence:createWithTwoActions(CCDelayTime:create(2.0), CCCallFunc:create(function()
                                                                                           tmp.tryes = tmp.tryes + 1
                                                                                           if(tmp.tryes == 10)then
                                                                                               if(withoutPay == nil) then
                                                                                                    unblockScreenPurchases()
                                                                                                    showDescription(LOCALIZE("ABORT"))
                                                                                               else
                                                                                                    updateScreen()
                                                                                                    showDescription(LOCALIZE("ABORT"))
                                                                                                    unblockScreenPurchases()
                                                                                                    disableSPDialg()
                                                                                               end
                                                                                           end
                                                                                           if(withoutPay == nil) then
                                                                                                local state = core.callBoolJNIFunc("payStatus")
                                                                                                   if(state) then
                                                                                                        local item = core.callBoolJNIFunc("payCondition")
                                                                                                        if(item)then
                                                                                                            unblockScreenPurchases(scene)
                                                                                                        else
                                                                                                            unblockScreenPurchases()
                                                                                                        end
                                                                                                   end
                                                                                            else
                                                                                                local state = core.callBoolJNIFunc("sponosrPayStatus")
                                                                                                if(state)then
                                                                                                    local item = core.callBoolJNIFunc("SPItemStatus")
                                                                                                    if(item)then
                                                                                                       unblockScreenPurchases(core.callIntJNIFunc("SPUnlockEpsodeNumber"),true)
                                                                                                    else
                                                                                                       unblockScreenPurchases()
                                                                                                    end
                                                                                                end
                                                                                                disableSPDialg()
                                                                                            end
                                                                                           end))
    tolua.cast(seq,"CCActionInterval")
    
    scene_members.waitLabel:runAction(CCRepeatForever:create(seq))
end

--[[function scene_selectors.debugSwitcher(sender)
    if(core.getScneneInt() ~= 3)then
        --return
    end
    --blockScreenUntilPurchases()
    gameState.episodeStates = {}
    if(gameState.episodeStates[1] == nil)then
        gameState.episodeStates = {core.checkScenes()}
    end
    tmp.Isloced = true
    for cur = 1, #gameState.episodeStates do
        if(not gameState.episodeStates[cur])then
            core.CCLOG(tostring("gameState.episodeStates[cur]"))
            tmp.Isloced = false
        end
    end
    if(not tmp.Isloced)then
        core.CCLOG("startwaitforresponse")
        scene_members.sceneMenu:setEnabled(false)
        scene_members.inventoryMenu:setEnabled(false)
        tmp.dialogVisible = 1
        scene_members.waitLabel:setString(LOCALIZE("WAIT"))
        core.CCLOG("CALLBUYINTEYNT")
        scene_members.waitLabel:runAction(CCSequence:createWithTwoActions(CCDelayTime:create(4.0), CCCallFunc:create(function()
                                                                                                                     core.callJNIFunc("buyItem")
                                                                                                                     end)))
        
        
        tmp.tryes = 1
        local seq = CCSequence:createWithTwoActions(CCDelayTime:create(2.0), CCCallFunc:create(function()
                                                                                               tmp.tryes = tmp.tryes + 1
                                                                                               if(tmp.tryes == 20)then
                                                                                                   scene_members.sceneMenu:setEnabled(true)
                                                                                                   scene_members.inventoryMenu:setEnabled(true)
                                                                                                   tmp.dialogVisible = 0
                                                                                                   scene_members.waitLabel:setString("")
                                                                                                   scene_members.waitLabel:stopAllActions()
                                                                                                   showDescription(LOCALIZE("WRONGCONNECTION"))
                                                                                               end
                                                                                               local state = core.callBoolJNIFunc("inappsConnected")
                                                                                                core.CCLOG(tostring(state))
                                                                                               if(state) then
                                                                                                    gameState.episodeStates = {}
                                                                                                   if(gameState.episodeStates[1] == nil)then
                                                                                                        gameState.episodeStates = {core.checkScenes()}
                                                                                                        scene_members.sceneMenu:setEnabled(true)
                                                                                                        scene_members.inventoryMenu:setEnabled(true)
                                                                                                        tmp.dialogVisible = 0
                                                                                                        scene_members.waitLabel:setString("")
                                                                                                        scene_members.waitLabel:stopAllActions()
                                                                                                        showDescription(LOCALIZE("PURCHASESRESTORED"))
                                                                                                   end
                                                                                                    updateScreen()
                                                                                               end
                                                                                               end))
        tolua.cast(seq,"CCActionInterval")
        
        scene_members.waitLabel:runAction(CCRepeatForever:create(seq))
    end
    
    
    
    
    updateScreen()
	if(sceneState.homeHog == 0)then
        sceneState.homeHog = 1
        blockScreenUntilPurchases()
        --sceneState.collegeHog = 1
        --sceneState.prisonHog = 1
        --sceneState.churchHog = 1
    elseif (sceneState.homeHog == 1) then
        sceneState.homeHog = 0
        unblockScreenPurchases()
        --sceneState.collegeHog = 0
        --sceneState.prisonHog = 0
        --sceneState.churchHog = 0
    end
    print("hog: ", sceneState.homeHog)
end]]


local function startHomeEpisode()
    core.CCLOG("HousePressed3 ")
    if (sceneState.homeHog == 0) then
        if(gameState.scene02.vortexPlace == 1)then
            --game.runMovie(scene_members.statueScene,scene_members.sceneMenu,"cutScene2","scene_3", "03_house")
            core.CCLOG("HousePressed4 ")
            game.runMovie("cutScene2","scene_3", "03_house",nil,nil,nil,1)
            gameState.scene02.vortexPlace = 0
            return
        end
        core.CCLOG("HousePressed4 ")
        game.startSceneWithSaveState("scene_3", "03_house", true);
        --gameState.scene02.vortexPlace = 0
        
        elseif(sceneState.homeHog == 1) then
        if(game.hasItem("ticket",5))then
            game.startSubScene("hog_17", scene_members.minigames, scene_members.sceneMenu)
            sceneHOGNum = 100;
            game.initCommonHog(scene100)
            function updateSecondSceneState()
                sceneState.homeHog = 2
            end
        else
            game.startSceneWithSaveState("scene_3", "03_house", true);
        end
    end
end

function scene_selectors.HousePressed(sender)
    core.CCLOG("INSIDE")
    if(GAME_DEBUG == 1) then
        if(sceneState.levelCount < 1) then
            return
        end
    end
    core.CCLOG("HousePressed1 "..tostring(gameState.episodeStates[2]))
    --[[if(not gameState.episodeStates[1]) then
        core.CCLOG("HousePressed2 ")
        showYesNoDialog(scene_members.buyItemsNode,scene_members.sceneMenu,LOCALIZE("BUY_ITEM"),function()
                        --core.saveState()
                        --core.closeGame()
                        tmp.waitDialg = 1
                        
                        
                        tmp.window = 0
                        end,
                        function()
                        tmp.window = 0
                        --startHomeEpisode()
                        game.startSceneWithSaveState("scene_2", "02_crossroad", true);
                        end,
                        function()
                        tmp.window = 1
                        end,
                        function()
                        if(tmp.waitDialg == 1)then
                        print("itworks")
                        blockScreenUntilPurchases(1)
                        end
                        end)
        return
    end]]
    
    startHomeEpisode()
end

local function startCollageEpisode()
    print("loading college")
    if(sceneState.collegeHog == 0) then
        if(gameState.scene02.vortexPlace == 3)then
            game.runMovie("cutScene3","scene_8", "08_college",nil,nil,nil,1)
            gameState.scene02.vortexPlace = 0
            return
        end
        game.startSceneWithSaveState("scene_8", "08_college", true);
        elseif(sceneState.collegeHog == 1) then
        if(game.hasItem("ticket",5))then
            game.startSubScene("hog_18", scene_members.minigames, scene_members.sceneMenu)
            sceneHOGNum = 101;
            game.initCommonHog(scene101)
            function updateSecondSceneState()
                sceneState.collegeHog = 2
            end
        else
            game.startSceneWithSaveState("scene_8", "08_college", true);
        end
    end
end

function scene_selectors.collegePressed(sender)
    if(GAME_DEBUG == 1) then
        if(sceneState.levelCount < 2) then
            return
        end
    end
	if(not gameState.episodeStates[2]) then
        showYesNoDialog(scene_members.buyItemsNode,scene_members.sceneMenu,LOCALIZE("BUY_ITEM"),function()
                        --core.saveState()
                        --core.closeGame()
                        
                        tmp.waitDialg = 1
                        end,
                        function()
                        tmp.window = 0
                        startCollageEpisode()
                        end,
                        function()
                        tmp.window = 1
                        end,
                        function()
                        if(tmp.waitDialg == 1)then
                        print("itworks")
                        blockScreenUntilPurchases(2)
                        end
                        end)
        return
    end
    
    startCollageEpisode()
end

local function startPrisonEpisode()
    if(sceneState.prisonHog == 0) then
        if(gameState.scene02.vortexPlace == 4)then
            game.runMovie("cutScene4","scene_13", "13_prison",nil,nil,nil,1)
            gameState.scene02.vortexPlace = 0
            return
        end
        game.startSceneWithSaveState("scene_13", "13_prison", true);
        elseif(sceneState.prisonHog == 1) then
        if(game.hasItem("ticket",5)) then
            game.startSubScene("hog_19", scene_members.minigames, scene_members.sceneMenu)
            sceneHOGNum = 102;
            game.initCommonHog(scene102)
            function updateSecondSceneState()
                sceneState.prisonHog = 2
            end
        else
            game.startSceneWithSaveState("scene_13", "13_prison", true);
        end
    end
end

function scene_selectors.prisonPressed(sender)
    if(GAME_DEBUG == 1) then
        if(sceneState.levelCount < 3) then
            return
        end
    end
    if(not gameState.episodeStates[3]) then
        showYesNoDialog(scene_members.buyItemsNode,scene_members.sceneMenu,LOCALIZE("BUY_ITEM"),function()
                        --core.saveState()
                        --core.closeGame()
                        
                        tmp.waitDialg = 1
                        end,
                        function()
                        tmp.window = 0
                        startPrisonEpisode()
                        end,
                        function()
                        tmp.window = 1
                        end,
                        function()
                            if(tmp.waitDialg == 1)then
                                print("itworks")
                                blockScreenUntilPurchases(3)
                            end
                        end)
        return
    end
    
    startPrisonEpisode()
    
end

local function startChurchEpisode()
    if(sceneState.churchHog == 0) then
        if(gameState.scene02.vortexPlace == 2)then
            game.runMovie("cutScene5","scene_20", "20_church",nil,nil,nil,1)
            gameState.scene02.vortexPlace = 0
            return
        end
        game.startSceneWithSaveState("scene_20", "20_church", true);
        elseif(sceneState.churchHog == 1) then
        if(game.hasItem("ticket",5)) then
            game.startSubScene("hog_20", scene_members.minigames, scene_members.sceneMenu)
            sceneHOGNum = 103;
            game.initCommonHog(scene103)
            function updateSecondSceneState()
                sceneState.churchHog = 2
            end
        else
        game.startSceneWithSaveState("scene_20", "20_church", true);
        end
    end
end

function scene_selectors.churchPressed(sender)
    if(GAME_DEBUG == 1) then
        if(sceneState.levelCount < 4) then
            return
        end
    end
    core.CCLOG("state: "..tostring(gameState.episodeStates[4]))
    if(not gameState.episodeStates[4]) then
        showYesNoDialog(scene_members.buyItemsNode,scene_members.sceneMenu,LOCALIZE("BUY_ITEM"),function()
                        --core.saveState()
                        --core.closeGame()
                        
                        tmp.waitDialg = 1
                        end,
                        function()
                        tmp.window = 0
                        startChurchEpisode()
                        end,
                        function()
                        tmp.window = 1
                        end,
                        function()
                        if(tmp.waitDialg == 1)then
                        print("itworks")
                        blockScreenUntilPurchases(4)
                        end
                        end)
        return
    end
    
    startChurchEpisode()
    
end



function inventoryItemUsed(it, x, y, action, sender)
	print("item used: ", it, x, y, action, sender)
	if(it == "girlcrystal") then
		game.enablesItemfromInventoryToItemOnScene(x,y,scene_members.girlGhost,function()
                                                   sceneState.girlGhost = 1
                                                   
                                                   scene_members.girlGhost:runAction(CCFadeIn:create(0.5))
                                                   scene_members.girlGhost:setVisible(true)
                                                   scene_members.houseChain:runAction(CCFadeOut:create(0.5))
                                                   scene_members.houseChain:setVisible(false)
                                                   gameState.scene02.vortexPlace = 3
                                                   game.removeItem("girlcrystal",1)
                                                   sceneState.levelCount = sceneState.levelCount + 1
                                                   event()
                                                   end,action)
	end
    if(it == "boycrystal") then
		game.enablesItemfromInventoryToItemOnScene(x,y,scene_members.collageGhost,function()
                                                   sceneState.boyGhost = 1
                                                   
                                                   scene_members.collageGhost:runAction(CCFadeIn:create(0.5))
                                                   scene_members.collageGhost:setVisible(true)
                                                   scene_members.collegeChain:runAction(CCFadeOut:create(0.5))
                                                   scene_members.collegeChain:setVisible(false)
                                                   gameState.scene02.vortexPlace = 4
                                                   game.removeItem("boycrystal",1)
                                                   sceneState.levelCount = sceneState.levelCount + 1
                                                   event()
                                                   end,action)
	end
    if(it == "prisonercrystal") then
		game.enablesItemfromInventoryToItemOnScene(x,y,scene_members.prisonGhost,function()
                                                   sceneState.prisonerGhost = 1
                                                   
                                                   scene_members.prisonGhost:runAction(CCFadeIn:create(0.5))
                                                   scene_members.prisonGhost:setVisible(true)
                                                   scene_members.prisonChain:runAction(CCFadeOut:create(0.5))
                                                   scene_members.prisonChain:setVisible(false)
                                                   gameState.scene02.vortexPlace = 2
                                                   game.removeItem("prisonercrystal",1)
                                                   sceneState.levelCount = sceneState.levelCount + 1
                                                   event()
                                                   end,action)
	end
    if(it == "fathercrystal") then
		game.enablesItemfromInventoryToItemOnScene(x,y,scene_members.fatherGhost,function()
                                                   sceneState.fatherGhost = 1
                                                   
                                                   scene_members.fatherGhost:runAction(CCFadeIn:create(0.5))
                                                   scene_members.fatherGhost:setVisible(true)
                                                   scene_members.chirchChain:runAction(CCFadeOut:create(0.5))
                                                   scene_members.chirchChain:setVisible(false)
                                                   --gameState.scene02.vortexPlace = 4
                                                   game.removeItem("fathercrystal",1)
                                                   sceneState.levelCount = sceneState.levelCount + 1
                                                   scene_members.lockedHeart:runAction(CCFadeOut:create(0.5))
                                                    scene_members.freeHeartLight:runAction(CCFadeIn:create(0.5))
                                                    scene_members.freeHeart:runAction(CCFadeIn:create(0.5))
                                                   event()
                                                    --showDescription(LOCALIZE("S2_HEART_FREE"))
                                            scene_members.freeHeart:runAction(CCSequence:createWithTwoActions(CCDelayTime:create(1.5), CCCallFunc:create(showFinalClip)))
                                                   --showFinalClip()
                                                   end,action)
	end
	    
end

function updateScreen()
    if(sceneState.girlGhost == 1 and sceneState.boyGhost == 1 and sceneState.prisonerGhost == 1 and sceneState.fatherGhost == 1 and sceneState.SwitchToHog == nil)then
        print("switched")
        sceneState.SwitchToHog = 1
        sceneState.homeHog = 1
        sceneState.collegeHog = 1
        sceneState.prisonHog = 1
        sceneState.churchHog = 1
    end
    core.CCLOG(tostring(gameState.episodeStates))
    if(gameState.episodeStates[1])then
        core.CCLOG("epside 1 true ")
    else
        core.CCLOG("epside 1 false ")
    end
    if(gameState.episodeStates[2])then
            core.CCLOG("epside 2 true ")
        else
        core.CCLOG("epside 2 false ")
    end
    if(gameState.episodeStates[3])then
        core.CCLOG("epside 3 true ")
        else
        core.CCLOG("epside 3 false ")
    end
    if(gameState.episodeStates[4])then
        core.CCLOG("epside 4 true ")
        else
        core.CCLOG("epside 4 false ")
    end
    core.CCLOG("State "..tostring(gameState.episodeStates[2]))
    --core.CCLOG(" "..gameState.episodeStates[2])
    --core.CCLOG(" "..gameState.episodeStates[3])
    --core.CCLOG(" "..gameState.episodeStates[4])
    --locks
    --scene_members.homeLock:setVisible(not gameState.episodeStates[1])
    scene_members.homeLock:setVisible(false)
    scene_members.collegeLock:setVisible(not gameState.episodeStates[2])
    scene_members.prisonLock:setVisible(not gameState.episodeStates[3])
    scene_members.churchLock:setVisible(not gameState.episodeStates[4])
    --
end

function event()
    core.CCLOG("StartSecondScene")
    updateScreen()
    --scene_members.restoreLabel:setVisible(core.getScneneInt() == 3)
	if(gameState.scene02.vortexPlace >0) then
	    local vortex =  core.createNodes("scene_2vortex2");
	    if vortex then
	      scene_members["vortexPosition"..gameState.scene02.vortexPlace]:addChild(vortex, 0)
	    else
	      print("Warning: can't load scene: ", vortex);
	      error()
	      return;
	    end
	end
    --ghosts and chains
    scene_members.girlGhost:setVisible(sceneState.girlGhost == 1)
    scene_members.houseChain:setVisible(sceneState.girlGhost == 0)
    scene_members.collageGhost:setVisible(sceneState.boyGhost == 1)
    scene_members.collegeChain:setVisible(sceneState.boyGhost == 0)
    scene_members.prisonGhost:setVisible(sceneState.prisonerGhost == 1)
    scene_members.prisonChain:setVisible(sceneState.prisonerGhost == 0)
    scene_members.fatherGhost:setVisible(sceneState.fatherGhost == 1)
    scene_members.chirchChain:setVisible(sceneState.fatherGhost == 0)
    --scene_members.home:setVisible(sceneState.girlGhost >=0)
    --scene_members.prison:setVisible(sceneState.girlGhost > 3)
    --scene_members.church:setVisible(gameState.scene02.vortexPlace >1)
    --scene_members.college:setVisible(gameState.scene02.vortexPlace > 2)
    print("blockState: ",sponsorPayWaitDialod)
    --sponsorPayWaitDialog
    if(sponsorPayWaitDialod) then
        blockScreenUntilPurchases(gameState.sponsorPayUnlockEpisode,true)
    end
    scene_members.lockedHeart:setVisible(sceneState.levelCount < 5)
    scene_members.freeHeartLight:setVisible(sceneState.levelCount == 5)
    scene_members.freeHeart:setVisible(sceneState.levelCount == 5)
    
end