-- autostart
-- core.*
-- scene_selectors
-- scene_members


sceneState = gameState.scene03
game.isSceneNeedProcessDialog = true

if not sceneState.crayon then
	sceneState.crayon = 0
end

if not sceneState.tire then
	sceneState.tire = 0
end

if not sceneState.ghost then
	sceneState.ghost = 0
end

if not sceneState.photopiece then
	sceneState.photopiece = 1
end

if not sceneState.crayon then
	sceneState.crayon = 0
end
if not sceneState.showboxcutter then
	sceneState.showboxcutter = 0
end
if not sceneState.boxcutter then
	sceneState.boxcutter = 1
end

if not sceneState.firstStart then
	sceneState.firstStart = 1
    core.sendFlurryEvent("Level_<Level02>_Start")
end

function showCurrentHint()
	print("hint")
	if (sceneState.tire ~= 1) then
		hintItem = scene_members.tire
		return
	end
	
	if (sceneState.crayon ~= 1) then
			print("hint1")
		hintItem = scene_members.mailhint
		return
	end
	
	if sceneState.Clean == 1 then
		if sceneState.winbroken == 2 then
			if (sceneState.boxcutter ~= 1) then
				hintItem = scene_members.windowhint
				return
			end
		else
			if (game.hasItem("brick")) then
				hintItem = scene_members.windowhint
				return
			end
		end
	else
		if (game.hasItem("cloth")) then
			hintItem = scene_members.windowhint
			return
		end
	end
	
	if (sceneState.ropePlaced ~=nil and  sceneState.ropePlaced > 0) then
		if (game.hasItem("tire")) then
			hintItem = scene_members.tirehint
			return
		end
	else
		if (game.hasItem("rope")) then
			hintItem = scene_members.tirehint
			return
		end		
	end
	
	if (sceneState.photopiece == 0) then
        print("inside")
		hintItem = scene_members.photopiece
		return
	end
	--if()
	game.addExit(scene_members.doorhint)
	game.addExit(scene_members.exit)
	
	--[[
	 
	 если не взято колесо - колесо
	 
	 если не взят маркер - ящик
	 
	 если окно протёрто
	 	если окно разбито
	 		если не взят нож
	 			- окно
	 		конец
	 	иначе
	 		если есть кирпич
	 			- окно
	 		конец
	 	конец
	 иначе
	 	если есть тряпочка
	 		- окно
	 	конец
	 конец
	 
	 если веревка висит
	 	если есть шина
	 		- веревка
	 	конец
	 иначе
	 	если есть веревка
	 		- веревка
	 	конец
	 конец
	 
	 если призрак и не взято фото
	 	- фото
	 конец
	 
	 
	 ]]
	
end


if sceneState.fistTime == nil then
	sceneState.fistTime = true
end
local bgMusicPath = CCFileUtils:sharedFileUtils():fullPathFromRelativePath("music/music/m_0002_house.mp3")
function game.onSceneStartCustom()
    if(sceneState.fistTime)then
        showProcessDialogWithDiscription(LOCALIZE("S3_DIALOG"))
        sceneState.fistTime = false
    end
end

local function showGhostTireAndRope()
	local gs = gameState.scene03;
	local m = scene_members
	if(gs.ropePlaced)then
		if(gs.ropePlaced >= 1 )then
			core.runAnimation("unvisible",0,m.girlOnWheel)
			m.ropePlaced:setOpacity(255)
		end
		if(gs.ropePlaced >= 2)then
			m.tirePlaced:setOpacity(255)
            
            effectID = SimpleAudioEngine:sharedEngine():playEffect(CCFileUtils:sharedFileUtils():fullPathFromRelativePath("music/sfx/s_0044_heavyuse.mp3"))
			--scene_members.photopiece:setVisible(true)
		end
	end
    
	-- man ghost
	scene_members.manGhostSprite:setVisible(sceneState.ghost == 1)
	scene_members.manParticles:setVisible(sceneState.ghost == 1)
	scene_members.explosionParticles:setVisible(sceneState.ghost == 1)
	scene_members.photopiece:setVisible(sceneState.photopiece == 0)
    if(sceneState.ghost == 1)then
        effectID = SimpleAudioEngine:sharedEngine():playEffect(CCFileUtils:sharedFileUtils():fullPathFromRelativePath("music/sfx/s_0024_actionok.mp3"))
        
        --showDescription(LOCALIZE("S3_SEESAW"))
    end
end


local function setRopeToTheTree()
	local m = scene_members
	local gs = gameState.scene03;
	if(tmp.ropePlaced == 1)then
		m.ropeGhost:runAction(CCFadeTo:create(0.3,0))
		function scene_animations.whellAnimationEnded()
		scene_animations.whellAnimationEnded = nil
		end
		core.runAnimation("unvisible",0,m.girlOnWheel)
		m.ropePlaced:runAction(CCFadeTo:create(0.3,255))
		tmp.ropePlaced = 0
		game.removeItem("rope")
		gs.ropePlaced = 1
    effectID = SimpleAudioEngine:sharedEngine():playEffect(CCFileUtils:sharedFileUtils():fullPathFromRelativePath("music/sfx/s_0041_smoothuse.mp3"))
	end
end

local function setTireToTheTree()
	local m = scene_members
	local gs = gameState.scene03;
	if(tmp.tirePlaced == 1) then
		m.tirePlaced:runAction(CCFadeTo:create(0.3,255))
		gs.ropePlaced = 2
		tmp.tirePlaced = 0
		game.removeItem("tire")
		sceneState.ghost = 1
		sceneState.photopiece = 0
		showGhostTireAndRope()
	end
end

local function closeWindow()
	sceneState.Clean = 2
	scene_members.sceneMenu:getChildByTag(2):setVisible(false)
end




function scene_selectors.enterHousePressed(sender)
    print("house")
    effectID = SimpleAudioEngine:sharedEngine():playEffect(CCFileUtils:sharedFileUtils():fullPathFromRelativePath("music/sfx/s_0025_navigate.mp3"))
    game.startSceneWithSaveState("scene_4", "04_hallway", true);
end

function scene_selectors.ghostTireOnTreePressed(sender)
    if(sceneState.ghost == 0)then
        showDescription(LOCALIZE("S3_SEESAWGHOST"),2)
    else
        showDescription(LOCALIZE("S3_SEESAW"),2) 
    end
    setRopeToTheTree()
    setTireToTheTree()
end



--[[function scene_selectors.sceneSelector(sender)
local gs = gameState.scene03;
local m = scene_members
tolua.cast(sender, "CCNode")
		local tag = sender:getTag()
		if (tag == 1) then
            effectID = SimpleAudioEngine:sharedEngine():playEffect(CCFileUtils:sharedFileUtils():fullPathFromRelativePath("music/sfx/s_0025_navigate.mp3"))
            game.startSceneWithSaveState("scene_4", "04_hallway", true);
		elseif (tag == 104) then
			game.pickupItem("photopiece",  nil)
		elseif (tag == 103) then
			setRopeToTheTree()
			setTireToTheTree()
		end
		
end]]



local function startWashing()
	print("startWashing")
	local clothSprite = itemsInformation["cloth"]
	local cloth = CCSprite:create(clothSprite[1])
	cloth:setTag(1000)
    cloth:setPosition(ccp(-100,-100))
	scene_members.homeWindow:addChild(cloth,100)
	sceneState.Clean = 0
end


--преврашает непобитое окно в побитое и активиреут нож
local function setWindowBroken(withShards)
	scene_members.activeArea:setVisible(false)
	scene_members.winBroken:setVisible(true)
    sceneState.boxcutter = 0
    sceneState.showboxcutter = 1
    scene_members.boxcutter:setVisible(sceneState.boxcutter == 0)
	if(withShards)then
		scene_members.glassShards:setVisible(true)
		game.restartParticles(scene_members.glassShards)
	end
end

local function windowState()
	showDescription(LOCALIZE("S3_WINDOWDIRT"))
	if(sceneState.Clean == 1) then
		showDescription(LOCALIZE("S3_WINDOWCLEAN"))
	end
	if(sceneState.winbroken == 2)then
		if(scene_members.homeWindow ~=nil)then
			setWindowBroken()
			showDescription(LOCALIZE("S3_WINDOWBROCEN"))
		end
	end
end



function brokeWindow()
	local m = scene_members
	if(sceneState.Clean == 1) then
	local function brokenWindowAnimationEnd()
		setWindowBroken(true)
		sceneState.winbroken = 2
		windowState()
		updateScreen()
	  end
	print("broking")
	sceneState.winbroken = 1
    
    effectID = SimpleAudioEngine:sharedEngine():playEffect(CCFileUtils:sharedFileUtils():fullPathFromRelativePath("music/sfx/s_0033_breaksmallglass.mp3"))
	scene_members.brickToWindow:setVisible(true)
	local animations = CCArray:create()
	animations:addObject(CCMoveTo:create(0.2,ccp(630.8,516.4)))
	animations:addObject(CCCallFunc:create(brokenWindowAnimationEnd))
	animations:addObject(CCMoveTo:create(0.2,ccp(458.8,332.4)))
    scene_members.brickToWindow:runAction(CCSequence:create(animations))
	scene_members.brickToWindow:runAction( CCScaleTo:create(0.4,0.4) )
	scene_members.brickToWindow:runAction( CCFadeTo:create(0.4,0) )
	game.removeItem("brick")
	else
		showDescription(LOCALIZE("S3_WINDOWFULL"))
	end
end






function scene_selectors.exitPressed(sender)
	if (gameState.exitActive == false) then
		return
	end

	--startScene("scene_2", "02_crossroad", true);
	game.startSceneWithSaveState("scene_2", "02_crossroad", true);
end


function scene_selectors.maiboxButtonPressed(sender)
	print("maiboxPressed")
    specificSounOnOpen = true
	game.initSubScene("scene_3_1", "mailBoxLayer")
    effectID = SimpleAudioEngine:sharedEngine():playEffect(CCFileUtils:sharedFileUtils():fullPathFromRelativePath("music/sfx/s_0039_rustquick.mp3"))
	showDescription(LOCALIZE("S3_MAILBOX"))
	eventScene()
end



local function processMuds(x,y)
	for cur = 1, 21 do
		local curMud = scene_members["mud"..cur]
		if(curMud~= nil) then
			local ax,ay =  curMud:getPosition()
			local size = curMud:getContentSize()
			local aw = size.width
			local ah = size.height
            
            
			if (x< ax - aw/2 or x> ax + aw/2 ) or (y< ay - ah/2 or y > ay+ah/2  ) then
			else
				print("clear mud: ",cur)
				gameState.scene03["mud"..cur] = 1
				curMud:runAction(CCFadeTo:create(0.1,0))
			end
		end
	end
end


local function mudsIsClean()
	for cur = 1, 21 do
		if(gameState.scene03["mud"..cur]~= nil) then
			local curMud = scene_members["mud"..cur]
			if(curMud~= nil) then
				curMud:setVisible(false)
			end
		else
			print("dirty cur",cur)
			return false
		end
	end
	return true
end



function scene_selectors.windowButtonPressd(sender)
print("windowPressed")
	local function onTouch(eventType, x, y)
        print("EventType: "..tostring(eventType))
		local cloth = scene_members.homeWindow:getChildByTag(1000)
        print("x"..tostring(x).." y:"..tostring(y))
		if(cloth) then
            print("x"..tostring(x).." y:"..tostring(y))
			cloth:setPosition(ccp(x,y))
		end
		if(sceneState.Clean == 0) then
            effectID = SimpleAudioEngine:sharedEngine():playEffect(CCFileUtils:sharedFileUtils():fullPathFromRelativePath("music/sfx/s_0035_smudge.mp3"))
			processMuds(x,y)
			local isClean=mudsIsClean()
			if(isClean) then
                effectID = SimpleAudioEngine:sharedEngine():playEffect(CCFileUtils:sharedFileUtils():fullPathFromRelativePath("music/sfx/s_0024_actionok.mp3"))
				game.removeItem("cloth")
				cloth:setVisible(false)
				scene_members.particlesWindow:setVisible(true)
				game.restartParticles(scene_members.particlesWindow)
				sceneState.Clean = 1
				windowState()
			end
		end
	end
	--game.initSubScene("scene_3_2", "homeWindow",nil,nil,onTouch,scene_members.puzzleGameNode)
    --game.initSubScene("scene_3_2", "homeWindow",nil,nil,onTouch,scene_members.inventory)
    game.initSubScene("scene_3_2", "homeWindow",function()
                                                    if(sceneState.Clean == 0) then
                                                        sceneState.Clean = -1
                                                    end
                                                    if(sceneState.Clean == 1) then
                                                        game.removeItem("cloth")
                                                    end
                                                end,function() scene_members.homeWindow = nil end,onTouch,scene_members.puzzleGameNode--[[scene_members.shiftedMinigamesNode]])
    --scene_members.puzzleGameNode:setScale(0.9)
    hideGUI()
	scene_members.particlesWindow:setVisible(false)
	scene_members.glassShards:setVisible(false)
	windowState()
    scene_members.boxcutter:setVisible(sceneState.boxcutter == 0)
	local isClean=mudsIsClean()
	if(isClean) then
		sceneState.Clean = 1
	end 
end


function inventoryItemUsed(it, x, y, action, sender)
	print("item used: ", it, x, y, action, sender)
	if(it == "cloth") then
		--game.enablesItemfromInventory(x,y,scene_members.homeWindow,startWashing,action)
        if(scene_members.homeWindow~=nil) then
            if(tmp.clean == nil)then
                local w,h = core.getScreenHeight()
                local p1,p2 = core.takeScreenParams()
                processMuds(x,y + ((p1 - h)/p2))
                local isClean=mudsIsClean()
                if(isClean) then
                    effectID = SimpleAudioEngine:sharedEngine():playEffect(CCFileUtils:sharedFileUtils():fullPathFromRelativePath("music/sfx/s_0024_actionok.mp3"))
                    --game.removeItem("cloth")
                    scene_members.particlesWindow:setVisible(true)
                    game.restartParticles(scene_members.particlesWindow)
                    sceneState.Clean = 1
                    windowState()
                    tmp.clean = 1
                    --return true
                end
            end
        end
        elseif(it == "brick") then
		print("----------------------x: "..x.." y: "..y)
		game.enablesItemfromInventory(x,y,scene_members.homeWindow,brokeWindow,action)
        elseif(it == "rope") then
		game.enablesItemfromInventoryToItemOnScene(x,y,scene_members.ghostTireOnTree,setRopeToTheTree,action)
		tmp.ropePlaced = 1
        elseif(it == "tire") then
		if(gameState.scene03.ropePlaced == 1 )then
			game.enablesItemfromInventoryToItemOnScene(x,y,scene_members.ghostTireOnTree,
                                                       function()
                                                       showDescription(LOCALIZE("S3_SEESAW"),2)
                                                       setTireToTheTree()
                                                       end
                                                       ,action)
			tmp.tirePlaced = 1
		end
	end
    
end

function eventScene()
	if(scene_members.crayon) then
		if(sceneState.crayon == 0) then
			scene_members.crayon:setVisible(true)
			else
			scene_members.crayon:setVisible(false)
		end
	end
end



-- обновение экрана после каких-то действий
function updateScreen()
	if(sceneState.Clean == 2) then
		scene_members.sceneMenu:getChildByTag(2):setVisible(false)
	end
	--разбитое окно
	if(gameState.scene03.winbroken ~= nil) then
		if(gameState.scene03.winbroken >= 1)then
			core.runAnimation("windowbroken",0,scene_members.windowBlink)
		end
	end
	
	if(sceneState.boxcutter == 1) then
        if(sceneState.showboxcutter == 1) then
            scene_members.windowButton:setVisible(false)
        end
    end
end


function onTouchLayer(eventType, x, y)
    print("working")
    if eventType == CCTOUCHBEGAN then
        print(x,y)
        game.doActionOnScene(x,y,scene_members.tirePlaced,function()
                                                                    showDescription(LOCALIZE("S3_SEESAWGHOST"),2)
                                                                    end)
    end
end


function event()
	updateScreen()
	-- веревка покрышка и призрак
	showGhostTireAndRope()
	
	--покрышка
	scene_members.tire:setVisible(sceneState.tire == 0)
    
    --кусочек фото
    scene_members.photopiece:setVisible(sceneState.photopiece == 0)
end
