-- autostart
-- core.*
-- scene_selectors
-- scene_members

sceneState = gameState.scene05

if not sceneState.photopiece3 then
	sceneState.photopiece3 = 1
end

if not sceneState.photopiece4 then
	sceneState.photopiece4 = 1
end

if not sceneState.gear1 then
	sceneState.gear1 = 0
end
if not sceneState.gear2 then
	sceneState.gear2 = 0
end
if not sceneState.gear3 then
	sceneState.gear3 = 0
end
if not sceneState.gear4 then
	sceneState.gear4 = 0
end

if not sceneState.ghost then
	sceneState.ghost = 0
end

if not sceneState.enableGears then
	sceneState.enableGears = 0
end

if not sceneState.enablePaintings then
	sceneState.enablePaintings = 0
end

if not sceneState.leverEnable then
	sceneState.leverEnable = 0
end

if not sceneState.balerinaEnable then
	sceneState.balerinaEnable = 0
end

if not sceneState.casketEnable then
	sceneState.casketEnable = 0
end

if not sceneState.paintings4 then
	sceneState.paintings4 = 0
end

if not sceneState.wallPhotoes then
	sceneState.wallPhotoes = 0
end

if not sceneState.paintings5 then
	sceneState.paintings5 = 0
end

if not sceneState.paintings6 then
	sceneState.paintings6 = 0
end

if not sceneState.hometicket then
	sceneState.hometicket = 1
end

if not sceneState.hometicketPicked then
	sceneState.hometicketPicked = false
end

--дрова огинь камин
if not sceneState.camin then
	sceneState.camin = 0
end

function showCurrentHint()
	if sceneState.paintings4 ~= 1 then
		hintItem = scene_members.paintings4
		return
	end
	
	if sceneState.paintings5 ~= 1 then
		hintItem = scene_members.paintings5
		return
	end
	
	if sceneState.paintings6 ~= 1 then
		hintItem = scene_members.paintings6
		return
	end
	
	if sceneState.photopiece3 ~= 1 and sceneState.ghost == 1 then
		hintItem = scene_members.photopiece3
		return
	end
	
	if (sceneState.casketEnable == 0) then
		if game.hasItem("gears",4) or sceneState.enableGears == 1 then
			hintItem = scene_members.jukeboxhint
			return
		else
			hintItem = scene_members.gearshint
			return
		end
	end
	
	if (sceneState.casketEnable == 1) then
		if game.hasItem("lever") then
			hintItem = scene_members.jukeboxhint
			return
		end
	end
	
	if (sceneState.casketEnable == 2) then
		if game.hasItem("ballerina") then
			hintItem = scene_members.jukeboxhint
			return
		end
	end
	
	if (sceneState.balerinaEnable > 0 and sceneState.photopiece4 ~= 1) then
		hintItem = scene_members.jukeboxhint
		return
	end
	
	if (game.hasItem("paintings",6)) then
		--hintItem = scene_members.paintingshint
        hintItem = scene_members.testhint
		return
	end
	
	
	if (sceneState.camin == 0 and game.hasItem("wood")) then
		hintItem = scene_members.fireplacehint
		return
	end

	if (sceneState.camin == 1 and game.hasItem("fuelcan")) then
		hintItem = scene_members.fireplacehint
		return
	end
	
	if (sceneState.camin == 2 and game.hasItem("lighter")) then
		hintItem = scene_members.fireplacehint
		return
	end

	if (sceneState.camin == 3 and sceneState.hometicket ~= 1) then
		hintItem = scene_members.hometicket
		return
	end
	
	hintItem = scene_members.exit
	
end


local function showWallPhotoes()
	for cur = 1, 6 do
		scene_members["wallPic"..cur]:setVisible(sceneState.wallPhotoes == 1)
	end
    if(sceneState.wallPhotoes == 1) then
        
    end
end

local function succeedWall()
	sceneState.photopiece3 = 0
	scene_members.photopiece3:setVisible(sceneState.photopiece3 == 0)
	scene_members.photopiece3:setTouchEnabled(sceneState.photopiece3 == 0)
	sceneState.ghost = 1
    effectID = SimpleAudioEngine:sharedEngine():playEffect(CCFileUtils:sharedFileUtils():fullPathFromRelativePath("music/sfx/s_0024_actionok.mp3"))
	scene_members.manGhostSprite:setVisible(true)
	scene_members.manParticles:setVisible(true)
	game.restartParticles(scene_members.explosionParticles)
	sceneState.wallPhotoes = 1
    showDescription(LOCALIZE("S5_TWINSGHOST"),1)
    item = scene_members.sceneMenu:getChildByTag(1):setVisible(sceneState.wallPhotoes == 0)
	showWallPhotoes()
	
end

local function viewWall()
    showDescription(LOCALIZE("S5_WALLWHITHOUTPIC"))

	core.minigames.puzzle.loadMiniGame("scene_5_4", "wall", succeedWall, {{359,141},{172, 143},{295,36},{272,290},{106,279},{138,49}},
									   function()

									   for cur = 1,6 do
									   scene_members["item"..cur]:setVisible(sceneState.enablePaintings == 1)
                                       if(sceneState.enablePaintings == 1)then
                                            core.resetProgressButton()
                                       end
									   end
									   end,nil,nil,1);
end


function scene_selectors.exitPressed(sender)
	if (gameState.exitActive == false) then
		return
	end
	
	game.startSceneWithSaveState("scene_4", "04_hallway", true);
end




local function viewGears()
	game.initSubScene("scene_5_0","gears")
	scene_members.gear1:setVisible(sceneState.gear1 == 0)
	scene_members.gear1:setTouchEnabled(sceneState.gear1 == 0)
	scene_members.gear2:setVisible(sceneState.gear2 == 0)
	scene_members.gear2:setTouchEnabled(sceneState.gear2 == 0)
	scene_members.gear3:setVisible(sceneState.gear3 == 0)
	scene_members.gear3:setTouchEnabled(sceneState.gear3 == 0)
	scene_members.gear4:setVisible(sceneState.gear4 == 0)
	scene_members.gear4:setTouchEnabled(sceneState.gear4 == 0)
end

local function succeedJukeboxGame()
	print("jukebox complete!")
	scene_members.gear0:runAction(CCRotateBy:create(5000,300000))

	-- нужно посчитать
	for cur = 1,#itemOnPlace do
		--item = scene_members["item"..cur]
		item = scene_members.activeArea:getChildByTag(cur)
		-- animate
		if (item:getTag() == 1 or item:getTag() == 3) then
			item:runAction(CCRotateBy:create(5000,300000))
		else
			item:runAction(CCRotateBy:create(5000,-300000))
		end
	end
	sceneState.casketEnable = 1
	scene_members.musicOpenGhost:setVisible(sceneState.casketEnable >= 1)
	scene_members.musicCloseGhost:setVisible(sceneState.casketEnable == 0)
	scene_members.musicOpen:setVisible(sceneState.casketEnable == 1)
	scene_members.musicBalerina:setVisible(sceneState.casketEnable == 2)
    
    effectID = SimpleAudioEngine:sharedEngine():playEffect(CCFileUtils:sharedFileUtils():fullPathFromRelativePath("music/sfx/s_0060_woodrustyopen.mp3"))
	
end

local function rotateLever()
    scene_members.leverRotate = nil
	if(sceneState.leverEnable == 1)then
		sceneState.casketEnable = 2
        
		scene_members.musicOpenGhost:setVisible(sceneState.casketEnable >= 1)
		scene_members.musicCloseGhost:setVisible(sceneState.casketEnable == 0)
		scene_members.musicOpen:setVisible(sceneState.casketEnable == 1)
		scene_members.musicBalerina:setVisible(sceneState.casketEnable == 2)
	end
end

local function rotateBalerina()
    scene_members.ballerina = nil
	if(sceneState.photopiece4 == 1 and sceneState.balerinaEnable == 1) then
		scene_members.casketButton:setVisible(false)
        
		sceneState.balerinaEnable = 2
		scene_members.musicOpenGhost:setVisible(false)
        effectID = SimpleAudioEngine:sharedEngine():playEffect(CCFileUtils:sharedFileUtils():fullPathFromRelativePath("music/sfx/s_0057_lightwoodslide.mp3"))
	end
end


function scene_selectors.casketButtonPressed(sender)
	print("casket")
	if(sceneState.casketEnable == 0) then
        showDescription(LOCALIZE("S5_CASKET"))
		core.minigames.puzzle.loadMiniGame("scene_5_2", "jukeboxMinigame", succeedJukeboxGame, {{197,145},{144, 200},{169, 244},{211,268}},
										   function()
											   for cur = 1,4 do
													scene_members["item"..cur]:setVisible(sceneState.enableGears == 1)
											   end
												if(sceneState.enableGears == 1) then
													scene_members.gear0:runAction(CCRepeatForever:create(CCRotateBy:create(1.3,90)))
                                                    showDescription(LOCALIZE("S5_CASKETWHITHGEARS"))
                                                    core.resetProgressButton()
												end
										   end,nil,nil,1);
		elseif(sceneState.casketEnable == 1) then
             showDescription(LOCALIZE("S5_CASKETWHITHLEVER"))
			game.initSubScene("scene_5_1","leverCasket",nil,rotateLever)
		elseif(sceneState.casketEnable == 2) then
        showDescription(LOCALIZE("S5_CASKETWHITHBALERINA"))
		game.initSubScene("scene_5_3","casketAndBallerina",nil,rotateBalerina)
		scene_members.photopiece4:setVisible(sceneState.photopiece4 == 0)
		scene_members.photopiece4:setTouchEnabled(sceneState.photopiece4 == 0)
		scene_members.ballerina:setVisible(sceneState.photopiece4 == 0)
		scene_members.draweClosed:setVisible(sceneState.photopiece4 == 1)
		
	end
end


function scene_selectors.wallPicturesPressed(sender)
   viewWall() 
end

function scene_selectors.gearsButtonPressed(sender)
    viewGears()	
end

--[[function scene_selectors.sceneSelector(sender)
tolua.cast(sender, "CCNode")
		selector = scene_members.sceneMenu
		local tag = sender:getTag()
		if (tag == 0) then
		elseif(tag == 1) then
			print("wall")
			viewWall()
		elseif(tag == 2) then
			print("gears")
			viewGears()	
		end

end]]

function enableGears()
    if(scene_members.gear0 == nil)then return end
	sceneState.enableGears = 1
    core.resetProgressButton()
	for cur = 1,4 do
		scene_members["item"..cur]:setVisible(sceneState.enableGears == 1)
	end
	if(sceneState.enableGears == 1) then
		scene_members.gear0:runAction(CCRepeatForever:create(CCRotateBy:create(1.3,90)))
	end
	game.removeItem("gears",4)
	
end



local function setLever()
    if(scene_members.leverRotate == nil)then return end
	sceneState.leverEnable = 1
	scene_members.leverRotate:setVisible(true)
	game.removeItem("lever")
    effectID = SimpleAudioEngine:sharedEngine():playEffect(CCFileUtils:sharedFileUtils():fullPathFromRelativePath("music/sfx/s_0076_reellever.mp3"))
	--game.closeSubScene()
end
local function setBalerina()
	scene_members.ballerina:setVisible(true)
	scene_members.draweClosed:runAction(CCSequence:createWithTwoActions(CCFadeOut:create(0.3), CCCallFunc:create(function()
																						   sceneState.photopiece4 = 0
																							sceneState.balerinaEnable = 1
																							game.removeItem("ballerina")
                                                                                                                 effectID = SimpleAudioEngine:sharedEngine():playEffect(CCFileUtils:sharedFileUtils():fullPathFromRelativePath("music/sfx/s_0055_musicboxok.mp3"))
																						   scene_members.photopiece4:setVisible(sceneState.photopiece4 == 0)
																						   scene_members.photopiece4:setTouchEnabled(sceneState.photopiece4 == 0)
																						   end
																						   )))
end


local function showCaminFire()
	scene_members.woodBurn:setVisible(sceneState.camin == 3)
	scene_members.placedOil:setVisible(sceneState.camin == 2)
	scene_members.placedWood:setVisible(sceneState.camin == 1)
	scene_members.ghostFire:setVisible(sceneState.camin == 0)
	for cur = 1,2 do
		scene_members["shadow"..cur]:setVisible(sceneState.camin < 3)
	end
	--ticket
	scene_members.hometicket:setVisible(sceneState.hometicket == 0)
	scene_members.hometicket:setTouchEnabled(sceneState.hometicket == 0)
end

function inventoryItemUsed(it, x, y, action, sender)
	print("item used: ", it, x, y, action, sender)
	
	if(it == "paintings") then
		game.enablesItemfromInventoryToItemOnScene(x,y,scene_members.activeArea,function()
                                                                                    if(scene_members.item6 == nil)then return end
																					sceneState.enablePaintings = 1
                                                                                    core.resetProgressButton()
																				   for cur = 1,6 do
																				   scene_members["item"..cur]:setVisible(sceneState.enablePaintings == 1)
																				   end
																					game.removeItem("paintings",6)
																				end,action)
	end
	
	if(it == "gears") then
		game.enablesItemfromInventoryToItemOnScene(x,y,scene_members.activeArea,enableGears,action)
	end
	
	if(it == "lever") then
		game.enablesItemfromInventoryToItemOnScene(x,y,scene_members.activeArea,setLever,action)
	end

	if(it == "ballerina") then
		game.enablesItemfromInventoryToItemOnScene(x,y,scene_members.ballerina,setBalerina,action)
	end

	if(it == "wood") then
		game.enablesItemfromInventoryToItemOnScene(x,y,scene_members.placedOil,function()
												   sceneState.camin = 1
                                                    showDescription(LOCALIZE("S5_WOOD"),2)
												   showCaminFire()
                                                   effectID = SimpleAudioEngine:sharedEngine():playEffect(CCFileUtils:sharedFileUtils():fullPathFromRelativePath("music/sfx/s_0052_dropwood.mp3"))
												   game.removeItem("wood")
												   end,action)
	end
	if(it == "fuelcan") then
		game.enablesItemfromInventoryToItemOnScene(x,y,scene_members.placedOil,function()
                                                   if(sceneState.camin < 1)then
                                                    return
                                                   end
												   sceneState.camin = 2
                                                    showDescription(LOCALIZE("S5_FULECAN"),2)
												   showCaminFire()
                                                   effectID = SimpleAudioEngine:sharedEngine():playEffect(CCFileUtils:sharedFileUtils():fullPathFromRelativePath("music/sfx/s_0053_pourliquid.mp3"))
												   game.removeItem("fuelcan")
												   end,action)
	end
	if(it == "lighter") then
		game.enablesItemfromInventoryToItemOnScene(x,y,scene_members.placedOil,function()
                                                   if(sceneState.camin < 2 or sceneState.camin == 3) then
                                                   return
                                                   end
												   sceneState.camin = 3
												   sceneState.hometicket = 0
                                                    showDescription(LOCALIZE("S5_GHOSTAWAY"),2)
												   showCaminFire()
                                                   effectID = SimpleAudioEngine:sharedEngine():playEffect(CCFileUtils:sharedFileUtils():fullPathFromRelativePath("music/amb/a_1011_fireplace.mp3"),true)
												   
												   gameState.lighterUsages = gameState.lighterUsages - 1
												   if (gameState.lighterUsages == 0) then
												   		game.removeItem("lighter")
												   end
												   end,action)
	end

end


function onTouchLayer(eventType, x, y)
    print("working")
    if eventType == CCTOUCHBEGAN then
        print(x,y)
        game.doActionOnScene(x,y,scene_members.shadow1,function()
                                                        if(sceneState.camin == 0)then
                                                            showDescription(LOCALIZE("S5_SHADOW"),2)
                                                        end
                                                        end)
        game.doActionOnScene(x,y,scene_members.woodBurn,function()
                                                        if(sceneState.camin == 0)then
                                                            showDescription(LOCALIZE("S5_CAMINGHOST"),2)
                                                        end
                                                        end)
        game.doActionOnScene(x,y,scene_members.manGhostSprite,function()
                                                        if(sceneState.ghost == 1)then
                                                            showDescription(LOCALIZE("S5_TWINSGHOST"),2)
                                                        end
                                                        end)

    end
end


function updateScreen()
    scene_members.drawerGhost:setVisible(sceneState.gear1 == 0 and sceneState.gear2 == 0 and sceneState.gear3 == 0 and sceneState.gear4 == 0)

end



function event()
    updateScreen()
	showCaminFire()
	--photopice
	scene_members.photopiece3:setVisible(sceneState.photopiece3 == 0)
	scene_members.photopiece3:setTouchEnabled(sceneState.photopiece3 == 0)
	--casket
	scene_members.musicOpenGhost:setVisible(sceneState.casketEnable >= 1 and sceneState.balerinaEnable < 2)
	scene_members.musicCloseGhost:setVisible(sceneState.casketEnable == 0)
	scene_members.musicOpen:setVisible(sceneState.casketEnable == 1)
	scene_members.musicBalerina:setVisible(sceneState.casketEnable == 2)
	scene_members.casketButton:setVisible(sceneState.balerinaEnable < 2)
	--paintings
	scene_members.paintings4:setVisible(sceneState.paintings4 == 0)
	scene_members.paintings4:setTouchEnabled(sceneState.paintings4 == 0)

	scene_members.paintings5:setVisible(sceneState.paintings5 == 0)
	scene_members.paintings5:setTouchEnabled(sceneState.paintings5 == 0)

	scene_members.paintings6:setVisible(sceneState.paintings6 == 0)
	scene_members.paintings6:setTouchEnabled(sceneState.paintings6 == 0)
	--wallphotoes
	showWallPhotoes()
	--ghost
	scene_members.manGhostSprite:setVisible(sceneState.ghost == 1)
	scene_members.manParticles:setVisible(sceneState.ghost == 1)
	scene_members.explosionParticles:setVisible(sceneState.ghost == 1)
	
    item = scene_members.sceneMenu:getChildByTag(1):setVisible(sceneState.wallPhotoes == 0)
    
end