-- autostart
-- core.*
-- scene_selectors
-- scene_members




sceneState = gameState.scene19

if not sceneState.lighter then
	sceneState.lighter = 0
end

if not sceneState.rdlever then
	sceneState.rdlever = 0
end

if not sceneState.ghost then
	sceneState.ghost = 0
end

if not sceneState.electricity then
	sceneState.electricity = 0
end

if not sceneState.file7 then
	sceneState.file7 = 1
end

if not sceneState.prisonticketPicked then
	sceneState.prisontickettPicked = false
end


function showCurrentHint()
    
	if (sceneState.lighter ~= 1) then
		hintItem = scene_members.lighter
		return
	end
	
	if (sceneState.electricity == 0) then
		hintItem = scene_members.electricityhint
		return
	end
	
	if (game.hasItem("tlever")) then
		hintItem = scene_members.leverhint
		return
	end
	
	if (sceneState.rdlever == 1 and sceneState.ghost == 0) then
		hintItem = scene_members.leverhint
		return
	end
	
	if (sceneState.ghost == 1 and sceneState.file7 ~= 1) then
		hintItem = scene_members.file7
		return
	end
	
	hintItem = scene_members.exit
	
end

function scene_selectors.exitPressed(sender)
	if (gameState.exitActive == false) then
		return
	end
	
	game.startSceneWithSaveState("scene_18", "18_cameras", true); 
end

function scene_selectors.tleverButtonPressed(sender)
    if(sceneState.rdlever ~= 1) then
        showDescription(LOCALIZE("S19_NOLEVER"))
        return
    end
    if(sceneState.ghost == 1) then
        return
    end
	if(sceneState.rdlever == 1)then
		sceneState.file7 = 0
        showDescription(LOCALIZE("S19_MOVELEVER"),2)
		scene_members.leverPlaced:runAction(CCFadeTo:create(0.3,0))
		scene_members.leverPulled:runAction(CCFadeTo:create(0.3,255))
		scene_members.file7:setVisible(sceneState.file7 == 0)
		scene_members.file7:setTouchEnabled(sceneState.file7 == 0)
		gameState.scene18.prisonticket = 0 -- включаем кусочек билета в 18 сцене
		sceneState.ghost = 1
		scene_members.man2:setVisible(sceneState.ghost == 1)
	end
end



local function closeShield()
	if(sceneState.electricity == 1) then
        showDescription(LOCALIZE("S19_ELECTRICITY"))
		scene_members.electricShieldClosed:runAction(CCFadeTo:create(0.3,255))
		scene_members.electricShieldOpen:runAction(CCFadeTo:create(0.3,0))
		scene_members.electricShieldButton:setVisible(sceneState.electricity == 0)
	end
end


function updateScreen()
	
end

local function processDonuts()
	local result = true
	for cur = 1, 4 do
		print("donut"..cur , scene_members["donut"..cur]:getRotation())
		if(scene_members["donut"..cur]:getRotation()%360 ~= 0) then
			result = false
		end
	end
	if(result) then
		sceneState.electricity = 1
		game.closeSubScene()
	end
end

local function onTouch(eventType, x, y)
    print("eventType: ",eventType)
    if(eventType ~= CCTOUCHENDED)then
        return
    end
	local radius = math.sqrt((550 - x)^2 + (403 - y)^2)
	if(radius < 75/2 ) then
		print("donut4")
		scene_members.donut4:setRotation(scene_members.donut4:getRotation() + 10)
		elseif (radius < 170/2 and radius >= 75/2) then
		print("donut3")
		scene_members.donut3:setRotation(scene_members.donut3:getRotation() - 10)
		elseif (radius < 270/2 and radius >= 170/2) then
		print("donut2")
		scene_members.donut2:setRotation(scene_members.donut2:getRotation() + 10)
		elseif (radius < 400/2 and radius >= 270/2) then
		print("donut1")
		scene_members.donut1:setRotation(scene_members.donut1:getRotation() - 10)
	end
	processDonuts()
end

local function setRdlever()
	if(sceneState.electricity == 1)then
		scene_members.leverPlaced:runAction(CCFadeTo:create(0.3,255))
		sceneState.rdlever = 1
        showDescription(LOCALIZE("S19_SETLEVER"))
		game.removeItem("tlever")
	end
	
end

function inventoryItemUsed(it, x, y, action, sender)
	print("item used: ", it, x, y, action, sender)
	if(it == "tlever") then
		game.enablesItemfromInventoryToItemOnScene(x,y,scene_members.leverPlaced,setRdlever,action)
	end
end

function scene_selectors.electricShieldButtonPressed(sender)
    showDescription(LOCALIZE("S19_RIDDLE"))
	game.initSubScene("scene_19_0","shield",nil,closeShield,onTouch)
    core.createSkipButton(function()
                          
                          sceneState.electricity = 1
                          game.closeSubScene()
                          end)
end


function onTouchLayer(eventType, x, y)
    print("working")
    if eventType == CCTOUCHBEGAN then
        game.doActionOnScene(x,y,scene_members.man,function()
        if(sceneState.ghost == 1) then
        showDescription(LOCALIZE("S19_MOVELEVER"),2)
        end
        end)
    end
end

function event()
    print("leverState: ",sceneState.rdlever)
	if(sceneState.lighter == 1)then
		scene_members.lighter:removeFromParentAndCleanup(true)
	end
	scene_members.electricShieldButton:setVisible(sceneState.electricity == 0)
	scene_members.electricShieldOpen:setVisible(sceneState.electricity == 0)
	if(sceneState.electricity == 1) then
		scene_members.electricShieldClosed:setOpacity(255)
	end
	--file

	scene_members.file7:setVisible(sceneState.file7 == 0)
	scene_members.file7:setTouchEnabled(sceneState.file7 == 0)
	--lever
	if(sceneState.rdlever == 1) then
		scene_members.leverPlaced:setOpacity(255)
	end
	if(sceneState.ghost == 1) then
		scene_members.leverPlaced:setOpacity(0)
		scene_members.leverPulled:setOpacity(255)
	end
	--ghost
	scene_members.man2:setVisible(sceneState.ghost == 1)
	
end