
core.executeScript("local/init_hog")

-- локализация
localization = {
GAME_COMPLETED = [[El juego ha terminado.
¿Quieres empezar de nuevo?]],
BUY_GAME = [[Desbloquear juego]],
BUY_ITEM= [[¿Quieres comprar la versión completa?]],
WAIT = [[Por favor, espera…]],
ABORT = [[¡No se han podido comprobar las compras! 
Comprueba tu conexión a Internet.]],
RATE = [[¡Parece que te ha gustado nuestro juego!]],
RATE_YES = [[Calificarla]],
RATE_NO = [[No, gracias]],
RATE_LATER = [[Recordar más tarde]],
RESET = [[Reajustar progreso?]],
QUIT = [["Estás seguro que quieres salir?"]],
BUTTONS_MENU = [[Menú]],
    EXIT=[[Menú principal]],
TUTORIAL_DESCRIPTION0=[[¿Quieres jugar con el tutorial?]],
TUTORIAL_DESCRIPTION1=[[Toma objetos útiles haciendo clic sobre ellos.
Haz clic en el objeto indicado por la flecha.]],
TUTORIAL_DESCRIPTION2=[[También hay objetos de interés en áreas brillantes.
Haz clic en el banco indicado por la flecha.]],
TUTORIAL_DESCRIPTION3=[[Puedes examinar objetos interactivos.
Haz clic en el reloj indicado por la flecha.]],
TUTORIAL_DESCRIPTION4=[[Los objetos que tomes se guardarán en tu inventario.
Pon las manecillas del reloj en este.]],
TUTORIAL_DESCRIPTION6=[[¡Las puertas están abiertas!
Tócala para finalizar el tutorial.]],
ANSWER_YES=[[Sí]],
ANSWER_NO=[[No]],
RESET_PLAYBUTTON=[[Reiniciar progreso]],
SETTINGS_PLAYBUTTON=[[OPCIONES]],
TITLE_PLAYBUTTON=[[JUGAR]],
CREDITS_PLAYBUTTON=[[Créditos]],
TITLE_SOUND=[[EFECTOS DE SONIDO]],
TITLE_MUSIC=[[MÚSICA]],
CONTROL_CONTINUE=[[Continuar]],
CONTROL_SKIP=[[Saltar]],
ITEM_FOUND=[[Has encontrado un objeto útil.]],
S1_DIALOG=[[Sombra oscura: ¡Nunca podrás escapar!]],
S1_NOARROWS=[[Faltan las agujas del reloj.]],
S1_ARROWSONWATCH=[[Quizá deba poner la hora correcta.]],
S1_TIMETABLE=[[¿Es esta la hora en que las puertas se abren?]],
S1_LIONNOPARTS=[[Parece un estampador de pases. Le faltan algunas piezas.]],
S2_DIALOG=[[¡Ahora que lo recuerdo todo, debo encontrar la forma de salir de aquí!]],
S3_DIALOG=[[Me pregunto quién es la chica de mi visión...
¡Debo descubrirlo!]],
S3_WINDOWDIRT=[[Debería limpiar esta ventana para ver qué hay dentro.]],
S3_WINDOWCLEAN=[[Quizá pueda romper la ventana con algo pesado.]],
S3_WINDOWBROCEN=[[El cortacajas podría ser útil.]],
S3_WINDOWFULL=[[No hay razón para romper esto ahora.  Quizá debería limpiarlo primero.]],
S3_MAILBOX=[[Esta no es la dirección de esta casa.  Extraño...]],
S3_SEESAW=[[Tienes la certeza de que esta chica estaba cerca de ti.]],
S3_SEESAWGHOST=[[Aquí había un columpio.]],
S4_RULLER=[[Falta uno de los números.]],
S4_RELLERWRITE=[[Aquí marcábamos su altura.]],
S4_CAMMODMOVE=[[Las marcas en el muro sugieren que hay algo detrás del papel de pared.]],
S4_WALLPAPERFULL=[[Un objeto punzante ayudaría a cortar ese viejo papel de pared.]],
S4_SHOWGHOST=[[Aquí marcábamos su altura.]],
S4_LOCK=[[Debe de haber una pista cerca para poder descubrir el código.]],
S4_OPENDOOR=[[Esta debe de ser la entrada al sótano.]],
S5_CASKET=[[Debo poner las partes que faltan.]],
S5_WALLWHITHOUTPIC=[[Las áreas oscuras indican que aquí hubo una colección de pinturas.]],
S5_CASKETWHITHGEARS=[[Deben estar en el orden correcto.]],
S5_CASKETWHITHLEVER=[[Parece que falta la palanca.]],
S5_CASKETWHITHBALERINA=[[Le di cuerda a la caja de música pero no funcionará sin la última pieza.]],
S5_TWINSGHOST=[[Hermanas gemelas...]],
S5_SHADOW = [[La sombra en este espejo me mira directamente...]],
S5_CAMINGHOST = [[La luz consumirá la sombra.]],
S5_WOOD = [[Tengo algo para quemar.  Debo hacerlo arder.]],
S5_FULECAN = [[Esto ayudará a prender el fuego.]],
S5_GHOSTAWAY = [[La sombra ya no nubla tus recuerdos.]],
S6_DOLLPARTTS=[[Faltan algunas partes de la muñeca.]],
S6_DOLLPARTTSFULL=[[Juntar la muñeca debería ser fácil.]],
S6_DOLLGHOST=[[Ella parece triste...]],
S6_ROPE=[[¡Podría usar un trozo de esa cuerda!]],
S6_ROPECUT=[[Seguro que le encontraré un uso a esta cuerda.]],
S6_CAN=[[¡Todavía queda combustible en el depósito!]],
S6_FUNNEL = [[Con un embudo conseguiremos no desperdiciar combustible.]],
S6_HOSE = [[Una manguera ayudaría a extraer el combustible.]],
S7_DIALOG1=[[Vuelves a controlar tus emociones y recuerdas que te perdonaste por la muerte de tu hermana hace mucho tiempo.]],
S7_DIALOG2=[[Guardas los recuerdos de la inocente alma de tu hermana cerca de tu corazón. ]],
S7_PHOTOFRAME=[[Crees que la imagen incompleta es clave para recuperar tus recuerdos.]],
S7_CUTPAINTING=[[El trozo de papel indica que se arrancó un dibujo del cuaderno.]],
S7_FULLPAINTING=[[Debería ponerlo todo en su sitio.]],
S7_SHOWNOTEBOOKGHOST=[[Sientes una conexión con la chica.]],
S7_PHOTOPARTS=[[Tengo todas las piezas de la foto.  Debería unirla ahora.]],
S7_PHOTOFRAME=[[Crees que la imagen incompleta es clave para recuperar tus recuerdos.]],
cutScene2part1=[[Empiezas a recuperar la memoria al recordar tu feliz infancia...]],
cutScene2part2=[[Recuerdas cuando jugabas con tu hermana gemela un bonito día de primavera.]],
cutScene2part3=[[Luego todo quedó en manos del destino...]],
cutScene2part4=[[Ocurrió algo inimaginable: ¡viste cómo tu hermana moría sin poder hacer nada!]],
S8_GHOST=[[La pasión y el remordimiento te inundan al ver al hombre joven.]],
S8_FIRE=[[El fuego etéreo te impide tocar la puerta.]],
S8_ALARM=[[Podría romper el cristal golpeándolo repetidamente con algo duro.]],
S8_BROKEALARMGLASS=[[Bajar la palanca activaría la alarma.]],
S8_FLOOR=[[Hay un desagüe bajo la baldosa.]],
S8_DOOR=[[Ahora puedo explorar el campus.]],
S8_CASE=[[No puedes abrirlo sin la llave correcta.]],
S8_LOCK=[[No hay rastro de ninguna llave. Se requiere otra solución.]],
S9_LIGHT=[[Esta habitación no es lo suficientemente oscura para usar el proyector de diapositivas.]],
S9_BOARD=[[En la pizarra se había escrito algo importante.]],
S9_LEVER=[[Parece el controlador para las persianas.]],
S9_GHOST=[[¡De pronto recuerdas quién era el hombre joven!]],
S10_CARCLOSED=[[¡Cerrado!]],
S10_GUITARNOTSTRINGS=[[Le faltan algunas cuerdas.]],
S10_TREE=[[Necesito un objeto afilado para completar el grabado.]],
S10_SHADOW=[[Podría ahuyentar esa sombra si alcanzo la lámpara en el balcón.]],
S10_CAROPEN=[[El tronco está abierto ahora.]],
S10_GHOST=[[¡Recuerdas cómo tu novio grabó tus iniciales en el árbol!]],
S10_UNDERCAR=[[Hay algo bajo el auto.]],
S10_CARPULLED=[[Ahora puedes echar un vistazo bajo el árbol.]],
S10_GUITARFULL=[[La guitarra estaba afinada.]],
S10_PROJECTOR =[[Esta habitación es ahora lo bastante oscura como para usar el proyector de diapositivas.]],
S10_MEMORIES1=[[Recuerdos de miedo...]],
S10_MEMORIES2=[[Recuerdos de pasión...]],
S10_MEMORIES3=[[¡Recuerdos de devastación!]],
S10_MEMORIES4=[[Recuerdos de alegría...]],
S10_MEMORIES5=[[Recuerdos de discusiones...]],
S10_CANDLESET=[[Podría ahuyentar esa sombra si alcanzo la lámpara en el balcón.]],
S11_GRID=[[¡Veo algo tras la reja!  ¿Cómo puedo quitar esos tornillos?]],
S11_ELECTROMAP=[[Estos parecen valores de un generador.]],
S11_ELECTROBOX=[[Debo encontrar el valor correcto para cada pestaña deslizante.
La información debe de estar escrita en alguna parte...]],
S11_GHOST=[[¡Es la hora de tu cita!  Recuerdas a tu novio regalándote rosas.]],
S11_GRIDOEN=[[Una presencia maligna aún impregna este lugar.]],
S12_PIC=[[Pasión imperecedera...]],
S12_KEYBOARD=[[Falta un teclado en la computadora.]],
S12_GHOST=[[¡Una poetisa en ciernes!  Recuerdas que amas la poesía.]],
S12_MONITOR = [[El reflejo de alguien que no está aquí.  ¡Podría ser una pista!]],
S9_DIALOG1=[[El recuerdo de la muerte de tu novio y compañero te llena de rabia y tristeza...]],
S9_DIALOG2=[[Guardas los recuerdos de la inocente alma de tu hermana cerca de tu corazón. ]],
cutScene3part1=[[Los borrosos recuerdos empiezan a aclararse al recordar tus días de instituto...]],
cutScene3part2=[[El romance reemplazó la culpabilidad sobre la trágica muerte de tu hermana.]],
cutScene3part3=[[Pero nada es perfecto...]],
cutScene3part4=[[¡y una pequeña discusión tuvo consecuencias inesperadas!]],
cutScene3part5=[[Un hombre retorcido vio en ello una oportunidad...]],
cutScene3part6=[[Hombre: ¡Toma esto!]],
cutScene3part7=[[Si no hubieras sido tan orgullosa...]],
cutScene3part8=[[Cegada por el dolor, acusas al sospechoso. Piensas que solo la pena de muerte aliviará tu dolor.]],
S13_FENCE=[[Podría atravesar la reja con la herramienta adecuada.]],
S13_BASCKET=[[Diversión para los prisioneros.]],
S13_CUTFENCE=[[Ahora ya puedo cruzar.]],
S13_BENCHDESCRIPTION=[[Ahora puedo echarle un vistazo a la grada.]],
S13_GHOSTBASCKETBALL=[[Un prisionero lanzando aros.]],
S14_SWITCHBOX=[[Una de las conexiones debe ser reparada.]],
S14_TABLE=[[Alguien enmarcó esta página.  Debe de ser importante...]],
S14_SHOTGUN=[[No puedo deshacer ese nudo.  Tendré que cortar la cuerda.]],
S14_SHOTGUNFREE=[[Ahora puedo tomarla.]],
S15_FULLGLASS=[[El cristal ya está roto.  Si el agujero fuera más grande podría pasar.]],
S15_SHACKLES=[[Parecen grilletes, pero falta el aro.]],
S15_DIRECTORROOM=[[Debo quitar esas tablas para ver qué hay al otro lado de la puerta.]],
S15_CODELOCK=[[Se requiere un código de cuatro dígitos.]],
S15_OPENDOOR=[[La puerta está abierta.]],
S15_CLEARWAY=[[El camino está despejado.]],
S15_SHOOT=[[Si intento pasar ahora me voy a cortar.  ¡El cristal está afilado!]],
S15_SETCURTAIN=[[Ahora puedo cruzar la ventana sin cortarme.]],
S15_GHOST=[[Un hombre desesperado clamando por su inocencia.]],
S15_RIDDLELOCK=[[Los grabados debajo parecen tener relación con los botones.]],
S15_OPENDOORDININGROOM=[[Ahora puedo ir a la cafetería.]],
S17_FIREBURN=[[El fuego impide que tome la vasija.]],
S17_PANSOUP = [[Está lleno de sopa.]],
S16_DIALOG1=[[Te das cuenta de que un inocente fue arrestado por la muerte de tu novio.]],
S16_DIALOG2=[[Sufres remordimientos por haber acusado a alguien con la esperanza
de resolver el caso.]],
S16_FOLDER=[[Parece el informe de un prisionero.  Faltan algunos ficheros.]],
S16_CURTAINFULL=[[La tela parece recia pero creo que puedo cortarla.]],
S16_LAMPDARK=[[Se necesita una bombilla.]],
S16_CIGARBOXCLOSED=[[¡Cerrado!]],
S16_CLOSETCLOSED=[[Podría contener algo de interés,
pero deberé abrirlo para saber qué es.]],
S16_BLOOD=[[En esta habitación ocurrió algo horrible.  Debería examinar la mancha de sangre más de cerca.]],
S16_PICTURE=[[Parece haber algo escondido bajo el lienzo.
Necesito algo afilado.]],
S16_CURTAINCUT=[[¡Alguien escondió una bombilla tras la cortina!]],
S16_LAMPGLOW=[[¡Hay una pequeña llave dentro de la pantalla de la lámpara!]],
S16_CIGARBOXOPEN=[[Hay algo dentro.]],
S16_CLOSETOPENED=[[¡Bien!  Echemos un vistazo.]],
S16_GHOST=[[Él me pide clemencia.  Creo que alguien lo golpeó y lo trajo hasta aquí.]],
S16_FILES=[[Debería ponerlos en orden cronológico.]],
S17_BREAD=[[El pan parece muy pasado.]],
S17_MENU=[[Parece comida para presos.]],
S17_PLATE=[[Los prisioneros usaban esto para llevar su comida.]],
S17_LEVER=[[Falta la manija de la válvula.]],
S17_BREADCUT=[[Tomaré una hogaza.]],
S17_FIREEXTINGUISH=[[¡El agua apagó el fuego!  Ahora ya puedo tomar la vasija.]],
S17_WATERPIPE=[[Sale agua a chorros.]],
S17_FILLWATER=[[Ahora tengo una jarra llena de agua.]],
S17_FILLLADDLE=[[Debería ser suficiente para llenar un cuenco.]],
S17_PRISONBREAD=[[El pan con sopa está muy bueno...]],
S17_PRISONSOUP=[[Una comida caliente...]],
S17_PRISONWATER=[[Algo para beber...]],
S17_PRISONDINNER=[[El prisionero está comiendo su última cena.]],
S18_DOORS=[[¡Debe haber alguna forma de abrir la puerta!]],
S18_SHADOW=[[Si encuentro la forma de reparar las luces podré ahuyentar las sombras.]],
S18_EXEC=[[Necesito autorización para cruzar esa puerta.]],
S18_LOCK=[[Hay una ranura para una tarjeta de seguridad.  Debo encontrar una.]],
S18_LEVERS=[[Las palancas deberían abrir las celdas, pero el mecanismo no funciona correctamente.
Quizá haya una combinación de palancas que abra las celdas.]],
S18_OPENCAMERAS=[[Ahora ya puedo entrar en las celdas.]],
S18_GHOST=[[¡Un muerto viviente!]],
S18_OPENGATES=[[La tarjeta de seguridad facilita el acceso a otra habitación.]],
S19_NOLEVER=[[No puedo usar la silla sin la palanca.]],
S19_ELECTRICITY=[[La fuerza ha sido restablecida en la Milla Verde.]],
S19_RIDDLE=[[Si conecto las luces al otro lado quizá consiga restablecer las luces
en La Milla Verde.]],
S19_SETLEVER=[[La palanca está en su lugar.]],
S19_MOVELEVER=[[Esta alma atormentada no podrá descansar hasta que yo pruebe su inocencia.]],
cutScene4parts1=[[Al recolectar pruebas, te das cuenta que no era posible que el conserje estuviera en la escena del crimen.]],
cutScene4parts2=[[Recuerdas cómo ocurrió...
El conserje se excedió...]],
cutScene4parts3=[[Novio: ¡Esto te enseñará a comportarte!]],
cutScene4parts4=[[Mientras tú y tu novio se alejaban, escuchaste las palabras: "Te arrepentirás".]],
cutScene4parts5=[[Al poco tiempo, tu novio estaría muerto.]],
cutScene4parts6=[[Era muy fácil culpar a tal sospechoso.]],
cutScene4parts7=[[Y también a un hombre inocente...]],
cutScene4parts8=[[¡...que fue ejecutado!]],
S20_TRAPDOOR=[[El ángel proyecta una sombra en las trampillas.
Quizá es una pista para abrirlas.]],
S20_BOARDS=[[¡Esas tablas están bien sujetas!
Necesito algo pesado para romperlas.]],
S20_ANGEL=[[Extraño... Veo unas alas en la sombra que proyecta el ángel, pero este no tiene ninguna.]],
S20_FATHER=[[Mi padre está rezando.]],
S21_EVIL=[[Tengo la sensación de que es una sombra cercana a mí...]],
S21_1_CHURCHBOOK=[[Estas figuras me resultan familiares... Miran en direcciones opuestas.]],
S21_3_ANGEL=[[Tiene que asemejarse a tal y como se muestra en el libro.]],
S21_4_DEMON=[[Tiene que asemejarse a tal y como se muestra en el libro.]],
S21_NOSTATUE=[[Parece un pedestal para una pequeña estatua.]],
S21_TORCHDOWN=[[No puedo encender la antorcha mientras esté cabeza abajo.]],
S21_NEEDFIRE=[[Ahora ya puedo encender la antorcha.]],
S21_NEEDKNIFE=[[Es un saco pesado.  Deberé cortarlo para alcanzar las semillas.]],
S21_GHOST = [[¿Por qué está la sombra maligna acosando a mi padre?]],
S22_1_RIP=[[Descansa en paz, querida hermana.]],
S22_CHOP=[[Esta madera seca será útil.]],
S22_FATHER=[[Mi padre está mirando la tumba de mi hermana como intentando decirme algo.]],
S22_FLOWERS1=[[Me gustaría cambiarlos, pero no puedo quitarlos con las manos.]],
S22_FLOWERS2=[[Debo quitar la suciedad antes de plantar las semillas.]],
S22_FLOWERS3=[[Aquí podría plantar nuevas flores.]],
S22_FLOWERS4=[[Sin agua no crecerán.]],
S23_FATHER=[[¿Qué secreto se llevó mi padre a la tumba?]],
S23_WATER=[[Agua fresca.]],
S23_1_DOOR=[[Está cerrado. Necesito la llave.]],
S23_2_CHAPLET=[[Mi padre solía sentarse aquí mientras sostenía su crucifijo.]],
S24_FATHER=[[Mi padre muestra signos de desesperación, postrado cerca de mi foto de boda.]],
S24_3_VITRAGE=[[Ahora debería examinar el vitral más de cerca.]],
S24_VITRAGE=[[Quizá pueda repararlo poniendo cada pieza en el sitio que le corresponde.]],
S24_NEEDOPEN=[[Esto se utilizaba para las donaciones.]],
S24_RIGHTTAB = [[Le falta la otra parte.]],
S24_LEFTTAB = [[¿Dónde está la otra mitad?]],
S24_CURTAIN = [[Hay algo bajo el altar, pero no puedo levantar la tela.]],
S25_NOTONGUE=[[A la campana le falta el badajo, no puedo hacerla sonar.]],
S25_WEB=[[Vamos a quitarlas.]],
S25_GHOST = [[Mi padre parece preocupado.]],
S25_PHOTOALBUM=[[My family album, minus the photos.]],
cutScene5parts1=[[Padre: Al conocer al marido de mi hija, desconfié de él.  Lo seguiré en uno de sus supuestos viajes de negocios.]],
cutScene5parts2=[[¡Así que es aquí donde se esconde!  Veamos qué hay dentro...]],
cutScene5parts3=[[¡Dios mío! ¡Este psicópata ha estado al acecho de mi familia durante años!  ¡Debo advertir
a mi hija!]],
cutScene5parts4=[[Hija ¡No!  ¡No te creo, papá!  ¿Cómo puedes decir eso?
Esposo: Lo pagarás, viejo...]],
cutScene5parts5=[[Unas semanas después...

Padre: ¿Qué haces?  ¡¡Nooooooo!!]],
S25_DIALOG1=[[Sabes que tu padre tenía razón sobre tu marido.  El hombre que amas está detrás de todas esas tragedias.]],
S25_DIALOG2=[[Sigues el consejo de tu padre y te dispones a detener al asesino.]],
cutScene6parts1=[[¿Cómo pude estar tan ciega?
¡Mi marido era el joven que estaba tras el volante aquel día!]],
cutScene6parts2=[[Ahora veo la secuencia de eventos desde su perspectiva...
Él mató a mi novio de instituto y luego inculpó al conserje...]],
cutScene6parts3=[[Estaba tan vulnerable que le fue fácil acercarse a mí. Parecía un hombre encantador, así que nos casamos.]],
cutScene6parts4=[[Cuando mi padre descubrió sus oscuros secretos y se enfrentó a él, se convirtió en otro de sus blancos.]],
cutScene6parts5=[[Tras la muerte de mi padre,  amenacé con dejar a mi marido y denunciarlo a las autoridades.  Solo recuerdo salir corriendo para seguir con vida...]],
cutScene6_1parts2=[[Estoy en el hospital...  No sé cuánto tiempo he estado en coma...]],
cutScene6_1parts3=[[¡Pero ahora que he despertado, debo detener a mi marido!]],
S26_DIALOG1=[[Debo irme de aquí sin que me vean y tomar pruebas que demuestren que mi marido cometió tales crímenes.]],
S26_DIALOG2=[[Primero debo encontrar ropa y algo para este dolor de cabeza.]],
S26_CLOTHES=[[Ahora llevo ropa.]],
S26_WINDOWCLOSED=[[No puedo cruzar las barras fuera de mi ventana.]],
S26_PILS=[[El espray de pimienta tras el cristal podría resultar útil si tengo que defenderme.  Debo romper el cristal de alguna forma.]],
S26_BARS=[[Este generador quizá controla las barras que bloquean el paso.  
Debería intentar crear un cortocircuito.]],
S26_TABLE=[[Aquí podría preparar algún remedio para el dolor de cabeza.]],
S26_JUG=[[Podría usar esta agua.]],
S26_OPENWINDOW=[[El cortocircuito desbloqueó las barras fuera de la ventana.]],
S26_ESCAPE=[[Primero debo encontrar ropa y algo para este dolor de cabeza.]],
S26_SETCUP=[[Debo disolver la medicina con agua.]],
S26_FILLWATER=[[Ahora todo lo que necesito es esta medicina.]],
S26_SETPILS=[[Ahora solo debo tomarla.]],
S26_FILLGOOD=[[Me siento mucho mejor ahora. Creo que ya estoy en condiciones de salir.]],
S27_WASE=[[¡Parece que aquí hay algo enterrado!  La suciedad esta demasiado compactada para quitarla con mis manos.]],
S27_WATERFULL=[[Para tomar la moneda deberé vaciar la fuente.]],
S27_SHEDCLOSED=[[El candado mantiene la barra de seguridad en su sitio.  Debo abrirlo.]],
S27_SHEDOPENED=[[Ahora ya puedo echar un vistazo dentro.]],
S27_SHOWELS=[[El óxido ha bloqueado las bisagras.
Un poco de lubricante me ayudaría a abrir la puerta.]],
S27_OPENPHONEDOOR=[[Ahora ya puedo entrar.]],
S27_PHONE=[[Podría llamar a mi marido con este teléfono...  
Aunque quiero grabar la conversación para tener pruebas.]],
S27_MURDERER=[[¡Debo detenerlo sin que el rehén resulte herido!]],
S27_MURDERER1=[[¡Debería actuar cuando él baje la guardia!]],
S27_PEPPER=[[¡Toma esto, asesino!]],
S27_CLIFS=[[¡Ahora ya puedo pedir refuerzos!]],
S27_CALLPOLICE=[[Debería llamar a la policía ahora.  Tengo una moneda más.]],
cutScene7parts1=[[Rose: Hola.  Te llamo del hospital para hacerte saber que tu mujer ha despertado y pregunta por ti.]],
cutScene7parts2=[[Esposo: Enseguida voy.]],
cutScene7parts3=[[Rose: Es hora de terminar con esto.]],
cutScene7parts4=[[Rose: Sé que tú mataste a mi hermana y mi padre y que mataste a mi novio del instituto e inculpaste al conserje.]],
cutScene7parts5=[[Esposo: Es verdad.  Los maté a todos.  Estábamos destinados a estar juntos Rose,
y ellos se entrometieron.  Ahora estamos solos tú y yo... juntos para siempre.]],
cutScene7parts6=[[Rose: ¡Estás loco!  Voy a llamar a la policía, y tengo las pruebas necesarias para que te encierren durante el resto de tu vida.]],
cutScene7parts7=[[Esposo: Creo que no...]],
cutScene7parts8=[[Esposo: ¡Dame la cinta o la mato!]],
cutScene7parts9=[[Rose: ¡No te saldrás con la tuya!]],
cutScene8parts1=[[Rose: La policía está en camino.  ¡Pagarás por tus crímenes!]],
cutScene8parts2=[[Rose: Ahora que se ha hecho justicia, al fin puedo liberar a los fantasmas de mi pasado. ]],
    
	
}

scene07.tableDescriptionsItems = {[0]="Manzana","Manzana","Pelota de béisbol","Bumerán","Bastón de caramelo","Auto","Crayón","Dados","Flor","Flor","Corazón","Cinta de pelo","Paleta dulce","Luna","Nota musical","Nota musical","Sombrero de fiesta","Reina","Robot","Cohete","Serpiente","Sombrero de paja","Sol","Sombrero de copa","Tren","Bastón","Z"}

scene06.tableDescriptionsItems = {[0]="24","Broche","Busto","Portavelas","Cerezas","Moneda","Elefante","Foto familiar","Pluma","Corazón","Símbolo de infinito","Lámpara de lava","Encendedor","Mapa","Canica","Candado","Pincel","Rosa","Destornillador","Sello de lacre","Estatuilla","Corbata","Dentífrico","Violín"}

scene09.tableDescriptionsItems =  {[0]="Anubis","Manzana","Cerveza","Batidora","Barco","Dios hindú","Mariposa","Auto","Joyero","Daga","Comida de perros","Dragón","Torre Eiffel","Sobre","Pluma","Martillo","Rey","Doncella","Pegaso","Esfinge","Araña","Tetera","Veleta","Cuchara"}
scene13.tableDescriptionsItems = {[0]="Flecha","Pelota","Cesto","Cerveza","Binoculares","Bota de montaña","Balde","Jaula","Cámara","Cofre","Sacacorchos","Anubis","Linterna","Esposas","Lámpara","Candado","Envase de leche","Veneno","Postal","Jarrón","Balanza","Casete","Teléfono","Reloj"}
scene14.tableDescriptionsItems = {[0]="Ángel","Placa de sheriff","Banana","Escarabajo","Dios hindú","Símbolo numérico","CD","Brújula","Maíz","Sombrero de vaquero","Taza","Rosquilla","Cono de helado","Megáfono","Pala de pimpón","Candado","Pimiento rojo","Navaja","Cuerda","Concha marina","Luz de policía","Jabón","Superhéroe","Silbato"}
scene18.tableDescriptionsItems = {[0]="13","Moras","Bota de montaña","Mariposa","Lata","Mosquetones","Cereza","Reloj","Cucaracha","Peine","Libélula","Esquivar","Horca","Auriculares","Pera","Jarra","Navaja","Bufanda","Maletas","Espada","Cepillo de dientes","Tres en raya","Toalla","Billetera"}
scene12.tableDescriptionsItems = {[0]="Muñecas rusas","Toro","Libro","Queso","Peine","Bailarines","Dinosaurio","Rostro","Hada","Flor","Lentes","Sombrero","Horus","León","Lagarto","Lupa","Caja de fósforos","Deidad maya","Periódico","Palomitas","Tornillo","Destornillador","Pelota de tenis","Tortugas"}
scene21.tableDescriptionsItems = {[0]="As","Rosca de pan","Campana","Mora","Brocha de maquillaje","Cereza","Reloj","Libélula","Abanico","Pluma","Corazón","Joya","Joya","К","Llave","Cuchillo","Máscara","Lápiz","Chile","Anillo","Anillo","Rosa","Concha marina","Caracol", "Estrella", "Espada"}
scene22.tableDescriptionsItems = {[0]="Cornamenta","Cinturón","Biblia","Bombín","Mariposa","Cepillo rascador","Velas","Naipe","Cadena","Reloj","Crucifijo","Crucifijo","Crucifijo","Pendiente","Lagarto","Herradura","Perfume","Desatascador","Calabaza","Sombrero de mapache","Saco","Serrucho","Escorpión","Concha marina", "Jarrón", "Regadera"}
scene26.tableDescriptionsItems = {[0]="Ábaco","Zapatito","Bate de béisbol","Pulsera","Botón","Tapón","Pinza de ropa","Martillo","Dragón","Pluma","Inhalador","Hoja","Candado","Pimiento rojo","Estetoscopio","Píldoras","Venda","Sello","Estrella de mar","Estatuilla","Fresa","Jeringa","Termómetro","Pinzas"}
scene01.tableDescriptionsItems = {[0]="Figura azteca","Campana","Campana","Binoculares","Camello","Bastón","Brújula","Flauta","Geisha","Pasaporte","Globo de nieve","Cepillo de dientes","Reloj de pulsera"}
scene100.tableDescriptionsItems = {[0]="Galleta para perro","Placa para perro","Huevo","Huevo","Pescado","Guantes","Llaves","Luna","Luna","Luna","Hongo","Cinta","Rodillo","Alas","Cuchara de madera"}
scene101.tableDescriptionsItems = {[0]="Guante de béisbol","Arco","Busto","Lata de refresco","Diploma","Máscara","Máscara","Máscara","Microscopio","Símbolo de la paz","Rosa","Sombrero de graduación","Telescopio", "Trofeo"}
scene102.tableDescriptionsItems = {[0]="Placa de sheriff","Cinturón","Cuchillo de carnicero","Sobre","Martillo","Relámpago","Máscara","7","Balanza","Calavera","Calavera","Cuchara","Encendedor"}
scene103.tableDescriptionsItems = {[0]="Ángel","Ángel","Murciélago","Velas","Ciempiés","Peine","Ojo","Copa","Mano","León","Hoz","Estrella","Paraguas"}



scene07.tableDescriptionsItems1 = {[0]="Bailarina","Vestido rosa"}
scene06.tableDescriptionsItems1 = {[0]="Palanca","Botón"}
scene09.tableDescriptionsItems1 = {[0]="Sierra","Teclado"}
scene13.tableDescriptionsItems1 = {[0]="Tijeras","Palanca"}
scene14.tableDescriptionsItems1 = {[0]="Palanca","Pelota de baloncesto"}
scene18.tableDescriptionsItems1 = {[0]="Manija de válvula","Lupa"}
scene12.tableDescriptionsItems1 = {[0]="Llave 7","Cuchillo"}
scene21.tableDescriptionsItems1 = {[0]="Crucifijo","Moneda"}
scene22.tableDescriptionsItems1 = {[0]="Tijeras de podar","Badajo"}
scene26.tableDescriptionsItems1 = {[0]="Llave de candado","Grabadora"}
scene01.tableDescriptionsItems1 = {[0]="Agujas de reloj"}
scene100.tableDescriptionsItems1 = {[0]="Parte de máquina de sellos"}
scene101.tableDescriptionsItems1 = {[0]="Parte de máquina de sellos"}
scene102.tableDescriptionsItems1 = {[0]="Parte de máquina de sellos"}
scene103.tableDescriptionsItems1 = {[0]="Parte de máquina de sellos"}

