-- autostart
-- core.*
-- scene_selectors
-- scene_members



sceneState = gameState.scene04

--sceneState.comMoved = 4

if not sceneState.brick then
	sceneState.brick = 0
end

if not sceneState.drawing then
	sceneState.drawing = 0
end

if not sceneState.ghost then
	sceneState.ghost = 0
end

if not sceneState.isDrawed then
	sceneState.isDrawed = 0
end

if not sceneState.photopiece2 then
	sceneState.photopiece2 = 1
end

if not sceneState.paintings1 then
	sceneState.paintings1 = 0
end

if not sceneState.paintings2 then
	sceneState.paintings2 = 0
end

if not sceneState.paintings3 then
	sceneState.paintings3 = 0
end

if not sceneState.comMoved then
	sceneState.comMoved = 0
end


function showCurrentHint()
	
	if sceneState.paintings1 ~= 1 then
        print("inside_")
		hintItem = scene_members.paintings1
		return
	end
	
	if sceneState.paintings2 ~= 1 then
        print("inside1")
		hintItem = scene_members.paintings2
		return
	end
		
	if sceneState.paintings3 ~= 1 then
        print("inside2")
		hintItem = scene_members.paintings3
		return
	end
	
	if sceneState.drawing ~= 1 then
        print("inside3")
		hintItem = scene_members.drawing
		return
	end
	
	if sceneState.brick ~= 1 then
        print("inside4")
		hintItem = scene_members.brick
		return
	end
	
	if sceneState.photopiece2 ~= 1 and sceneState.ghost == 1 then
        print("inside5")
		hintItem = scene_members.photopiece2
		return
	end
	
	if (not sceneState.showGhost) and game.hasItem("crayon") then
        print("inside6")
		hintItem = scene_members.numberhint
		return
	end
	
	if (sceneState.comMoved == 0) then
		hintItem = scene_members.wallhint
		return
	end
	
	--eosa 71
	if sceneState.comMoved == 2 and game.hasItem("boxcutter") then
        print("inside7")
		hintItem = scene_members.wallhint
		return
	elseif sceneState.comMoved == 4 then
        print("inside8")
		hintItem = scene_members.wallhint
		return
	--[[else
        print("inside9")
		hintItem = scene_members.wallhint
		return]]
	end
	
	
	game.addExit(scene_members.roomhint)
	game.addExit(scene_members.stairshint)
	game.addExit(scene_members.exit)
	
	if (sceneState.comMoved == 6) then
		game.addExit(scene_members.wallhint)
	end
	
	--[[
	 если не взяты предметы:
	 	- картины 3
	 	- рисунок
	 	- фото
	 	- кирпич
	 
	 если нет призрака и есть маркер
	 	- отметку роста
	 конец
	 
	 если шкаф сдвинут
	 	если обои отрезаны
	 		если замок не открыт
	 			- замок
	 		конец
	 	иначе
	 		если есть нож
	 			- нож
	 		конец
	 	конец
	 иначе
	 	- шкаф
	 конец
	 
	 -- лестница
	 
	 
	 ]]
	

end

local function cutWallpaper()
	print("inside")
	if(sceneState.comMoved == 2) then
		core.runAnimation("cat close door", 0, scene_members.cam);
        effectID = SimpleAudioEngine:sharedEngine():playEffect(CCFileUtils:sharedFileUtils():fullPathFromRelativePath("music/sfx/s_0050_cutrope.mp3"))
		sceneState.comMoved = 4
	end
end

local function openLockPar()
	if(sceneState.comMoved == 5)then
        showDescription(LOCALIZE("S4_OPENDOOR"))
		core.runAnimation("open door", 0, scene_members.cam);
		sceneState.comMoved = 6
    function scene_animations.camAnimator()
		scene_animations.camAnimator = nil
        
    end
		
		effectID = SimpleAudioEngine:sharedEngine():playEffect(CCFileUtils:sharedFileUtils():fullPathFromRelativePath("music/sfx/s_0036_openrustylong.mp3"))
	end
end

local function drawLock()
	game.initSubScene("scene_4_1","lockPar",nil,openLockPar)
    showDescription(LOCALIZE("S4_LOCK"))
	local disc1000 = 0
	local disc100 = 0
	local disc10 = 0
	local disc1 = 0
	scene_members.lockAnimation:setVisible(false)
	
	local  function showSprite(cur,count)
		tolua.cast(cur, "CCSprite")
		cur:setOpacity(count)
	end
	
	local function codeIsMatch()
		if(disc1000*1000+disc100*100+disc10*10+disc1 == (5937))then
			local animations = CCArray:create()
            effectID = SimpleAudioEngine:sharedEngine():playEffect(CCFileUtils:sharedFileUtils():fullPathFromRelativePath("music/sfx/s_0047_metaliclock.mp3"))
			animations:addObject(CCMoveTo:create(1.2,ccp(633,320)))
			animations:addObject(CCCallFunc:create(function()
												   scene_members.lockAnimation:setVisible(false)
												   end))
			animations:addObject(CCCallFunc:create(game.closeSubScene))
			scene_members.lockAnimation:setVisible(true)
			scene_members.lockAnimation:runAction(CCSequence:create(animations))
			sceneState.comMoved = 5
		end
	end

	local function processDisc(source,count,tag)
        effectID = SimpleAudioEngine:sharedEngine():playEffect(CCFileUtils:sharedFileUtils():fullPathFromRelativePath("music/sfx/s_0048_metalicclicklow.mp3"))
		showSprite(source:getChildByTag(count),0)
		count = count + tag
		showSprite(source:getChildByTag(count),255)
		return count
	end


	function scene_selectors.disc1000(sender)
		tolua.cast(sender, "CCNode")
		local tag = sender:getTag()
		if((disc1000>0 and tag<0) or (disc1000<9 and tag>0)) then
			disc1000 = processDisc(scene_members.disc1000,disc1000,tag)
		end
        codeIsMatch()
	end
	
	function scene_selectors.disc100(sender)
		tolua.cast(sender, "CCNode")
		local tag = sender:getTag()
		if((disc100>0 and tag<0) or (disc100<9 and tag>0)) then
			disc100 = processDisc(scene_members.disc100,disc100,tag)
		end
        codeIsMatch()
	end
	
	function scene_selectors.disc10(sender)
		tolua.cast(sender, "CCNode")
		local tag = sender:getTag()
		if((disc10>0 and tag<0) or (disc10<9 and tag>0)) then
			disc10 = processDisc(scene_members.disc10,disc10,tag)
		end
        codeIsMatch()
	end
	
	function scene_selectors.disc1(sender)
		tolua.cast(sender, "CCNode")
		local tag = sender:getTag()
		if((disc1>0 and tag<0) or (disc1<9 and tag>0)) then
			disc1 = processDisc(scene_members.disc1,disc1,tag)
		end
        codeIsMatch()
	end
	
end

function drawCrayon()
	print("drawing")
	m = scene_members
	print("myLaer:",m.writeGlow60)
	if(sceneState.isDrawed == 1)then
	return
	end
	scene_members.ruler = nil
	sceneState.isDrawed = 1
	sceneState.ghost = 1
	sceneState.photopiece2 = 0
	game.removeItem("crayon")
	core.runAnimation("unvisible",0,m.ghostGlow60)
	core.runAnimation("writePen",0,m.writeGlow60)
    
    effectID = SimpleAudioEngine:sharedEngine():playEffect(CCFileUtils:sharedFileUtils():fullPathFromRelativePath("music/sfx/s_0062_longtear.mp3"))
	  function scene_animations.writeGlow60Animator()
	    game.closeSubSceneInTime(1)
		scene_animations.writeGlow60Animator = nil
		scene_members.ruler = nil
		
		sceneState.isDrawed = 1
		  sceneState.ghost = 1
		  sceneState.photopiece2 = 0
	  end
end

function scene_selectors.exitPressed(sender)
	if (gameState.exitActive == false) then
		return
	end

	game.startSceneWithSaveState("scene_3", "03_house", true);
end

local function showghost()
	if(sceneState.isDrawed == 1)then
        showDescription(LOCALIZE("S4_SHOWGHOST"),2)
        effectID = SimpleAudioEngine:sharedEngine():playEffect(CCFileUtils:sharedFileUtils():fullPathFromRelativePath("music/sfx/s_0024_actionok.mp3"))
        
		updateScreen()
	end
end

function rullerShow()
	game.initSubScene("scene_4_0","ruler",nil,showghost)
	showDescription(LOCALIZE("S4_RULLER"))
end

function inventoryItemUsed(it, x, y, action, sender)
	print("item used: ", it, x, y, action, sender)
	if(it == "boxcutter") then
		tmp.cut = 1
		game.enablesItemfromInventoryToItemOnScene(x,y,scene_members.hallDoorButton,cutWallpaper,action)

	end
	if(it == "crayon") then
		game.enablesItemfromInventory(x,y,scene_members.ruler,drawCrayon,action)
	end

end

function scene_selectors.parlorPressed(sender)
    game.startSceneWithSaveState("scene_5", "05_parlor", true);
end
function scene_selectors.playRoomPressed(sender)
    game.startSceneWithSaveState("scene_7", "07_playroom", true);
    effectID = SimpleAudioEngine:sharedEngine():playEffect(CCFileUtils:sharedFileUtils():fullPathFromRelativePath("music/amb/a_2025_spookfootsteps2.mp3"))
end


function scene_selectors.hallDoorButtonPressed(sender)
    
    if(sceneState.comMoved == 0) then
        core.runAnimation("unvisible", 0, scene_members.cam);
        
        effectID = SimpleAudioEngine:sharedEngine():playEffect(CCFileUtils:sharedFileUtils():fullPathFromRelativePath("music/sfx/s_0046_heavywoodslidelr.mp3"))
        scene_members.starsParticles:setVisible(false)
        showDescription(LOCALIZE("S4_CAMMODMOVE"))
        sceneState.comMoved = 2
        return
    end
    
    if( sceneState.comMoved == 4) then
        drawLock()
    end
    if( sceneState.comMoved == 6) then
        game.startSceneWithSaveState("scene_6", "06_hall", true);
    end
    if(sceneState.comMoved == 2) then
        showDescription(LOCALIZE("S4_WALLPAPERFULL"))
        if(tmp.cut == 1) then
            print("inside")
            sceneState.comMoved = 3
            
            updateScreen()
            return
        end
    end

    
end
function scene_selectors.rullerPressed(sender)
    rullerShow()
end



--[[function scene_selectors.sceneSelector(sender)
	tolua.cast(sender, "CCNode")
		local tag = sender:getTag()
		if (tag == 1) then
			game.startSceneWithSaveState("scene_5", "05_parlor", true);
		end
		if (tag == 2) then
			game.startSceneWithSaveState("scene_7", "07_playroom", true);
            
            effectID = SimpleAudioEngine:sharedEngine():playEffect(CCFileUtils:sharedFileUtils():fullPathFromRelativePath("music/amb/a_2025_spookfootsteps2.mp3"))
		end

		if (tag == 3) then
            
            
			if(sceneState.comMoved == 0) then
				core.runAnimation("unvisible", 0, scene_members.cam);
                
                 effectID = SimpleAudioEngine:sharedEngine():playEffect(CCFileUtils:sharedFileUtils():fullPathFromRelativePath("music/sfx/s_0046_heavywoodslidelr.mp3"))
				scene_members.starsParticles:setVisible(false)
                showDescription(LOCALIZE("S4_CAMMODMOVE"))
				sceneState.comMoved = 2
				return
			end
			
			if( sceneState.comMoved == 4) then
				drawLock()
			end
			if( sceneState.comMoved == 6) then
				game.startSceneWithSaveState("scene_6", "06_hall", true);
			end
			if(sceneState.comMoved == 2) then
                showDescription(LOCALIZE("S4_WALLPAPERFULL"))
                if(tmp.cut == 1) then
                    print("inside")
                    sceneState.comMoved = 3
                    
                    updateScreen()
                    return
                end
			end
			
		elseif(tag == 4) then
			print("ruller!")
			rullerShow()

			
		end
		
end]]




-- обновение экрана после каких-то действий
function updateScreen()
	if(sceneState.comMoved == 2) then
		print("---------------------------animateonlyCover")
		core.runAnimation("onlyCover", 0, scene_members.cam);
		sceneState.comMoved = 2
	end

	if(sceneState.comMoved == 3) then
		core.runAnimation("cat close door", 0, scene_members.cam);
		sceneState.comMoved = 4
		return
	end
	if(sceneState.comMoved == 4) then
		core.runAnimation("lock gost", 0, scene_members.cam);
	end
	if(sceneState.comMoved == 6) then
		core.runAnimation("open door static", 0, scene_members.cam);
	end
	
	-- man ghost

	scene_members.manGhostSprite:setVisible(sceneState.ghost == 1)
	scene_members.manParticles:setVisible(sceneState.ghost == 1)
	scene_members.explosionParticles:setVisible(sceneState.ghost == 1)

	--photopice
	scene_members.photopiece2:setVisible(sceneState.photopiece2 == 0)
	scene_members.photopiece2:setTouchEnabled(sceneState.photopiece2 == 0)
	--ростомер
	scene_members.sceneMenu:getChildByTag(4):setVisible(sceneState.isDrawed == 0)
    
    scene_members.brick:setVisible(sceneState.brick == 0)
	scene_members.brickMotes:setVisible(sceneState.brick == 0)
	scene_members.brickFog:setVisible(sceneState.brick == 0)
	
end

function onTouchLayer(eventType, x, y)
    print("working")
    if eventType == CCTOUCHBEGAN then
    game.doActionOnScene(x,y,scene_members.manGhostSprite,function()
                                                            if(sceneState.ghost == 1) then
                                                            showDescription(LOCALIZE("S4_SHOWGHOST"),2)
                                                            end
    end)
        print(x,y)
    end
end



function event()
	updateScreen()



	scene_members.drawing:setVisible(sceneState.drawing == 0)
	scene_members.drawing:setTouchEnabled(sceneState.drawing == 0)

	--paintings
	scene_members.paintings1:setVisible(sceneState.paintings1 == 0)
	scene_members.paintings1:setTouchEnabled(sceneState.paintings1 == 0)

	scene_members.paintings2:setVisible(sceneState.paintings2 == 0)
	scene_members.paintings2:setTouchEnabled(sceneState.paintings2 == 0)

	scene_members.paintings3:setVisible(sceneState.paintings3 == 0)
	scene_members.paintings3:setTouchEnabled(sceneState.paintings3 == 0)


	

	
	scene_members.starsParticles:setVisible(sceneState.comMoved == 0)
	
	


end