-- autostart
-- core.*
-- scene_selectors
-- scene_members

sceneState = gameState.scene16


if not sceneState.securitycard then
	sceneState.securitycard = 1
end

if not sceneState.lightbulb then
	sceneState.lightbulb = 1
end

if not sceneState.shells then
	sceneState.shells = 0
end

if not sceneState.paintingCutted then
	sceneState.paintingCutted = 0
end

if not sceneState.curtainCutted then
	sceneState.curtainCutted = 0
end

if not sceneState.LampOn then
	sceneState.LampOn = 0
end

if not sceneState.cigarboxkey then
	sceneState.cigarboxkey = 1
end

if not sceneState.closetkey then
	sceneState.closetkey = 0
end

if not sceneState.cigarBoxOpened then
	sceneState.cigarBoxOpened = 0
end

if not sceneState.file4 then
	sceneState.file4 = 1
end

if not sceneState.file3 then
	sceneState.file3 = 1
end
if not sceneState.prisonercrystal then
	sceneState.prisonercrystal = 1
end

if not sceneState.photoGameOpen  then
	sceneState.photoGameOpen = 0
end

if not sceneState.filmStarted then
	sceneState.filmStarted = 0
end


if not sceneState.DialogStarted then
	sceneState.DialogStarted = 0
end


game.isSceneNeedProcessDialog = true



if not sceneState.ClosetOpened then
	sceneState.ClosetOpened = 0
end

if not sceneState.ghost then
	sceneState.ghost = 0
end



function showCurrentHint()
    
	if (sceneState.ghost == 0 and game.hasItem("magnifier")) then
		hintItem = scene_members.bloodhint
		return
	end
	
	if (sceneState.ghost == 1 and sceneState.file3~=1) then
		hintItem = scene_members.file3
		return
	end
	
	if (sceneState.ClosetOpened == 1 and sceneState.file4~=1) then
		hintItem = scene_members.file4
		return
	end
	
	
	if (sceneState.curtainCutted == 0 and game.hasItem("scissors")) then
		hintItem = scene_members.curtainhint
		return
	end
	
	if (sceneState.paintingCutted == 0 and game.hasItem("scissors")) then
		hintItem = scene_members.picturehint
		return
	end

	if (sceneState.paintingCutted <= 1 and (sceneState.securitycard ~= 1)) then
		hintItem = scene_members.picturehint
		return
	end
	
	
	if (sceneState.curtainCutted == 1 and sceneState.lightbulb ~= 1) then
		hintItem = scene_members.lightbulb
		return
	end
	
	if (game.hasItem("lightbulb")) then
		hintItem = scene_members.lamphint
		return
	end
	
	if (sceneState.LampOn == 1 and sceneState.cigarboxkey ~=1) then
		hintItem = scene_members.cigarboxkey
		return
	end
	
	if (game.hasItem("cigarboxkey")) then
		hintItem = scene_members.boxhint
		return
	end

	if (sceneState.cigarBoxOpened == 1 and sceneState.closetkey~=1) then
		hintItem = scene_members.boxhint
		return
	end
	
	if (game.hasItem("closetkey")) then
		hintItem = scene_members.closethint
		return
	end
	
	if (sceneState.shells ~= 1) then
		hintItem = scene_members.sofahint
		return
	end
	
	if (game.hasItem("file",7)) then
		hintItem = scene_members.fileshint
		return
	end
	
	if (sceneState.prisonercrystal == 0) then
		hintItem = scene_members.prisonercrystal
		return
	end
	
	hintItem = scene_members.exit
end

function scene_selectors.exitPressed(sender)
	if (gameState.exitActive == false) then
		return
	end
	
	game.startSceneWithSaveState("scene_15", "15_penetrationary", true);
end

local function movePillow()
	if(sceneState.shells == 1)then
		scene_members.pillowGhost:setVisible(false)
		scene_members.pillow:runAction(CCFadeTo:create(0.3,0))
		scene_members.pillowMoved:runAction(CCSequence:createWithTwoActions(CCFadeTo:create(0.3,255), CCCallFunc:create(function()
																														--sceneState.cigarBoxOpened = 1
																														end
																														)))
	end

end

function scene_selectors.chairButtonPressed(sender)
	game.initSubScene("scene_16_0","chair",nil,movePillow)
	scene_members.shells:setVisible(sceneState.shells == 0)
	scene_members.shells:setTouchEnabled(sceneState.shells == 0)
    
end
local function chekCardState()
	scene_members.securitycard:setVisible(sceneState.securitycard == 0)
	scene_members.securitycard:setTouchEnabled(sceneState.securitycard == 0)
end

local function updatePicture()
	if(sceneState.paintingCutted == 1)then
		scene_members.activeArea:setVisible(false)
		scene_members.cuttedPicture:setVisible(true)
        else
        showDescription(LOCALIZE("S16_PICTURE"))
	end
end

function scene_selectors.cabinetPicturePressed(sender)
	game.initSubScene("scene_16_1","cabinetPicture",nil, function() scene_members.cuttedPicture = nil end)
    
	updatePicture()
	chekCardState()
	
end
local function cutPainting()
    if( not scene_members.cuttedPicture or sceneState.paintingCutted == 1)then
        return
    end
	sceneState.paintingCutted = 1
	sceneState.securitycard = 0
	core.runAnimation("cutPainting",0,scene_members.cabinetPicture)
	function scene_animations.cuttingEnded()
		scene_animations.cuttingEnded = nil
		scene_members.pictureGhost:setVisible(false)
		scene_members.activeArea:runAction(CCFadeTo:create(0.3,0))
		scene_members.cuttedPicture:setVisible(true)
		scene_members.cuttedPicture:setOpacity(0)
		scene_members.cuttedPicture:runAction(CCSequence:createWithTwoActions(CCFadeTo:create(0.3,255), CCCallFunc:create(function()
																														  
																														  if(sceneState.paintingCutted == 1 and sceneState.curtainCutted == 1 and gameState.scene14.gunCutted == 1) then
																															game.removeItem("scissors")
																														  end
																														  
																														  updatePicture()
																														  chekCardState()
																														end
																														)))
	end
	
end

local function showHub()
    print("hub")
    game.addItem("curtain")
    --event()
    scene_members.lightbulb:setVisible(sceneState.lightbulb == 0)
    scene_members.lightbulb:setTouchEnabled(sceneState.lightbulb == 0 and sceneState.curtainCutted == 1)
    if(sceneState.paintingCutted == 1 and sceneState.curtainCutted == 1 and gameState.scene14.gunCutted == 1) then
        game.removeItem("scissors")
    end
end

local function cutCurttain()
    showDescription(LOCALIZE("S16_CURTAINCUT"))
	--scene_members.fullCurtain:runAction(CCFadeTo:create(0.3,0))
    print("hubstarted1")
    sceneState.lightbulb = 0
    sceneState.curtainCutted = 1
	scene_members.rippedCurtain:setVisible(true)
    scene_members.fullCurtain:setVisible(false)
    
    showHub()
    --scene_members.rippedCurtain:runAction(CCSequence:createWithTwoActions(CCFadeTo:create(0.3,255), CCCallFunc:create(showHub)))
    --[[scene_members.fullCurtain:runAction(CCSequence:createWithTwoActions(CCFadeTo:create(0.3,0), CCCallFunc:create(function()
	
                                                                                                                  end
                                                                                                                  )))]]
end
local function chekSigarBoxKeyState()
	scene_members.cigarboxkey:setVisible(sceneState.cigarboxkey == 0)
	scene_members.cigarboxkey:setTouchEnabled(sceneState.cigarboxkey == 0)
end


function scene_selectors.cigarBoxButtonPressed(sender)
	game.initSubScene("scene_16_2","cigarBoxLayer")
	scene_members.closetkey:setVisible(sceneState.closetkey == 0)
	scene_members.closetkey:setTouchEnabled(sceneState.closetkey == 0)
end


local function setLamp()
	sceneState.LampOn = 1
	scene_members.lampShadowGhost:setVisible(false)
	scene_members.lampOn:setVisible(sceneState.LampOn == 1)
	sceneState.cigarboxkey = 0
	game.removeItem("lightbulb")
    showDescription(LOCALIZE("S16_LAMPGLOW"))
	chekSigarBoxKeyState()
	
end
local function openCigarBox()
	scene_members.cigarBoxClosed:runAction(CCFadeTo:create(0.3,0))
    showDescription(LOCALIZE("S16_CIGARBOXOPEN"))
	scene_members.cigarBoxOpened:runAction(CCSequence:createWithTwoActions(CCFadeTo:create(0.3,255), CCCallFunc:create(function()
																													   sceneState.cigarBoxOpened = 1
																													   game.removeItem("cigarboxkey")
																													   scene_members.cigarBoxButton:setVisible(sceneState.cigarBoxOpened == 1)
																													   scene_members.boxClosetGhost:setVisible(sceneState.cigarBoxOpened == 0)
																													   scene_members.boxOpenedGhost:setVisible(sceneState.cigarBoxOpened == 1)
																													   --event()
																													   end
																													   )))
	
end
local function openCloset()
	scene_members.ClosetClosed:runAction(CCFadeTo:create(0.5,0))
    showDescription(LOCALIZE("S16_CLOSETOPENED"))
	scene_members.closetKeyPlaced:setOpacity(0)
	scene_members.closetGhost:setVisible(false)
	scene_members.ClosetOpen:runAction(CCSequence:createWithTwoActions(CCFadeTo:create(0.5,255), CCCallFunc:create(function()
																													   sceneState.ClosetOpened = 1
																													   sceneState.file4 = 0
																													   game.removeItem("closetkey")
																												   
																													   scene_members.file4:setVisible(sceneState.file4 == 0)
																												       scene_members.file4:setTouchEnabled(sceneState.file4 == 0)
																													   end
																													   )))
end
local function InsertKeyToCloset()
	scene_members.closetKeyPlaced:runAction(CCSequence:createWithTwoActions(CCFadeTo:create(0.5,255), CCCallFunc:create(openCloset)))
end

function showGhost()
	-- run ghost
    showDescription(LOCALIZE("S16_GHOST"),2)
	scene_members.bloodGhost:setVisible(false)
	scene_members.manGhostSprite:setVisible(true)
	scene_members.manParticles:setVisible(true)
	game.restartParticles(scene_members.explosionParticles)
	game.removeItem("magnifier")
	sceneState.ghost = 1
	sceneState.file3 = 0
	scene_members.file3:setVisible(sceneState.file3 == 0)
	scene_members.file3:setTouchEnabled(sceneState.file3 == 0)

end
local function succeedDollGame()
    core.sendFlurryEvent("Level_<Level04>_Complete")
    sceneState.photoGameOpen = 0
    sceneState.filmStarted = 1
	runFinalClip("cutScene4parts","scene_16", "16_cabinet",sceneState.cutMovie,8,sceneState.ghost,"S16_DIALOG1","S16_DIALOG2",sceneState.prisonercrystal,"prisonercrystal","scene16")
    

end
local function runMinigame()
    showDescription(LOCALIZE("S16_FILES"))
	core.minigames.puzzle.loadMiniGame("scene_16_3", "filesMiniGame", succeedDollGame, {{145, 144},{246, 151},{344,146},{453, 145},{531,149},{638,151}},
									   function()
									   end);
end

function scene_selectors.folderPressed()
    runMinigame()
end

function inventoryItemUsed(it, x, y, action, sender)
	print("item used: ", it, x, y, action, sender)
	if(it == "scissors") then
		if(scene_members.securitycard) then
			game.enablesItemfromInventoryToItemOnScene(x,y,scene_members.activeArea,cutPainting,action)
		end
		if(scene_members.fullCurtain) then
			game.enablesItemfromInventoryToItemOnScene(x,y,scene_members.fullCurtain,cutCurttain,action)
		end
	end
	if(it == "lightbulb") then
		game.enablesItemfromInventoryToItemOnScene(x,y,scene_members.lampOn,setLamp,action)
	end
	if(it == "cigarboxkey") then
		game.enablesItemfromInventoryToItemOnScene(x,y,scene_members.cigarBoxOpened,openCigarBox,action)
	end
	if(it == "closetkey") then
		--game.enablesItemfromInventoryToItemOnScene(x,y,scene_members.closetKeyPlaced,InsertKeyToCloset,action)
        game.enablesItemfromInventoryToItemOnScene(x,y,scene_members.closetGhost,InsertKeyToCloset,action)-- mantis 0000389
        
	end
	if(it == "magnifier") then
		game.enablesItemfromInventoryToItemOnScene(x,y,scene_members.bloodGhost,showGhost,action)
	end
	if(it == "file") then
		game.enablesItemfromInventoryToItemOnScene(x,y,scene_members.prisonFiles,
                                                   function()
                                                   sceneState.photoGameOpen = 1
                                                   game.removeItem("file",7)
                                                    runMinigame()
                                                   scene_members.folderButton:setVisible(sceneState.photoGameOpen == 1)
                                                   end
                                                   ,action)
	end

	
end

function onTouchLayer(eventType, x, y)
    print("working")
    if eventType == CCTOUCHBEGAN then
        print(x,y)
        game.doActionOnScene(x,y,scene_members.fullCurtain,function()
                             if(sceneState.curtainCutted ~=1 ) then
                             showDescription(LOCALIZE("S16_CURTAINFULL"),2)
                             end
                             end)
        game.doActionOnScene(x,y,scene_members.boxClosetGhost,function()
                             if(sceneState.cigarBoxOpened ~=1 ) then
                             showDescription(LOCALIZE("S16_CIGARBOXCLOSED"),2)
                             end
                             end)
        game.doActionOnScene(x,y,scene_members.prisonFiles,function()
                             
                             showDescription(LOCALIZE("S16_FOLDER"),2)

                             end)
        game.doActionOnScene(x,y,scene_members.lampOn,function()
                             if(sceneState.LampOn ~=1 ) then
                             showDescription(LOCALIZE("S16_LAMPDARK"),2)
                             end
                             end)
        game.doActionOnScene(x,y,scene_members.ClosetClosed,function()
                             if(sceneState.ClosetOpened ~=1 ) then
                             showDescription(LOCALIZE("S16_CLOSETCLOSED"),2)
                             end
                             end)
        game.doActionOnScene(x,y,scene_members.bloodGhost,function()
                             if(sceneState.ghost ~=1 ) then
                             showDescription(LOCALIZE("S16_BLOOD"),2)
                             end
                             end)
            game.doActionOnScene(x,y,scene_members.manGhostSprite,function()
                                            if(sceneState.ghost == 1) then
                                            showDescription(LOCALIZE("S16_GHOST"),2)
                                            end
                                            end)
    end
end

function updateScreen()
	if(sceneState.closetkey == 1 ) then
		scene_members.boxOpenedGhost:removeFromParentAndCleanup(true)
	end
end

function event()
    
	updateScreen()
	scene_members.pictureGhost:setVisible(sceneState.paintingCutted == 0)
	scene_members.chairButton:setVisible(sceneState.shells == 0)
	scene_members.pillowGhost:setVisible(sceneState.shells == 0)
	scene_members.pillow:setVisible(sceneState.shells == 0)
	if(sceneState.shells == 1)then
		scene_members.pillowMoved:setOpacity(255)
	end
	scene_members.lightbulb:setVisible(sceneState.lightbulb == 0)
	scene_members.lightbulb:setTouchEnabled(sceneState.lightbulb == 0 and sceneState.curtainCutted == 1)
		
	print("curtain",sceneState.curtainCutted)
	scene_members.fullCurtain:setVisible(sceneState.curtainCutted == 0)
	scene_members.rippedCurtain:setVisible(sceneState.curtainCutted == 1)
	scene_members.lampOn:setVisible(sceneState.LampOn == 1)
	scene_members.lampShadowGhost:setVisible(sceneState.LampOn == 0)
	scene_members.cigarBoxButton:setVisible(sceneState.cigarBoxOpened == 1)
	scene_members.cigarBoxClosed:setVisible(sceneState.cigarBoxOpened == 0)
	scene_members.boxClosetGhost:setVisible(sceneState.cigarBoxOpened == 0)
	scene_members.boxOpenedGhost:setVisible(sceneState.cigarBoxOpened == 1)
	
	scene_members.file4:setVisible(sceneState.file4 == 0)
	scene_members.file4:setTouchEnabled(sceneState.file4 == 0)
	scene_members.file3:setVisible(sceneState.file3 == 0)
	scene_members.file3:setTouchEnabled(sceneState.file3 == 0)
	--crystal
	scene_members.prisonercrystal:setVisible(sceneState.prisonercrystal == 0)
	scene_members.prisonercrystal:setVisible(sceneState.prisonercrystal == 0)

	if(sceneState.cigarBoxOpened == 1) then
		scene_members.cigarBoxOpened:setOpacity(255)
	end
	chekSigarBoxKeyState()
	scene_members.ClosetClosed:setVisible(sceneState.ClosetOpened == 0)
	scene_members.closetGhost:setVisible(sceneState.ClosetOpened == 0)
	if(sceneState.ClosetOpened == 1) then
		scene_members.ClosetOpen:setOpacity(255)
	end

	scene_members.bloodGhost:setVisible(sceneState.ghost == 0)
	
	scene_members.manGhostSprite:setVisible(sceneState.ghost == 1)
	scene_members.manParticles:setVisible(sceneState.ghost == 1)
	scene_members.explosionParticles:setVisible(sceneState.ghost == 1)
    
    scene_members.folderButton:setVisible(sceneState.photoGameOpen == 1)
    
    if(sceneState.filmStarted == 1) then
        sceneState.filmStarted = runFinalClip("cutScene4parts","scene_16", "16_cabinet",sceneState.cutMovie,8,sceneState.ghost,"S16_DIALOG1","S16_DIALOG2",sceneState.prisonercrystal,"prisonercrystal","scene16")
    end
    
    if(sceneState.DialogStarted == 1) then
        showDialog(sceneState.ghost,"S16_DIALOG1","S16_DIALOG2",sceneState.prisonercrystal,"prisonercrystal","scene16")
    end
	
end