-- autostart
-- core.*
-- scene_selectors
-- scene_members



sceneState = gameState.scene17

if not sceneState.ghost then
	sceneState.ghost = 0
end

if not sceneState.funnel then
	sceneState.funnel = 0
end

if not sceneState.mop then
	sceneState.mop = 0
end

if not sceneState.breadknife then
	sceneState.breadknife = 0
end

if not sceneState.emptyjar then
	sceneState.emptyjar = 0
end

if not sceneState.breadslice then
	sceneState.breadslice = 1
end

if not sceneState.breadCutted then
	sceneState.breadCutted = 0
end

if not sceneState.prisonFood then
	sceneState.prisonFood = 0
end

if not sceneState.waterLeverPlaced then
	sceneState.waterLeverPlaced = 0
end
if not sceneState.soupladdle then
	sceneState.soupladdle = 0
end

if not sceneState.soup then
	sceneState.soup = 1
end

if not sceneState.jarfilled then
	sceneState.jarfilled = 1
end

if not sceneState.jarfill then
	sceneState.jarfill = 0
end

if not sceneState.laddlefilled then
	sceneState.laddlefilled = 0
end

if not sceneState.file5 then
	sceneState.file5 = 1
end

if not sceneState.fireEnded then
	sceneState.fireEnded = 0
end


--prisonFood
if not sceneState.prisonBread then
	sceneState.prisonBread = 0
end
if not sceneState.prisonWater then
	sceneState.prisonWater = 0
end
if not sceneState.prisonSoup then
	sceneState.prisonSoup = 0
end



function showCurrentHint()
  
	if (sceneState.mop ~= 1) then
		hintItem = scene_members.mop
		return
	end
	
	if (sceneState.breadknife ~= 1) then
		hintItem = scene_members.breadknife
		return
	end
	
	if (sceneState.funnel ~= 1) then
		hintItem = scene_members.funnel
		return
	end
	
	if (sceneState.emptyjar ~= 1) then
		hintItem = scene_members.emptyjar
		return
	end
	
	if (sceneState.breadCutted == 0) then
		if (game.hasItem("breadknife")) then
			hintItem = scene_members.breadhint
			return
		end
	else
		if (sceneState.breadslice ~= 1) then
			hintItem = scene_members.breadslice
			return
		end
	end
	
	if (sceneState.soupladdle ~= 1) then
		print("soup paddle")
		hintItem = scene_members.closethint
		return
	end
	
	if (sceneState.ghost == 1 and sceneState.file5 ~= 1) then
				print("file5")
		hintItem = scene_members.file5
		return
	end
	
	if (sceneState.fireEnded == 1) then
				print("fire ended")
		if (game.hasItem("emptyjar")) then
					print("empty jar")
			hintItem = scene_members.waterhint
			return
		end
		if (sceneState.soup ~= 1 and sceneState.laddlefilled == 1) then
					print("soup")
			hintItem = scene_members.soup
			return
		end
		if (game.hasItem("soupladdle")) then
					print("soup plate")
			hintItem = scene_members.souphint
			return
		end
		
		if (sceneState.jarfill == 1 and sceneState.jarfilled ~= 1) then
					print("jarfilled")
			hintItem = scene_members.jarfilled
			return
		end
		
	else
				print("fire burn")
		if (game.hasItem("handdle") or sceneState.waterLeverPlaced == 1) then
					print("vent")
			hintItem = scene_members.venthint
			return
		end
	end
	
	if (sceneState.prisonWater == 0 and game.hasItem("jarfilled")) then
				print("dinner1")
		hintItem = scene_members.dinnerhint
		return
	end
	if (sceneState.prisonBread== 0 and game.hasItem("breadslice")) then
				print("dinner2")
		hintItem = scene_members.dinnerhint
		return
	end
	
	if (sceneState.prisonSoup == 0 and game.hasItem("soup")) then
				print("dinner3")
		hintItem = scene_members.dinnerhint
		return
	end
			print("exits")
	game.addExit(scene_members.exit)
	game.addExit(scene_members.doorhint)
	
end


function scene_selectors.buffetButtonPressed(sender)
	game.initSubScene("scene_17_1","bufet")
	if(sceneState.soupladdle == 1) then
		scene_members.soupladdle:removeFromParentAndCleanup(true)
	end
end

function scene_selectors.menuButtonPressed(sender)
    showDescription(LOCALIZE("S17_MENU"))
	game.initSubScene("scene_17_2","menu")
	
end

function showGhost()
	-- run ghost
    showDescription(LOCALIZE("S17_PRISONDINNER"),2)
	scene_members.manGhostSprite:setVisible(true)
	scene_members.manParticles:setVisible(true)
	game.restartParticles(scene_members.explosionParticles)
	sceneState.ghost = 1
	sceneState.file5 = 0
	scene_members.file5:setVisible(sceneState.file5 == 0)
	scene_members.file5:setTouchEnabled(sceneState.file5 == 0)

end

local function prisonFoodCheck()
	if(sceneState.prisonBread == 1 and sceneState.prisonWater == 1 and sceneState.prisonSoup == 1)then
		scene_members.trayGhost:setVisible(false)
		showGhost()
	end
end


function scene_selectors.exitPressed(sender)
	if (gameState.exitActive == false) then
		return
	end
	
	game.startSceneWithSaveState("scene_15", "15_penetrationary", true);  
end
local function stopWaterFontans()
	for cur = 1, 3 do
		local water = scene_members["water"..cur]
		tolua.cast(water, "CCParticleSystemQuad")
		water:setDuration(-1)
		game.restartParticles(water)
	end
end

local function openWater()
    scene_members.handdle = nil
	if(sceneState.waterLeverPlaced == 1) then
		stopWaterFontans()
		sceneState.fireEnded = 1
        showDescription(LOCALIZE("S17_FIREEXTINGUISH"),3)
		scene_members.water1:runAction(CCSequence:createWithTwoActions(CCDelayTime:create(5.4), CCCallFunc:create(function()
																												 local sparks = scene_members.firewallParticles
																												 tolua.cast(sparks, "CCParticleSystemQuad")
																												  sparks:setDuration(0.5)
																												scene_members.burnKitchen:runAction(CCFadeTo:create(0.3,0))
																												  --sceneState.waterLeverPlaced = 1
																												  end
																												  )))

		
	end
end

function scene_selectors.waterLeverButtonPressed(sender)
	game.initSubScene("scene_17_0","waterLever",nil,openWater)
    showDescription(LOCALIZE("S17_LEVER"),3)
end

function scene_selectors.camerasButtonPressed(sender)
	game.startSceneWithSaveState("scene_18", "18_cameras", true); 
end

local function setLever()
    
     if(scene_members.handdle == nil)then return end
	scene_members.handdle:runAction(CCSequence:createWithTwoActions(CCFadeTo:create(0.4,255), CCCallFunc:create(function()
																												   game.removeItem("handdle")
																												scene_members.handleGhost:setVisible(false)
																													sceneState.waterLeverPlaced = 1
																													scene_members.handlePlaced:setVisible(true)
																													scene_members.waterLeverButton:setVisible(sceneState.waterLeverPlaced == 0)
																												   game.closeSubScene()
																												   end
																												   )))
	
end
local function fillTheJar()
	if(sceneState.fireEnded == 0) then
		return
	end
	game.removeItem("emptyjar")
	sceneState.jarfilled = 0
    showDescription(LOCALIZE("S17_FILLWATER"),3)
	scene_members.jarfilled:setVisible(sceneState.jarfilled == 0)
	scene_members.jarfilled:setTouchEnabled(sceneState.jarfilled == 0)
	scene_members.pipeGhost:setVisible(false)
	sceneState.jarfill = 1 -- перменная для того что бы выключить подсветку трубы
	
end
local function fillTheLaddle()
	if(sceneState.fireEnded == 0) then
		return
	end
	sceneState.soup = 0
	scene_members.soup:setVisible(sceneState.soup == 0)
	scene_members.soup:setTouchEnabled(sceneState.soup == 0)
    showDescription(LOCALIZE("S17_FILLLADDLE"),3)
	sceneState.laddlefilled = 1 -- перменная для того что бы выключить подсветку кастрюли
	scene_members.panGhost:setVisible(sceneState.laddlefilled == 0)
	game.removeItem("soupladdle")
end
local function cutTheBread()
	core.runAnimation("Default Timeline",0,scene_members.knifeCuttingBread)
	scene_members.knifeCuttingBread:setVisible(true)
    showDescription(LOCALIZE("S17_BREADCUT"),3)
	function scene_animations.cuttingEnded()
		scene_members.fullBread:runAction(CCFadeTo:create(0.3,0))
		scene_members.cutBread:runAction(CCSequence:createWithTwoActions(CCFadeTo:create(0.3,255), CCCallFunc:create(function()
																													 sceneState.breadCutted = 1
																													 sceneState.breadslice = 0
																													 scene_members.breadslice:setVisible(sceneState.breadslice == 0)
																													 scene_members.breadslice:setTouchEnabled(sceneState.breadslice == 0)
																													 game.removeItem("breadknife")
																													 end
																													 )))

	end
end


local function setPrisonBread()
	
	sceneState.prisonBread = 1
    showDescription(LOCALIZE("S17_PRISONBREAD"),3)
	scene_members.prisonBread:runAction(CCFadeTo:create(0.3,255))
	game.removeItem("breadslice")
	prisonFoodCheck()
end

local function setPrisonWater()

	sceneState.prisonWater = 1
	scene_members.prisonWater:runAction(CCFadeTo:create(0.3,255))
	game.removeItem("jarfilled")
    showDescription(LOCALIZE("S17_PRISONWATER"),3)
	prisonFoodCheck()
end

local function setPrisonSoup()

	sceneState.prisonSoup = 1
    showDescription(LOCALIZE("S17_PRISONSOUP"),3)
	scene_members.prisonSoup:runAction(CCFadeTo:create(0.3,255))
	game.removeItem("soup")
	prisonFoodCheck()
end

function inventoryItemUsed(it, x, y, action, sender)
	print("item used: ", it, x, y, action, sender)
	if(it == "handdle") then
		game.enablesItemfromInventoryToItemOnScene(x,y,scene_members.activeArea,setLever,action)
	end
	if(it == "emptyjar") then
		game.enablesItemfromInventoryToItemOnScene(x,y,scene_members.burnKitchen,fillTheJar,action)
	end
	if(it == "soupladdle") then
		game.enablesItemfromInventoryToItemOnScene(x,y,scene_members.panGhost,fillTheLaddle,action)
	end
	if(it == "breadknife") then
		game.enablesItemfromInventoryToItemOnScene(x,y,scene_members.fullBread,cutTheBread,action)
	end

	--food
	if(it == "breadslice") then
		game.enablesItemfromInventoryToItemOnScene(x,y,scene_members.trayGhost,setPrisonBread,action)
	end
	if(it == "jarfilled") then
		game.enablesItemfromInventoryToItemOnScene(x,y,scene_members.trayGhost,setPrisonWater,action)
	end
	if(it == "soup") then
		game.enablesItemfromInventoryToItemOnScene(x,y,scene_members.trayGhost,setPrisonSoup,action)
	end

end


function onTouchLayer(eventType, x, y)
    print("working")
    if eventType == CCTOUCHBEGAN then
        print(x,y)
        game.doActionOnScene(x,y,scene_members.burnKitchen,function()
                             if(sceneState.waterLeverPlaced == 0)then
                             showDescription(LOCALIZE("S17_FIREBURN"),3)
                             end
                             end)
        game.doActionOnScene(x,y,scene_members.fullBread,function()
                             showDescription(LOCALIZE("S17_BREAD"),3)
                             end)
        game.doActionOnScene(x,y,scene_members.prisonSoup,function()
                             showDescription(LOCALIZE("S17_PLATE"),3)
                             end)
        game.doActionOnScene(x,y,scene_members.pipeGhost,function()
                             if(sceneState.prisonSoup ~=1 and sceneState.waterLeverPlaced == 1) then
                             showDescription(LOCALIZE("S17_WATERPIPE"),3)
                             end
                             end)
        game.doActionOnScene(x,y,scene_members.panGhost,function()
                            if(sceneState.prisonSoup ~=1 and sceneState.waterLeverPlaced == 1) then
                            showDescription(LOCALIZE("S17_PANSOUP"),3)
                            end
                            end)
        game.doActionOnScene(x,y,scene_members.manGhostSprite,function()
                            if(sceneState.ghost == 1) then
                            showDescription(LOCALIZE("S17_PRISONDINNER"),2)
                            end
                            end)

    end
end

function updateScreen()
	scene_members.buffetGhost:setVisible(sceneState.soupladdle == 0)
end

function event()
	updateScreen()
	if(sceneState.funnel == 1) then
		scene_members.funnel:removeFromParentAndCleanup(true)
	end
	if(sceneState.breadknife == 1) then
		scene_members.breadknife:removeFromParentAndCleanup(true)
	end
	if(sceneState.mop == 1) then
		scene_members.mop:removeFromParentAndCleanup(true)
	end
	if(sceneState.emptyjar == 1) then
		scene_members.emptyjar:removeFromParentAndCleanup(true)
	end
	

	--ghosts
	scene_members.panGhost:setVisible(sceneState.laddlefilled == 0)
	scene_members.handleGhost:setVisible(sceneState.waterLeverPlaced == 0)
	scene_members.pipeGhost:setVisible(sceneState.jarfill == 0)
	
	--food
	scene_members.jarfilled:setVisible(sceneState.jarfilled == 0)
	scene_members.jarfilled:setTouchEnabled(sceneState.jarfilled == 0)
	scene_members.soup:setVisible(sceneState.soup == 0)
	scene_members.soup:setTouchEnabled(sceneState.soup == 0)
	
	scene_members.breadslice:setVisible(sceneState.breadslice == 0)
	scene_members.breadslice:setTouchEnabled(sceneState.breadslice == 0)
	scene_members.fullBread:setVisible(sceneState.breadCutted == 0)
	if(sceneState.breadCutted == 1) then
		scene_members.cutBread:setOpacity(255)
	end


	if(sceneState.prisonBread == 1) then
		scene_members.prisonBread:setOpacity(255)
	end
	if(sceneState.prisonWater == 1) then
		scene_members.prisonWater:setOpacity(255)
	end
	if(sceneState.prisonSoup == 1) then
		scene_members.prisonSoup:setOpacity(255)
	end

	scene_members.trayGhost:setVisible(sceneState.prisonBread == 0 and sceneState.prisonWater == 0 and sceneState.prisonSoup == 0)
	
	--fire and water
	scene_members.waterLeverButton:setVisible(sceneState.waterLeverPlaced == 0)
	scene_members.handlePlaced:setVisible(sceneState.waterLeverPlaced == 1)
	scene_members.burnKitchen:setVisible(sceneState.waterLeverPlaced == 0)
	if(sceneState.waterLeverPlaced == 1)then
		local fire = scene_members.firewallParticles
		tolua.cast(fire, "CCParticleSystemQuad")
		fire:stopSystem()
		stopWaterFontans()

	end

	-- отрезание хлеба
	scene_members.knifeCuttingBread:setVisible(false)

	scene_members.manGhostSprite:setVisible(sceneState.ghost == 1)
	scene_members.manParticles:setVisible(sceneState.ghost == 1)
	scene_members.explosionParticles:setVisible(sceneState.ghost == 1)

	--file

	scene_members.file5:setVisible(sceneState.file5 == 0)
	scene_members.file5:setTouchEnabled(sceneState.file5 == 0)
	
end