-- autostart
-- core.*
-- scene_selectors
-- scene_members

sceneState = gameState.scene27

if not sceneState.stick then
	sceneState.stick = 0
end

if not sceneState.handcuffs then
	sceneState.handcuffs = 0
end

if not sceneState.dialdisk then
	sceneState.dialdisk = 0
end

if not sceneState.lockOpen then
	sceneState.lockOpen = 0
end

if not sceneState.doorOpen then
	sceneState.doorOpen = 0
end

if not sceneState.tape then
	sceneState.tape = 0
end
if not sceneState.oilcan then
	sceneState.oilcan = 0
end
if not sceneState.coin2 then
	sceneState.coin2 = 0
end
if not sceneState.coin3 then
	sceneState.coin3 = 0
end

if not sceneState.shovel2 then
	sceneState.shovel2 = 0
end

if not sceneState.qlever then
	sceneState.qlever = 0
end

if not sceneState.discPlaced then
	sceneState.discPlaced = 0
end

if not sceneState.criminal then
	sceneState.criminal = 0
end

--выкопан ли кран
if not sceneState.ground then
	sceneState.ground = 0
end
--налита ли вода в фонтане
if not sceneState.water then
	sceneState.water = 0
end



function showCurrentHint()
	
	if (sceneState.handcuffs ~= 1 or sceneState.dialdisk ~= 1 or sceneState.tape ~= 1) then
		hintItem = scene_members.buckethint
        print("inside1")
		return
	end
    
    if (game.hasItem("key")) then
		hintItem = scene_members.doorshint
        print("inside4")
		return
	end
    
    if (sceneState.lockOpen == 1) then
        print("inside5")
		if (sceneState.shovel2 ~= 1) then
			hintItem = scene_members.doorshint
            print("inside5.1")
            return
		end
	end
    
    if (game.hasItem("shovel2")) then
        print("inside6")
		hintItem = scene_members.bathhint
		return
	end
	
	if (sceneState.ground == 1 and sceneState.qlever ~= 1) then
		hintItem = scene_members.bathhint
		return
	end

	
	if (sceneState.oilcan ~= 1 or sceneState.coin2 ~= 1) then
		hintItem = scene_members.fountainhint
        print("inside2")
		return
	end
    
    
	
	if (sceneState.stick ~= 1) then
		hintItem = scene_members.stick
        print("inside3")
		return
	end
	
	
	
	
	

		
	if (sceneState.ground == 1 and sceneState.qlever~=1) then
        print("inside7")
		hintItem = scene_members.bathhint
		return
	end
	
	if (game.hasItem("oilcan")) then
        print("inside8")
		hintItem = scene_members.telephonehint
		return
	end
    
    if (game.hasItem("singlecoin") and (not game.hasItem("pepper")) and sceneState.criminal == 1) then
        print("inside8.1")
		hintItem = scene_members.exit
		return
	end
	
	
	
	if sceneState.doorOpen == 1 then
		print("inside9")
		
		if (game.hasItem("dialdisk") or game.hasItem("coins",3)) then
            print("inside9.1")
			hintItem = scene_members.telephonehint
			return
		end
		
		if (game.hasItem("recordingkit",4) and game.hasItem("singlecoin")) then
            print("inside9.2")
			hintItem = scene_members.telephonehint
			return
		end
		
	end

	if (sceneState.criminal == 1 and game.hasItem("pepper")) then
		hintItem = scene_members.criminalhint
		return
	end

	if (sceneState.criminal == 2 and game.hasItem("handcuffs")) then
		hintItem = scene_members.criminalhint2
		return
	end

	if (sceneState.criminal == 3 and game.hasItem("singlecoin")) then
		hintItem = scene_members.telephonehint
		return
	end
	
	
	hintItem = scene_members.exit
	
end

windeffectID = SimpleAudioEngine:sharedEngine():playEffect(CCFileUtils:sharedFileUtils():fullPathFromRelativePath("music/amb/a_1010_windhighpitch1.mp3"),true)

function scene_selectors.exitPressed(sender)
	if (gameState.exitActive == false) then
		return
	end
	
	if(sceneState.criminal < 2) then
		game.startSceneWithSaveState("scene_26", "26_hospital", true);
	end
end



function scene_selectors.fountainButtonPressed(sender)
	game.initSubScene("scene_27_0","fountainLayer")
    if(sceneState.water == 0)then
        showDescription(LOCALIZE("S27_WATERFULL"))
    end
	scene_members.oilcan:setVisible(sceneState.oilcan == 0)
	scene_members.oilcan:setTouchEnabled(sceneState.oilcan == 0)
	scene_members.coin2:setVisible(sceneState.coin2 == 0)
	scene_members.coin2:setTouchEnabled(sceneState.water == 1)
	scene_members.levPlaced:setVisible(sceneState.water == 1)
	scene_members.fullWater:setVisible(sceneState.water == 0)
	
end

function scene_selectors.trashButtonPressed(sender)
	game.initSubScene("scene_27_1","trash")
	scene_members.handcuffs:setVisible(sceneState.handcuffs == 0)
	scene_members.handcuffs:setTouchEnabled(sceneState.handcuffs == 0)
	scene_members.dialdisk:setVisible(sceneState.dialdisk == 0)
	scene_members.dialdisk:setTouchEnabled(sceneState.dialdisk == 0)
	scene_members.tape:setVisible(sceneState.tape == 0)
	scene_members.tape:setTouchEnabled(sceneState.tape == 0)
end
local function gameEnds()
	gameState.gameCompleted = true
end
local function showFinalClip()
    core.sendFlurryEvent("Level_<Level06>_Complete")
    local function continueButtonPresed()
        print("continueCutMovie")
        if(sceneState.cutMovie == 3)then
            game.startSceneWithSaveState("scene_title", "00_title");
			 gameEnds()
            return
        end
        game.runMovie("cutScene8parts"..sceneState.cutMovie,"scene_title", "00_title",true,continueButtonPresed)
        sceneState.cutMovie = sceneState.cutMovie + 1
    end
    --eosa124
    --[[local]] function skipButtonPresed()
        print("skipCutMovie")
        game.startSceneWithSaveState("scene_title", "00_title");
		 gameEnds()
    end
    
    game.runMovie("cutScene8parts1","scene_title", "00_title",true,continueButtonPresed,skipButtonPresed)
    sceneState.cutMovie = 2
end

local function showCriminal()
    scene_members.recorder = nil
    scene_members.discPlaced = nil
    if(sceneState.discPlaced == 3) then
       callPhone()
        return
    end
    
	if(sceneState.discPlaced == 4 and sceneState.criminal ~= 4 and sceneState.criminal < 1) then
		sceneState.criminal = 1
		scene_members.fountainButton:setVisible(sceneState.criminal == 0)
		scene_members.trashButton:setVisible(sceneState.criminal == 0)
		scene_members.phoneButton:setVisible(sceneState.criminal == 0)
		scene_members.vaseButton:setVisible(sceneState.criminal == 0)
		scene_members.shedButton:setVisible(sceneState.criminal == 0)
		for cur = 1,3 do
			scene_members["murder"..cur]:setVisible(sceneState.criminal == 1)
		end
	end
	if(sceneState.criminal == 4)then
		--scene_members.theEnd:setVisible(true)
        showFinalClip()
    end
end

local function openPhoneDoor()
scene_members.cleanHinge = nil
	if(sceneState.doorOpen == 1) then
        showDescription(LOCALIZE("S27_OPENPHONEDOOR"))
		scene_members.phoneDoorOpened:runAction(CCFadeIn:create(0.5))
		scene_members.phoneDoorOpened:setVisible(true)
		scene_members.phoneDoorClosed:runAction(CCFadeOut:create(0.5))
		scene_members.doorGhost:setVisible(false)
		scene_members.windowPhoneGhost:setVisible(true)
        effectID = SimpleAudioEngine:sharedEngine():playEffect(CCFileUtils:sharedFileUtils():fullPathFromRelativePath("music/sfx/s_0049_opendoorwood.mp3"))
	end

end

function scene_selectors.phoneButtonPressed(sender)
	if(sceneState.doorOpen == 0) then
		game.initSubScene("scene_27_2","phoneDoor",nil,openPhoneDoor)
        showDescription(LOCALIZE("S27_SHOWELS"))
	else
		game.initSubScene("scene_27_3","phoneLayer",nil,showCriminal)
        if(sceneState.criminal == 3)then
            showDescription(LOCALIZE("S27_CALLPOLICE"))
        else
            showDescription(LOCALIZE("S27_PHONE"))
        end
		scene_members.coin3:setVisible(sceneState.coin3 == 0)
		scene_members.coin3:setTouchEnabled(sceneState.coin3 == 0)
		scene_members.discPlaced:setVisible(sceneState.discPlaced > 0)
	end
end
local function openShed()
    scene_members.padLock = nil
end

function scene_selectors.shedButtonPressed(sender)
	if(sceneState.lockOpen == 0) then
		game.initSubScene("scene_27_4","shedLock",nil,openShed)
        showDescription(LOCALIZE("S27_SHEDCLOSED"))
	else
		game.initSubScene("scene_27_6","shedUnLock")
		scene_members.shovel2:setVisible(sceneState.shovel2 == 0)
		scene_members.shovel2:setTouchEnabled(sceneState.shovel2 == 0)
		
	end

end
--eosa 121
local function closeVase()
    scene_members.ground = nil
end

function scene_selectors.vaseButtonPressed(sender)
    showDescription(LOCALIZE("S27_WASE"))
	game.initSubScene("scene_27_5","vase",nil,closeVase)
	scene_members.qlever:setVisible(sceneState.qlever == 0)
	scene_members.qlever:setTouchEnabled(sceneState.ground == 1)
	scene_members.ground:setVisible(sceneState.ground == 0)
end

local function unlockPad()
	game.removeItem("key")
	sceneState.lockOpen = 1
    showDescription(LOCALIZE("S27_SHEDOPENED"))
    effectID = SimpleAudioEngine:sharedEngine():playEffect(CCFileUtils:sharedFileUtils():fullPathFromRelativePath("music/sfx/s_0124_unlock.mp3"))
	scene_members.shedOpened:setVisible(sceneState.lockOpen == 1)
	scene_members.padLock:runAction(CCFadeTo:create(0.3,0))
	scene_members.padUnlock:runAction(CCSequence:createWithTwoActions(CCFadeTo:create(0.4,255), CCCallFunc:create(function()
																												   game.closeSubScene()
																												   end
																												   )))
	
end

local function setDisc()
	sceneState.discPlaced = 1
	game.removeItem("dialdisk")
    effectID = SimpleAudioEngine:sharedEngine():playEffect(CCFileUtils:sharedFileUtils():fullPathFromRelativePath("music/sfx/s_0010_returninventoryitem.mp3"))
	scene_members.discPlaced:setOpacity(0)
	scene_members.discPlaced:setVisible(true)
	scene_members.discPlaced:runAction(CCSequence:createWithTwoActions(CCFadeTo:create(0.4,255), CCCallFunc:create(function()
																												  end
																												  )))

end

local function setCoins()
	if (sceneState.discPlaced ~= 1) then
		return
	end
	sceneState.discPlaced = 2
	game.removeItem("coins",3)
    effectID = SimpleAudioEngine:sharedEngine():playEffect(CCFileUtils:sharedFileUtils():fullPathFromRelativePath("music/sfx/s_0143_coinslot.mp3"))
	game.addItem("singlecoin")
    

end

local function continueButtonPresed()
    print("continueCutMovie")
    if(sceneState.cutMovie == 9)then
       game.startSceneWithSaveState("scene_27","27_square", "27_square");
        showCriminal()
        return
    end
    --[[core.runAnimation("Default Timeline",0,scene_members["hospitalCutPart"..sceneState.cutMovie])
    
    scene_members["hospitalCutPart"..sceneState.cutMovie]:setVisible(true)
    scene_members["hospitalCutPart"..(sceneState.cutMovie-1)]:setVisible(false)
    sceneState.cutMovie  = sceneState.cutMovie + 1
    startScene("cutScene7parts"..sceneState.cutMovie,"intro", true);]]
    game.runMovie("cutScene7parts"..sceneState.cutMovie,"scene_27", "27_square",true,continueButtonPresed,skipButtonPresed)
    sceneState.cutMovie = sceneState.cutMovie + 1
end
--eosa124
--[[local]] function skipButtonPresed()
    print("skipCutMovie")
    game.startSceneWithSaveState("scene_27","27_square", "27_square");
    showCriminal()
end

function callPhone()
	if (sceneState.discPlaced ~= 2) then
		--return
	end
    effectID = SimpleAudioEngine:sharedEngine():playEffect(CCFileUtils:sharedFileUtils():fullPathFromRelativePath("music/sfx/s_0144_analogdial.mp3"))
	sceneState.discPlaced = 4
	game.removeItem("recordingkit",4)
	--scene_members.recorder:setOpacity(0)
	--scene_members.recorder:setVisible(true)
    SimpleAudioEngine:sharedEngine():stopEffect(windeffectID)
    game.runMovie("cutScene7parts1","scene_27", "27_square",true,continueButtonPresed,skipButtonPresed)
    sceneState.cutMovie = 2
	--[[scene_members.recorder:runAction(CCSequence:createWithTwoActions(CCFadeTo:create(0.9,255), CCCallFunc:create(function()
																												   game.closeSubScene()
                                                                                                                    SimpleAudioEngine:sharedEngine():stopEffect(windeffectID)
                                                                                                                    game.runMovie("cutScene7parts1","scene_27", "27_square",true,continueButtonPresed,skipButtonPresed)
                                                                                                                    sceneState.cutMovie = 2
																												   end
																												   )))]]

end

local function setPeper()
	
	if(sceneState.criminal == 1) then
		game.removeItem("pepper")
        scene_members.exit:setVisible(false)
        showDescription(LOCALIZE("S27_PEPPER"))
        effectID = SimpleAudioEngine:sharedEngine():playEffect(CCFileUtils:sharedFileUtils():fullPathFromRelativePath("music/sfx/s_0145_pepperspray.mp3"))
		sceneState.criminal = 2
		for cur = 1,3 do
			scene_members["murder"..cur]:runAction(CCFadeOut:create(0.1))
		end
		scene_members.pepperGost:runAction(CCFadeIn:create(0.1))
		core.runAnimation("Default Timeline",0,scene_members.runningHostage)
		scene_members.runningHostage:setVisible(true)
		--[[scene_members.pepperGost:runAction(CCSequence:createWithTwoActions(CCFadeTo:create(0.3,255), CCCallFunc:create(function()
																													   core.runAnimation("Default Timeline",0,scene_members.runningHostage)
																													   scene_members.runningHostage:setVisible(true)
																													  end
																													  )))]]
																												
	end
end

local function setClifs()
	if(sceneState.criminal == 2) then
		game.removeItem("handcuffs")
        showDescription(LOCALIZE("S27_CLIFS"))
		sceneState.criminal = 3
        effectID = SimpleAudioEngine:sharedEngine():playEffect(CCFileUtils:sharedFileUtils():fullPathFromRelativePath("music/sfx/s_0083_zippo.mp3"))
		scene_members.phoneButton:setVisible(true)
		scene_members.pepperGost:runAction(CCFadeTo:create(0.3,0))
		scene_members.murderCliffs:runAction(CCFadeTo:create(0.3,255))
	end
end

local function callPolice()
	if(sceneState.criminal == 3) then
        effectID = SimpleAudioEngine:sharedEngine():playEffect(CCFileUtils:sharedFileUtils():fullPathFromRelativePath("music/sfx/s_0143_coinslot.mp3"))
        scene_members.recorder:runAction(CCSequence:createWithTwoActions(CCDelayTime:create(0.4), CCCallFunc:create(function()
                                                                                                                    effectID = SimpleAudioEngine:sharedEngine():playEffect(CCFileUtils:sharedFileUtils():fullPathFromRelativePath("music/sfx/s_0144_analogdial.mp3"))
                                                                                                                    game.removeItem("singlecoin")
                                                                                                                    sceneState.criminal = 4
                                                                                                                    game.closeSubScene()                                                                                                                end
                                                                                                                     )))
        
	end
end

local function hingClearing()
	sceneState.doorOpen = 1
	game.removeItem("oilcan")
    
    effectID = SimpleAudioEngine:sharedEngine():playEffect(CCFileUtils:sharedFileUtils():fullPathFromRelativePath("music/sfx/s_0053_pourliquid.mp3"))
	scene_members.cleanHinge:runAction(CCSequence:createWithTwoActions(CCFadeOut:create(0.5), CCCallFunc:create(function()
																												
																													game.closeSubScene()
																												end
																												)))


end

local function flush()
    
    effectID = SimpleAudioEngine:sharedEngine():playEffect(CCFileUtils:sharedFileUtils():fullPathFromRelativePath("music/sfx/s_0070_waterdrain.mp3"))
	scene_members.levPlaced:runAction(CCSequence:createWithTwoActions(CCFadeIn:create(0.4), CCCallFunc:create(function()
																											  scene_members.levPlaced:setVisible(true)
																											  scene_members.fullWater:runAction(CCFadeOut:create(0.5))
																											  game.removeItem("qlever")
																											  scene_members.coin2:setTouchEnabled(true)
																											  sceneState.water = 1
																												end
																												)))
	
	

end

local function dig()
	local animations = CCArray:create()
	animations:addObject(CCMoveTo:create(0.7,ccp(632,428)))
	animations:addObject(CCMoveTo:create(0.7,ccp(618,588)))
	animations:addObject(CCCallFunc:create(function()
										   scene_members.ground:runAction(CCFadeOut:create(0.2))
										   sceneState.ground = 1
                                           
                                            effectID = SimpleAudioEngine:sharedEngine():playEffect(CCFileUtils:sharedFileUtils():fullPathFromRelativePath("music/sfx/s_0041_smoothuse.mp3"))
										   game.removeItem("shovel2")
										   scene_members.qlever:setTouchEnabled(true)
										   end))
	animations:addObject(CCFadeOut:create(0.3))
	scene_members.showell:runAction(CCFadeIn:create(0.2))
	scene_members.showell:setVisible(true)
	scene_members.showell:runAction(CCSequence:create(animations))
	
end

function inventoryItemUsed(it, x, y, action, sender)
	print("item used: ", it, x, y, action, sender)
	if(it == "key") then
		game.enablesItemfromInventoryToItemOnScene(x,y,scene_members.padLock,unlockPad,action)
	end
	if(it == "dialdisk") then
		game.enablesItemfromInventoryToItemOnScene(x,y,scene_members.discPlaced,setDisc,action)
	end
	if(it == "coins") then
		game.enablesItemfromInventoryToItemOnScene(x,y,scene_members.recorder,setCoins,action)
	end
	if(it == "recordingkit") then
		game.enablesItemfromInventoryToItemOnScene(x,y,scene_members.recorder,function()
                                                   if (sceneState.discPlaced ~= 2) then
                                                        return
                                                   end
                                                   sceneState.discPlaced = 3
                                                   scene_members.recorder:setOpacity(0)
                                                   scene_members.recorder:setVisible(true)
                                                   game.closeSubScene()
                                                   end ,action)
	end
	if(it == "pepper") then
		game.enablesItemfromInventoryToItemOnScene(x,y,scene_members.murder1,setPeper,action)
	end
	if(it == "handcuffs") then
		game.enablesItemfromInventoryToItemOnScene(x,y,scene_members.murder1,setClifs,action)
	end
	if(it == "singlecoin") then
		game.enablesItemfromInventoryToItemOnScene(x,y,scene_members.recorder,callPolice,action)
	end
	if(it == "oilcan") then
		game.enablesItemfromInventoryToItemOnScene(x,y,scene_members.cleanHinge,hingClearing,action)
	end
	if(it == "qlever") then
		game.enablesItemfromInventoryToItemOnScene(x,y,scene_members.levPlaced,flush,action)
	end
	if(it == "shovel2") then
		game.enablesItemfromInventoryToItemOnScene(x,y,scene_members.ground,dig,action)
	end
	
end

function updateScreen()
	scene_members.shedGhost:setVisible(sceneState.shovel2 == 0)
	scene_members.fountainGhost:setVisible(sceneState.coin2 == 0)
	scene_members.vaseGhost:setVisible(sceneState.qlever == 0)
	scene_members.garbageGhost:setVisible( not(sceneState.tape == 1 and sceneState.dialdisk == 1 and sceneState.handcuffs == 1))
end

function onTouchLayer(eventType, x, y)
    print("working")
    if eventType == CCTOUCHBEGAN then
        game.doActionOnScene(x,y,scene_members.murder1,function()
                             if(sceneState.criminal == 1)then
                                showDescription(LOCALIZE("S27_MURDERER"),2)
                             end
                             end)
            game.doActionOnScene(x,y,scene_members.murder1,function()
                                if(sceneState.criminal == 2)then
                                    showDescription(LOCALIZE("S27_MURDERER1"),2)
                                end
            end)
    end
end


function event()
	updateScreen()
    print("criminal:",sceneState.criminal)
	scene_members.fountainButton:setVisible(sceneState.criminal < 1)
	scene_members.trashButton:setVisible(sceneState.criminal < 1)
	scene_members.phoneButton:setVisible(sceneState.criminal == 0 or sceneState.criminal == 3)
	scene_members.vaseButton:setVisible(sceneState.criminal < 1)
	scene_members.shedButton:setVisible(sceneState.criminal < 1)
	scene_members.shedOpened:setVisible(sceneState.lockOpen == 1)
    if(sceneState.cutMovie)then
        --showCriminal()
    end
	if(sceneState.stick == 1) then
		scene_members.stick:removeFromParentAndCleanup(true)
	end
	for cur = 1,3 do
		scene_members["murder"..cur]:setVisible(sceneState.criminal == 1)
	end
	if(sceneState.criminal == 2)then
		scene_members.pepperGost:setOpacity(255)
	end
	if(sceneState.criminal == 3)then
		scene_members.murderCliffs:setOpacity(255)
	end
	if(sceneState.criminal == 4)then
		scene_members.murderCliffs:setOpacity(255)
		--scene_members.theEnd:setVisible(true)
        showFinalClip()
	end
	scene_members.phoneDoorOpened:setVisible(sceneState.doorOpen == 1)
	scene_members.phoneDoorClosed:setVisible(sceneState.doorOpen == 0)
	scene_members.doorGhost:setVisible(sceneState.doorOpen == 0)
	scene_members.windowPhoneGhost:setVisible(sceneState.doorOpen == 1)
	scene_members.runningHostage:setVisible(false)
    scene_members.exit:setVisible(sceneState.criminal < 2)
end