--place game specific init here
--must define global function StartGame

local CCtouchUp  = 64

CC_DRAG_INSIDE = 2
CC_TOUCH = 1
CC_DRAG_OUTSIDE = 4
CC_RELEASE_OUTSIDE = 64
CC_RELEASE_INSIDE = 32
GAME_DEBUG = 1
GAME_HOG_MAX_TRIES = 2
GAME_INVENTORY_ITEM_SHIFT_POSITION = 100

-- таблица для предметов на сцене
scene_items = {}
scene_exits = {}



local subsceneLayer
local subsceneOnBeforeEnd
local subsceneOnAfterEnd
local canceled

sponsorPayWaitDialod = false

 local hintSceneProgressPercentage = 100
gameVersion = "1 - 11.09.2013"

core.CCLOG("current Game version:".. gameVersion)
core.CCLOG("debug state :".. tostring(GAME_DEBUG))

itemsInformation = {}
itemsInformation.tagItem = {}
itemsInformation.arrows = {"res/inventory_items/s61_ci_pointers_01.png",1,"arrows"}
itemsInformation.ticket = {"res/inventory_items/s01_ci_ticketparts_01.png",5,"ticket"}
itemsInformation.boxcutter = {"res/inventory_items/s03_ci_boxcutter_01.png",1,"boxcutter"}
itemsInformation.tire = {"res/inventory_items/s03_ci_tire_01.png",1,"tire"}
itemsInformation.brick = {"res/inventory_items/s04_ci_brick_01.png",1,"brick"}
itemsInformation.drawing = {"res/inventory_items/s04_ci_drawing_01.png",1,"drawing",}

itemsInformation.knife = {"res/inventory_items/s69_ci_knife_01.png",1,"knife",}
itemsInformation.screwdriver = {"res/inventory_items/s11_ci_screwdriver_01.png",1,"screwdriver",}

itemsInformation.gears = {"res/inventory_items/s05_ci_gears_01.png",4,"gears"}
itemsInformation.paintings = {"res/inventory_items/s05_ci_paintings_01.png",6,"paintings"}

--gears
itemsInformation.gear1 = {"res/inventory_items/s05_ci_gears_01.png",4,"gears", "res/scene05/s05_sr_gear01_01.png"}
itemsInformation.gear2 = {"res/inventory_items/s05_ci_gears_01.png",4,"gears", "res/scene05/s05_sr_gear02_01.png"}
itemsInformation.gear3 = {"res/inventory_items/s05_ci_gears_01.png",4,"gears", "res/scene05/s05_sr_gear03_01.png"}
itemsInformation.gear4 = {"res/inventory_items/s05_ci_gears_01.png",4,"gears", "res/scene05/s05_sr_gear04_01.png"}




--paintings
itemsInformation.paintings1 = {"res/inventory_items/s05_ci_paintings_01.png",6,"paintings", "res/scene04/s04_sr_painting01_01.png"}
itemsInformation.paintings2 = {"res/inventory_items/s05_ci_paintings_01.png",6,"paintings", "res/scene04/s04_sr_painting02_01.png"}
itemsInformation.paintings3 = {"res/inventory_items/s05_ci_paintings_01.png",6,"paintings", "res/scene04/s04_sr_painting03_01.png"}
itemsInformation.paintings4 = {"res/inventory_items/s05_ci_paintings_01.png",6,"paintings", "res/scene05/s05_sr_painting04_01.png"}
itemsInformation.paintings5 = {"res/inventory_items/s05_ci_paintings_01.png",6,"paintings", "res/scene05/s05_sr_painting05_01.png"}
itemsInformation.paintings6 = {"res/inventory_items/s05_ci_paintings_01.png",6,"paintings", "res/scene05/s05_sr_painting06_01.png"}

--twinsPhotoPieces
itemsInformation.photopiece2 = {"res/inventory_items/s07_ci_twinsphoto_01.png",6,"photopiece","res/scene04/s04_sr_photopiece02_01.png"}
itemsInformation.photopiece3 = {"res/inventory_items/s07_ci_twinsphoto_01.png",6,"photopiece","res/scene05/s05_sr_photopiece03_01.png"}
itemsInformation.photopiece4 = {"res/inventory_items/s07_ci_twinsphoto_01.png",6,"photopiece","res/scene05/s05_sr_photopiece03_01.png"}
itemsInformation.photopiece5 = {"res/inventory_items/s07_ci_twinsphoto_01.png",6,"photopiece","res/scene07/s07_sr_photopiece05_01.png"}

itemsInformation.ladder = {"res/inventory_items/s10_ci_ladder_01.png",1,"ladder"}
itemsInformation.candle = {"res/inventory_items/s08_ci_candle_01.png",1,"candle"}
itemsInformation.lighter= {"res/inventory_items/s05_ci_lighter_01.png",1,"lighter"}
itemsInformation.rope = {"res/inventory_items/s06_ci_rope_01.png",1,"rope"}
itemsInformation.crayon = {"res/inventory_items/s07_ci_crayon_01.png",1,"crayon"}
itemsInformation.dress = {"res/inventory_items/dolldress.png",1,"dress"}
itemsInformation.dollbutton = {"res/inventory_items/pugovka.png",1,"dollbutton"}
--itemsInformation.dollparts = {"res/inventory_items/s66_ci_dollparts_01.png",2,"dollparts"}

itemsInformation.ballerina = {"res/inventory_items/s68_ci_ballerina_01.png",1,"ballerina"}
itemsInformation.cloth = {"res/inventory_items/s07_ci_cloth_01.png",1,"cloth"}
itemsInformation.photopiece = {"res/inventory_items/s07_ci_twinsphoto_01.png",6,"photopiece"}
itemsInformation.lever = {"res/inventory_items/s66_ci_lever_01.png",1,"lever"}
itemsInformation.fuelcan = {"res/inventory_items/s05_ci_fuelcan_01.png",1,"fuelcan"}


itemsInformation.shotgun = {"res/inventory_items/s71_ci_shotgun_01.png",2,"shotgun"}

-- dorm lever
itemsInformation.dlever = {"res/inventory_items/s09_ci_lever_01.png",1,"dlever"}

itemsInformation.shells = {"res/inventory_items/s71_ci_shotgun_01.png",2,"shotgun","res/scene16/s16_sr_shotgunshells_01.png"}
itemsInformation.gun = {"res/inventory_items/s71_ci_shotgun_01.png",2,"shotgun","res/scene14/s14_sr_shotgun_01.png"}


-- college entrance
itemsInformation.hammer = {"res/inventory_items/s08_ci_alarmhammer_01.png",1,"hammer"}
itemsInformation.carkey = {"res/inventory_items/s08_ci_carkey_01.png",1,"carkey"}
--

-- college yard
itemsInformation.carjack = {"res/inventory_items/s10_ci_carjack_01.png",1,"carjack"}

--

-- church
itemsInformation.axe = {"res/inventory_items/s21_ci_axe_01.png",1,"axe"}
itemsInformation.demon = {"res/inventory_items/s20_ci_devilstatuette_01.png",1,"demon"}
itemsInformation.angel = {"res/inventory_items/s24_ci_angel_01.png",1,"angel"}

itemsInformation.photo1 = {"res/inventory_items/s20_ci_photos_01.png",6,"photo", "res/scene20/s20_sr_photo01_01.png"}
itemsInformation.photo2 = {"res/inventory_items/s20_ci_photos_01.png",6,"photo", "res/scene21/s21_sr_photo02_01.png"}
itemsInformation.photo3 = {"res/inventory_items/s20_ci_photos_01.png",6,"photo", "res/scene22/s22_sr_photo03_01.png"}
itemsInformation.photo4 = {"res/inventory_items/s20_ci_photos_01.png",6,"photo", "res/scene23/s23_sr_photo04_01.png"}
itemsInformation.photo5 = {"res/inventory_items/s20_ci_photos_01.png",6,"photo", "res/scene24/s24_sr_photo05_01.png"}
itemsInformation.photo6 = {"res/inventory_items/s20_ci_photos_01.png",6,"photo", "res/scene25/s25_sr_photo06_01.png"}

itemsInformation.rtablet1 = {"res/inventory_items/s24_ci_ltablet_01.png",2,"rtablet", "res/scene21/s21_sr_rtabletpiece01_01.png"}
itemsInformation.ltablet1 = {"res/inventory_items/s24_ci_rtablet_01.png",2,"ltablet", "res/scene21/s21_sr_ltabletpiece01_01.png"}
itemsInformation.rtablet2 = {"res/inventory_items/s24_ci_ltablet_01.png",2,"rtablet", "res/scene24/s24_sr_rtabletpiece02_01.png"}
itemsInformation.ltablet2 = {"res/inventory_items/s24_ci_rtablet_01.png",2,"ltablet", "res/scene24/s24_sr_ltabletpiece02_01.png"}

itemsInformation.wing1 = {"res/inventory_items/s20_ci_wings_01.png",2,"wings", "res/scene22/s22_sr_wing01_01.png"}
itemsInformation.wing2 = {"res/inventory_items/s20_ci_wings_01.png",2,"wings", "res/scene23/s23_sr_wing02_01.png"}

itemsInformation.broom = {"res/inventory_items/s20_ci_broom_01.png",1,"broom"}
itemsInformation.dagger = {"res/inventory_items/s25_ci_dagger_01.png",1,"dagger"}
itemsInformation.chaplet = {"res/inventory_items/s73_ci_chaplet_01.png",1,"chaplet"}
itemsInformation.coin = {"res/inventory_items/s73_ci_coin_01.png",1,"coin"}
itemsInformation.hose = {"res/inventory_items/s06_ci_hose_01.png",1,"hose"}
itemsInformation.shovel = {"res/inventory_items/s22_ci_shovel_01.png",1,"shovel"}
itemsInformation.filledjug = {"res/inventory_items/s23_ci_filledjug_01.png",1,"filledjug"}
itemsInformation.emptyjug = {"res/inventory_items/s24_ci_goldenjug_01.png",1,"emptyjug", "res/scene24/s24_sr_goldenjug_01.png"}
itemsInformation.gscissors = {"res/inventory_items/s74_ci_gardenscissors_01.png",1,"gscissors"}
itemsInformation.tongue = {"res/inventory_items/s74_ci_belltongue_01.png",1,"tongue"}
itemsInformation.wood = {"res/inventory_items/s05_ci_wood_01.png",1,"wood"}
itemsInformation.belltongue = {"res/inventory_items/s74_ci_belltongue_01.png",1,"belltongue"}

itemsInformation.bride = {"res/inventory_items/s25_ci_photofragment_01.png",1,"bride", "res/scene25/s25_sr_photofragment_01.png"}

itemsInformation.churchticket = {"res/inventory_items/s01_ci_ticketparts_01.png",5,"ticket", "res/scene21/s21_sr_ticket05_01.png"}

-- strings
itemsInformation.string1 = {"res/inventory_items/s10_ci_strings_01.png",4,"strings", "res/scene10/s10_l03_guitarstring01_01.png"}
itemsInformation.string2 = {"res/inventory_items/s10_ci_strings_01.png",4,"strings", "res/scene10/s10_l04_guitarstring02_01.png"}
itemsInformation.string3 = {"res/inventory_items/s10_ci_strings_01.png",4,"strings", "res/scene11/s11_sr_strings_01.png"}
itemsInformation.string4 = {"res/inventory_items/s10_ci_strings_01.png",4,"strings", "res/scene12/s12_sr_guitarstring04_01.png"}

itemsInformation.chalk = {"res/inventory_items/s09_ci_chalk_01.png",1,"chalk", "res/scene11/s11_sr_chalk_01.png"}

-- slides
itemsInformation.slide1 = {"res/inventory_items/s08_ci_hallslide_01.png",1,"slide1"}
itemsInformation.slide2 = {"res/inventory_items/s09_ci_classslide_01.png",1,"slide2"}
itemsInformation.slide3 = {"res/inventory_items/s10_ci_frontslide_01.png",1,"slide3"}
itemsInformation.slide4 = {"res/inventory_items/s11_ci_corridorslide_01.png",1,"slide4"}
itemsInformation.slide5 = {"res/inventory_items/s12_ci_dormslide_01.png",1,"slide5"}

itemsInformation.ironsaw = {"res/inventory_items/s68_ci_ironsaw_01.png",1,"ironsaw"}
itemsInformation.keyboard = {"res/inventory_items/s68_ci_keyboard_01.png",1,"keyboard"}
itemsInformation.rose = {"res/inventory_items/s63_ci_rose_01.png",1,"rose"}
itemsInformation.redwire = {"res/inventory_items/s13_ci_redwire_01.png",1,"redwire"}
itemsInformation.pliers = {"res/inventory_items/s13_ci_pliers_01.png",1,"pliers"}
itemsInformation.crowbar = {"res/inventory_items/s71_ci_crowbar_01.png",1,"crowbar"}
itemsInformation.basketball = {"res/inventory_items/s71_ci_basketball_01.png",1,"basketball"}
itemsInformation.crosskey = {"res/inventory_items/s20_ci_crosskey_01.png",1,"crosskey"}

itemsInformation.scissors = {"res/inventory_items/s70_ci_scissors_01.png",1,"scissors"}
itemsInformation.curtain = {"res/inventory_items/s16_ci_cloth_01.png",1,"curtain"}
itemsInformation.ironball = {"res/inventory_items/s15_ci_ironball_01.png",1,"ironball"}
itemsInformation.tlever = {"res/inventory_items/s70_ci_tlever_01.png",1,"tlever"}
itemsInformation.securitycard = {"res/inventory_items/s16_ci_securitycard_01.png",1,"securitycard"}
itemsInformation.lightbulb = {"res/inventory_items/s16_ci_lightbulb_01.png",1,"lightbulb"}
itemsInformation.cigarboxkey = {"res/inventory_items/s16_ci_cigarboxkey_01.png",1,"cigarboxkey"}
itemsInformation.closetkey = {"res/inventory_items/s16_ci_closetkey_01.png",1,"closetkey"}
itemsInformation.file = {"res/inventory_items/s13_ci_file_01.png",7,"file"}

itemsInformation.seeds = {"res/inventory_items/s21_ci_seeds_01.png",1,"seeds"}

itemsInformation.file7 = {"res/scene19/s19_sr_file07_01.png",7,"file", "res/scene19/s19_sr_file07_01.png"}
itemsInformation.file6 = {"res/scene18/s18_sr_file06_01.png",7,"file", "res/scene18/s18_sr_file06_01.png"}
itemsInformation.file5 = {"res/scene17/s17_sr_file05_01.png",7,"file", "res/scene17/s17_sr_file05_01.png"}
itemsInformation.file4 = {"res/scene16/s16_sr_file04_01.png",7,"file", "res/scene16/s16_sr_file04_01.png"}
itemsInformation.file3 = {"res/scene16/s16_sr_file03_01.png",7,"file", "res/scene16/s16_sr_file03_01.png"}
itemsInformation.file2 = {"res/scene15/s15_sr_file02_01.png",7,"file", "res/scene15/s15_sr_file02_01.png"}
itemsInformation.file1 = {"res/scene13/s13_sr_file01_01.png",7,"file", "res/scene13/s13_sr_file01_01.png"}


itemsInformation.lockerkey = {"res/inventory_items/s68_ci_lockerkey_01.png",1,"lockerkey"}

--diningRoom
itemsInformation.funnel = {"res/inventory_items/s06_ci_funnel_01.png",1,"funnel"}
itemsInformation.breadknife = {"res/inventory_items/s17_ci_breadknife_01.png",1,"breadknife"}
itemsInformation.breadslice = {"res/inventory_items/s17_ci_breadslice_01.png",1,"breadslice"}
itemsInformation.emptyjar = {"res/inventory_items/s17_ci_emptyjar_01.png",1,"emptyjar"}
itemsInformation.jarfilled = {"res/inventory_items/s17_ci_jarfilled_01.png",1,"jarfilled"}
itemsInformation.mop = {"res/inventory_items/s17_ci_mop_01.png",1,"mop"}
itemsInformation.soup = {"res/inventory_items/s17_ci_soup_01.png",1,"soup"}
itemsInformation.soupladdle = {"res/inventory_items/s17_ci_soupladdle_01.png",1,"soupladdle"}


--cameras
itemsInformation.handdle = {"res/inventory_items/s72_ci_handdle_01.png",1,"handdle"}
itemsInformation.magnifier = {"res/inventory_items/s72_ci_magnifier_01.png",1,"magnifier"}

--crystals
itemsInformation.prisonercrystal = {"res/inventory_items/s16_ci_crystalprisioner_01.png",1,"prisonercrystal"}
itemsInformation.girlcrystal = {"res/inventory_items/s07_ci_girlcrystal_01.png",1,"girlcrystal"}
itemsInformation.fathercrystal = {"res/inventory_items/s25_ci_crystal_01.png",1,"fathercrystal"}
itemsInformation.boycrystal = {"res/inventory_items/s09_ci_boycrystal_01.png",1,"boycrystal"}


-- ticket
itemsInformation.prisonticket = {"res/inventory_items/s01_ci_ticketparts_01.png",5,"ticket", "res/scene18/s18_sr_ticket04_01.png"}
itemsInformation.trainticket = {"res/inventory_items/s01_ci_ticketparts_01.png",5,"ticket", "res/scene1/s01_sr_ticket01_01.png"}
itemsInformation.hometicket = {"res/inventory_items/s01_ci_ticketparts_01.png",5,"ticket", "res/scene05/s05_sr_ticket02_01.png"}
itemsInformation.collegeticket = {"res/inventory_items/s01_ci_ticketparts_01.png",5,"ticket", "res/scene05/s05_sr_ticket02_01.png"}

--lion
itemsInformation.lion = {"res/inventory_items/s01_ci_lion_01.png",4,"lion"}
itemsInformation.lion1 = {"res/inventory_items/s01_ci_lion_01.png",4,"lion", "res/inventory_items/s01_ci_lion_01.png"}
itemsInformation.lion2 = {"res/inventory_items/s01_ci_lion_01.png",4,"lion", "res/inventory_items/s01_ci_lion_01.png"}
itemsInformation.lion3 = {"res/inventory_items/s01_ci_lion_01.png",4,"lion", "res/inventory_items/s01_ci_lion_01.png"}
itemsInformation.lion4 = {"res/inventory_items/s01_ci_lion_01.png",4,"lion", "res/inventory_items/s01_ci_lion_01.png"}

--hospital
itemsInformation.coins = {"res/inventory_items/s26_ci_coins_01.png",3,"coins"}
itemsInformation.coin1 = {"res/inventory_items/s26_ci_coins_01.png",3,"coins", "res/scene26/s26_sr_coin_01.png"}

itemsInformation.clothes = {"res/scene26/s26_sr_clothes_01.png",1,"clothes"}
itemsInformation.cupempty = {"res/inventory_items/s26_ci_cupempty_01.png",1,"cupempty"}

itemsInformation.recordingkit = {"res/inventory_items/s26_ci_recordingkit_01.png",4,"recordingkit"}
itemsInformation.key = {"res/inventory_items/s75_ci_key_01.png",1,"key"}

itemsInformation.batery1 = {"res/inventory_items/s26_ci_recordingkit_01.png",4,"recordingkit", "res/scene26/s26_sr_baterie_01.png"}
itemsInformation.batery2 = {"res/inventory_items/s26_ci_recordingkit_01.png",4,"recordingkit", "res/scene26/s26_sr_baterie_01.png"}
itemsInformation.plr = {"res/inventory_items/s26_ci_recordingkit_01.png",4,"recordingkit", "res/inventory_items/s26_ci_recordingkit_01.png"}
itemsInformation.medicine = {"res/inventory_items/s26_ci_medicine_01.png",1,"medicine"}
itemsInformation.pepper = {"res/inventory_items/s26_ci_pepper_01.png",1,"pepper"}
itemsInformation.jugpouring = {"res/inventory_items/s26_ci_jugpouring_01.png",1,"jugpouring"}
itemsInformation.jugpouring = {"res/inventory_items/s26_ci_jugpouring_01.png",1,"jugpouring"}
itemsInformation.cupPlaced3 = {"res/inventory_items/1.png",1,"cupPlaced3"}
--square
itemsInformation.coin2 = {"res/inventory_items/s26_ci_coins_01.png",3,"coins", "res/scene27/s27_sr_coin_01.png"}
itemsInformation.coin3 = {"res/inventory_items/s26_ci_coins_01.png",3,"coins", "res/scene27/s27_l04_coin03_01.png"}
itemsInformation.stick = {"res/scene27/s27_sr_stick_01.png",1,"stick"}
itemsInformation.handcuffs = {"res/inventory_items/s27_ci_handcuffs_01.png",1,"handcuffs"}
itemsInformation.oilcan = {"res/scene27/s27_sr_oilcan_01.png",1,"oilcan"}
itemsInformation.dialdisk = {"res/scene27/s27_sr_dialdisk_01.png",1,"dialdisk"}
itemsInformation.tape = {"res/inventory_items/s26_ci_recordingkit_01.png",4,"recordingkit", "res/scene27/s27_sr_tape_01.png"}
itemsInformation.shovel2 = {"res/scene27/s27_sr_shovel_01.png",1,"shovel2"}
itemsInformation.qlever = {"res/inventory_items/s27_ci_lever_01.png",1,"qlever"}
itemsInformation.singlecoin = {"res/inventory_items/s27_ci_singlecoin_01.png",1,"singlecoin"}

gameState.exitActive = true

function StartGame ()
    core.CCLOG("on start current Game version:".. gameVersion)
    local lang = CCApplication:sharedApplication():getCurrentLanguage()
    --local lang = CCApplication:getCurrentLanguage(CCApplication:sharedApplication())
    --print ("CurentLanguage",lang)
    --core.CCLOG("CurentLanguage"..lang)
    if(GAME_DEBUG == 3)then
        startScene("scene_title_test","test_scene1");
    else
        --startScene("scene_title", "00_title");
        startScene("scene_splash", "splash");
        --startScene("scene_load", "loadResurses", cleanup)
    end
  print("Scene started!");
    print("mus: ",gameState.musVol)
    print("eff: ",gameState.effVol)
	if(not gameState.musVol)then
		gameState.musVol = 60
		gameState.effVol = 60
	end
    if(gameState.musVol) then SimpleAudioEngine:sharedEngine():setBackgroundMusicVolume(gameState.musVol / 100) end   -- сохраняшка хранит только целые числа
    if(gameState.effVol) then SimpleAudioEngine:sharedEngine():setEffectsVolume(gameState.effVol / 100) end   -- сохраняшка хранит только целые числа
    
    local int = core.getScneneInt()
      --
    if(not gameState.episodeStates)then
        gameState.episodeStates = {core.checkScenes()}
    end
    
  return 1
end

function SleepGame ()
    print("sleep!")
    --itemSprite = scene_members.inventory:getChildByTag(800)
    --if(itemSprite)
    core.fadeOutAndRemove(itemSprite, 0.0001)
    itemSprite = nil
    
end

function StartSceneFromC (a1,a2)
    print("!!!!!argg",a1)
    print("!arg!!",a2)
    game.startSceneWithSaveState(a1, a2);
end


function savePurchasesState (episode)
     gameState.episodeStates[episode] = true
end

function core.lockCCControlItems(currentSceneTopElement,state)
    if(tmp.state~=state)then
        core.lockCCControlItemsLua(currentSceneTopElement,state)
        tmp.state = state
    end
end

function unblockScreenPurchases (episode,single)
    core.CCLOG("startUnlock")
    core.CCLOG("EpisodeNumber"..tostring(episode))
    scene_members.sceneMenu:setEnabled(true)
	if(scene_members.inventoryMenu)then
		scene_members.inventoryMenu:setEnabled(true)
	end
    tmp.dialogVisible = 0
	if(scene_members.buyLabelRect)then
		scene_members.buyLabelRect:setVisible(false)
	end
    scene_members.waitLabel:setString("")
    hideDescription()
    scene_members.waitLabel:stopAllActions()
    core.callJNIFunc("resetPay")
    if(episode)then
        core.CCLOG("startUnlock1")
        if(single)then
            core.CCLOG("startUnlock2")
            gameState.episodeStates[episode] = true
            core.CCLOG("EpisodeNumber"..tostring(episode))
            core.CCLOG("EpisodeState"..tostring(gameState.episodeStates[episode]))
        else
            for cur = 1, #gameState.episodeStates do
              gameState.episodeStates[cur] = true
            end
        end
       --gameState.episodeStates[episode] = true
        updateScreen()
    end
end

function enableSPDialod (episode)
    sponsorPayWaitDialod = true
    core.CCLOG("EpisodeNumber "..tostring(episode))
    gameState.sponsorPayUnlockEpisode = episode
    core.CCLOG("SavedEpisodeNumber "..tostring(gameState.sponsorPayUnlockEpisode))
end
function disableSPDialg ()
    sponsorPayWaitDialod = false
    gameState.sponsorPayUnlockEpisode = 0
end


function returnItemsState (episode)
    core.CCLOG("gameEpisode: "..tostring(episode))
    core.CCLOG("gameSate: "..tostring(gameState.episodeStates[episode]))
    return gameState.episodeStates[episode] 
end

function startRateMyApp()
    print("startRateMyApp")
    print(gameState.rateMyApp)
    if(gameState.rateMyApp == nil) then
        print("gameState.rateMyApp == nil")
        if(scene_members.rating)then
            print("scene_members.rating")
            
            local seq = CCSequence:createWithTwoActions(CCDelayTime:create(600), CCCallFunc:create(function()
                                                                                                 if(tmp.dialogVisible == 1 or gameState.rateMyAppNotStart == 1)then
                                                                                                    print("return")
                                                                                                    print(tmp.dialogVisible)
                                                                                                    print(gameState.rateMyAppNotStart)
                                                                                                    return
                                                                                                 end
                                                                                                 
                                                                                                 --showYesNoDialog(node,sceneMenu,description,onYesClickFunc,onNoClickFunc,onStartDialogFunc,onEndFunc,specDialog,onLaterClickFunc)
                                                                                                   showRateUpDialog(scene_members.rating,scene_members.sceneMenu,LOCALIZE("RATE"),
                                                                                                        function()
                                                                                                                core.sendFlurryEvent("RateIT_Yes")
                                                                                                                core.callJNIFunc("rateMyApp")
                                                                                                                  gameState.rateMyAppNotStart = 1
                                                                                                                    gameState.rateMyApp = 1
                                                                                                        end,
                                                                                                        function()
                                                                                                                   core.sendFlurryEvent("RateIT_No")
                                                                                                                   gameState.rateMyAppNotStart = 1
                                                                                                        end,
                                                                                                        function()
                                                                                                                   tmp.dialogVisible = 1
                                                                                                                    core.lockCCControlItems(currentSceneTopElement,true)
                                                                                                        end,
                                                                                                        function()
                                                                                                                   tmp.dialogVisible = 0
                                                                                                                    core.lockCCControlItems(currentSceneTopElement,false)
                                                                                                        end,1,
                                                                                                                   function() core.sendFlurryEvent("RateIT_Later") end)
                                                                                                   end))
            tolua.cast(seq,"CCActionInterval")
            
            scene_members.rating:runAction(CCRepeatForever:create(seq))
        end
    end
end

function game.cleanTable()
	for cur = 1, 8 do
		if(scene_members.invPanelSprite:getChildByTag(1000+cur) ~=nil) then
			scene_members.invPanelSprite:removeChildByTag(1000+cur,true)
		end
	end
end 


function game.findItem(tag)
	return gameState.slots[tag-(1000+gameState.StartIndexShiftCount)]
end

function hideDescription()
	if(scene_members.descriptionBarSprite) then
        scene_members.descriptionBarSprite:runAction(CCFadeTo:create(0.5,0))
        scene_members.descriptionLabel:runAction(CCFadeTo:create(0.5,0))
    end
end

function showDescription(stringToShow, time)
	-- get description
	scene_members.descriptionBarSprite:stopAllActions()
	scene_members.descriptionBarSprite:setOpacity(0)
	scene_members.descriptionBarSprite:setVisible(true)
	scene_members.descriptionBarSprite:runAction(CCFadeTo:create(0.5,255))
	
	scene_members.descriptionLabel:setString(stringToShow)
	scene_members.descriptionLabel:setOpacity(0)
	scene_members.descriptionLabel:runAction(CCFadeTo:create(0.5,255))
	
	if time then
		--CCCallFunc:create(afterAll)
		scene_members.descriptionBarSprite:runAction(CCSequence:createWithTwoActions(CCDelayTime:create(time), CCCallFunc:create(hideDescription)))
	end
end

function transformXY(x, y)
	tf = core.getScaleFactor(currentSceneTopElement)
	tx =core.getScaleX(currentSceneTopElement)
	ty =core.getScaleY(currentSceneTopElement)
	
	x = x / tf
	y = y / tf
	
	x = x - tx
	y = y - ty
	
	return x,y
end

local function inventoryItemSelectorLocal(sender,action)
	tolua.cast(sender, "CCNode")
	local tag = sender:getTag()
	local parent = sender:getParent()
	local itemTable = game.findItem(tag).itemTable
	
    local x,y = core.getLastTouchLocation(sender)
    if(y> (scene_members.invPanelSprite:getPositionY() + scene_members.invPanelSprite:getContentSize().width/2)) then
        --print("HIDE!!!!")
        --showHideGUI()
    end
	
	-- add cursor item to screen
    if scene_members.inventory then
        -- find item image path 1 4 64
		
		if itemSprite then
            -- just position
            itemSprite:setPosition(ccp(x,y+GAME_INVENTORY_ITEM_SHIFT_POSITION))
        end
		
		x,y = transformXY(x,y)
		
        if action == 1 then
            -- take item
			--print("to find table ",item)
            --itemTable = itemsInformation[it]
            showHideGUI()
            itemSprite = CCSprite:create(itemTable[1])
            itemSprite:setPosition(ccp(-100,-100))
            --itemSprite:setTag(800)
            scene_members.inventory:addChild(itemSprite, 1000)
        end

        

    end
	
	-- TODO: повторное вытаскивание предмета
	
	if inventoryItemUsed then
		keepItem = inventoryItemUsed(itemTable[3], x, y, action, sender)
	end
    
    -- remove if used
    if not keepItem then
        if action == 64 or action == 32 then
            -- release
            if itemSprite then
                core.fadeOutAndRemove(itemSprite, 0.2)
                itemSprite = nil
            end
        end
    end
    
end
function showRateUpDialog(node,sceneMenu,description,onYesClickFunc,onNoClickFunc,onStartDialogFunc,onEndFunc,specDialog,onLaterClickFunc)
    if(onStartDialogFunc)then
        onStartDialogFunc()
    end
    local dialog = core.createNodes("rate_my_app");
    if dialog then
        node:addChild(dialog, 0)
        scene_members.rateDescription:setString(description)
        scene_members.yesRateDescription:setString(LOCALIZE("RATE_YES"))
        scene_members.noRateDescription:setString(LOCALIZE("RATE_NO"))
        scene_members.laterRateDescription:setString(LOCALIZE("RATE_LATER"))
        dialog:runAction(CCFadeIn:create(0.3))
        else
        print("Warning: can't load hogs descr");
        error()
        return;
    end
    local function onTouch(eventType, x, y)
        print("hehe")
    end
    scene_members.rateMyApp:registerScriptTouchHandler(onTouch, false,2000000000, true)  -- for single touch
    scene_members.rateMyApp:setTouchEnabled(true);
    if(sceneMenu) then
        sceneMenu:setEnabled(false);
    end
    local function hidedialog()
		--dk wtf?
        --dialog:runAction(CCFadeOut:create(0.3))
        --dialog:setVisible(false)
        dialog:removeFromParentAndCleanup(true)
        if(sceneMenu) then
            sceneMenu:setEnabled(true);
        end
    end
    function scene_selectors.noPressed(sender)
		game.buttonClick(1)
        if(onNoClickFunc)then
            onNoClickFunc()
        end
        hidedialog()
        if(onEndFunc)then
            onEndFunc()
        end
    end
    
    function scene_selectors.yesPressed(sender)
		game.buttonClick(1)
        if(onYesClickFunc)then
            onYesClickFunc()
        end
        hidedialog()
        if(onEndFunc)then
            onEndFunc()
        end
    end
    function scene_selectors.laterPressed(sender)
		game.buttonClick(1)
        if(onLaterClickFunc)then
            onLaterClickFunc()
        end
        hidedialog()
        if(onEndFunc)then
            onEndFunc()
        end
    end
end
function showYesNoDialog(node,sceneMenu,description,onYesClickFunc,onNoClickFunc,onStartDialogFunc,onEndFunc,specDialog,onLaterClickFunc)
    if(onStartDialogFunc)then
        onStartDialogFunc()
    end
    local dialog = nil
    if(specDialog) then
        dialog = core.createNodes("rate_my_app");
    else
        dialog = core.createNodes("dialogAccept");
    end
    --dialog:setOpacity(0)
    if dialog then
        node:addChild(dialog, 0)
        scene_members.playTutorialDescription:setString(description)
        scene_members.yesDescription:setString(LOCALIZE("ANSWER_YES"))
        scene_members.noDescription:setString(LOCALIZE("ANSWER_NO"))
        if(specDialog) then
            scene_members.laterDescription:setString(LOCALIZE("ANSWER_LATER"))
        end
        dialog:runAction(CCFadeIn:create(0.2))
        else
        print("Warning: can't load hogs descr");
        error()
        return;
    end
    if(sceneMenu) then
        sceneMenu:setEnabled(false);
    end
    
    local function hidedialog()
        --dialog:runAction(CCFadeOut:create(0.3))
        --dialog:setVisible(false)
        dialog:removeFromParentAndCleanup(true)
        if(sceneMenu) then
            sceneMenu:setEnabled(true);
        end
    end
    function scene_selectors.noButtonPressed(sender)
		game.buttonClick(1)
        if(onNoClickFunc)then
            onNoClickFunc()
        end
        hidedialog()
        if(onEndFunc)then
            onEndFunc()
        end
    end
    
    function scene_selectors.yesButtonPressed(sender)
		game.buttonClick(1)
        if(onYesClickFunc)then
            onYesClickFunc()
        end
        hidedialog()
        if(onEndFunc)then
            onEndFunc()
        end
    end
end

local function showDialogSettings()
    if(scene_members.descriptionBarSprite) then
        scene_members.descriptionBarSprite:setVisible(false)
    end
    local ms = game.subscenes;
    if(#ms > 0) then
        game.endSubScene()
    end
    
    showSettings(scene_members.settingsNode)
end

function backButtonClicked()
    core.CCLOG("inside")
    --core.CCLOG(tmp.dialogVisible)
    if(tmp.dialogVisible == 1) then
        return
    end
    if(scene_members.hogItemsStub) then
        return
    end
    if (gameState.openWindow == nil) then
        gameState.openWindow = 0
    end
    if(scene_members.exitNode) then
        if(tmp.window == 1) then
            core.CCLOG("tmp.window")
            return
        end
        if(tmp.quitMenu == false)then
             core.CCLOG("tmp.quitMenu")
            return
        end
        showYesNoDialog(scene_members.exitNode,scene_members.sceneMenu,LOCALIZE("QUIT"),function()
                                                                                core.saveState()
                                                                                core.closeGame()
                                                                                end,
                                                                                function()
                                                                                tmp.window = 0
                                                                                end,
                                                                                function()
                                                                                tmp.window = 1
                                                                                end)
    end
    
    if(scene_members.inventory)then
        if(gameState.openWindow == 0)then
            showDialogSettings()
            gameState.openWindow = 1
        end
    end
    core.CCLOG("BACKCLICED")
end

function game.addExit(node)
	index = #scene_exits + 1
	scene_exits[index] = node
end

function game.addStarToNode(node)
	local star = CCSprite:create("res/particleStar.png")
    core.moveScene(node:getPositionLua())
	node:addChild(star, 0, 0)
	local size = node:getContentSize()
	local aw = size.width/2
	local ah = size.height/2
	star:setOpacity(0)
	star:setColor(ccc3(255,0,255))
	--bf = 196,196
	--star:setBlendFunc(ccBlendFunc(196,196))
	
	star:setPosition(ccp(aw,ah))
	star:setScale(1.7)
	star:runAction(CCRotateBy:create(2, 359))
	star:runAction(CCSequence:createWithTwoActions(CCFadeIn:create(0.5), CCFadeOut:create(0.5)))
    star:runAction(CCSequence:createWithTwoActions(CCDelayTime:create(1.0), CCCallFunc:create(function() star:removeFromParentAndCleanup(true) end)))
end


getInventory = function()
	local inventory_node = core.createNodes("inventory");
    if inventory_node then
		
		-- shift upper thing down
		
		local w,h = core.getScreenHeight()
		scene_members.descriptionBarSprite:setPosition(ccp(0, h / (w/1024)));
		
		--inventory_node:setTag(7000)
	  	scene_members.inventory:addChild(inventory_node, 0)
		scene_members.descriptionBarSprite:setVisible(false)
        scene_members.returnMenuDescription:setString(LOCALIZE("BUTTONS_MENU"))
	else
	  print("Warning: can't load hogs descr");
	  error()
	  return;
	end

	scene_selectors.inventoryItemSelector = inventoryItemSelectorLocal
	
	--cleanTable()
    --local hintSceneProgressPercentage = 100

    local pg2 = CCProgressTimer:create(CCSprite:create("res/gui/hh_hintbuttonoff_01.png"))
    scene_members.hintProgress:addChild(pg2,-1)
    local x,y = pg2:getPosition()
    pg2:setType(kCCProgressTimerTypeBar)
    pg2:setMidpoint(ccp(0,y))
    pg2:setBarChangeRate(ccp(x,1))
    pg2:setPercentage(hintSceneProgressPercentage)

    local seq = CCSequence:createWithTwoActions(CCDelayTime:create(0.00000000000000000000000001), CCCallFunc:create(function()
                                                                                         
                                                                                         if(hintSceneProgressPercentage < 100) then
                                                                                                                    if(GAME_DEBUG == 1) then
                                                                                                                    hintSceneProgressPercentage = hintSceneProgressPercentage + 0.1
                                                                                                                    else
                                                                                                                    hintSceneProgressPercentage = hintSceneProgressPercentage + 50
                                                                                                                    end
                                                                                         hintSceneProgressPercentage = hintSceneProgressPercentage + 0.1
                                                                                         if(hintSceneProgressPercentage > 100) then
                                                                                         hintSceneProgressPercentage = 100
                                                                                         end
                                                                                         pg2:setPercentage(hintSceneProgressPercentage)
                                                                                         end
                                                                                         end))
    tolua.cast(seq,"CCActionInterval")

    scene_members.inventory:runAction(CCRepeatForever:create(seq))


	game.processTable()


    function scene_selectors.hintScenePressed(sender)
        
        if(hintSceneProgressPercentage ~= 100) then
            return
        end
        
        local ms = game.subscenes;
        if(#ms > 0) then
            game.closeSubScene()
            return
        end
        
        local effectPath = CCFileUtils:sharedFileUtils():fullPathFromRelativePath("music/sfx/s_0008_hintready.mp3")
        effectID = SimpleAudioEngine:sharedEngine():playEffect(effectPath)
		scene_exits = {} -- reset exits
		hintItem = nil
		
		
		pg2:setPercentage(hintSceneProgressPercentage)
		
        showCurrentHint()
        
        
            if(hintItem) then
                --print("hintItem :",hintItem)
                --print("hintItemType :",tolua.type(hintItem))
                     
                    game.addStarToNode(hintItem)
                    if(hintItem~=scene_members.exit)then
                        hintSceneProgressPercentage = 0
                    end
                    return
			else	-- exits?
				for i = 1,#scene_exits do
					hintItem = scene_exits[i]
					game.addStarToNode(hintItem)
				end
            end
    end



    function scene_selectors.settingsCallButtonPressed(sender)
		game.buttonClick(1)
        --[[if(scene_members.descriptionBarSprite) then
            scene_members.descriptionBarSprite:setVisible(false)
        end
        local ms = game.subscenes;
        if(#ms > 0) then
            game.endSubScene()
        end
        
        showSettings(scene_members.settingsNode)]]
        --scene_members.activeArea:setPositionY(scene_members.settingsNode:getPositionY());
        showDialogSettings()
        
    end

    function scene_selectors.settingsHogCallButtonPressed(sender)
        showSettings(scene_members.settingsHogNode)
    end
    

    function scene_selectors.exitButtonPressed(sender)
        game.buttonClick(1)
        showYesNoDialog(scene_members.acceptNode,scene_members.sceneMenu,LOCALIZE("QUIT"),function()
                                                                                            if(gameState.openWindow == 1) then
                                                                                            gameState.openWindow = 0
                                                                                            end
                                                                                           game.subscenes = {}
                                                                                            game.startSceneWithSaveState("scene_title", "00_title");
                                                                                            end,
                                                                                            function()
                                                                                                core.lockCCControlItems(scene_members.gameSettings,false)
                                                                                            end,
                                                                                            function()
                                                                                                core.lockCCControlItems(scene_members.gameSettings,true)
                                                                                            end)
                
    end

	function scene_selectors.inventorySelector(sender)
		tolua.cast(sender, "CCNode")
		local tag = sender:getTag()
		local count = #gameState.slots
		if(count>8) then
			if(tag == 1) then
				if(gameState.StartIndexCount< count-7) then
					gameState.StartIndexCount = gameState.StartIndexCount + 1
					gameState.StartIndexShiftCount = gameState.StartIndexShiftCount - 1 
					game.processTable()
				end
			
				elseif(tag == -1) then
					if(gameState.StartIndexCount >1) then
					gameState.StartIndexCount = gameState.StartIndexCount -1
					gameState.StartIndexShiftCount = gameState.StartIndexShiftCount + 1 
					game.processTable()	
					end
			end
		end
	
	end
	
	--if(game.hasItem("arrows") == false) then
	--	scene_members.arrowsItems:setVisible(false)
	--end
	--if(game.hasItem("ticket") == false) then
	--	scene_members.ticketItems:setVisible(false)
		--scene_members.ticketItemsVar:setVisible(false)
		--end
    panelX, panelY = scene_members.invPanelSprite:getPosition()
    panelNormalY = panelY
    panelShown = true
function hideGUI()
    if panelShown then
        scene_members.invPanelSprite:stopAllActions()
        scene_members.invPanelSprite:runAction(CCMoveTo:create(0.3,ccp(panelX, 0)))
        panelShown = false
    end
end

function showHideGUI()
    -- hide
    if panelShown then
        hideGUI()
        else
        scene_members.invPanelSprite:stopAllActions()
        scene_members.invPanelSprite:runAction(CCMoveTo:create(0.3,ccp(panelX, panelNormalY)))
        panelShown = true
    end
end

    function scene_selectors.hidePressed(sender)
		game.buttonClick(1)
        showHideGUI()
    end

end
function showProcessDialogWithDiscription(descriptionText,skipFunc,continueFunc,upDesciptionText)
    if(skipFunc == continueFunc)then
        scene_members.disableSpriteProcessDialog:setVisible(true)
        scene_members.continueProcessDialogButton:setEnabled(false)
    else
        scene_members.disableSpriteProcessDialog:setVisible(false)
        scene_members.continueProcessDialogButton:setEnabled(true)
    end
    scene_members.dialog:runAction(CCFadeIn:create(0.5))
    scene_members.dialog:setVisible(true)
    scene_members.inventory:setVisible(false)
    if(not upDesciptionText)then
        scene_members.upProcessDialogLabel:setVisible(false)
    end
    if(descriptionText) then scene_members.downProcessDialogDescription:setString(descriptionText) end
    --if(skipFunc) then processDialogSkip = skipFunc end
    --if(continueFunc) then processDialogContinue = continueFunc end
    processDialogSkip = skipFunc
    processDialogContinue = continueFunc
    tmp.dialogVisible = 1
    core.lockCCControlItems(currentSceneTopElement,true)
    if(scene_members.sceneMenu) then
        scene_members.sceneMenu:setEnabled(false);
    end
    --if()
end
--выводит диалог с кнопками продолжить пропусть и описаниями вверху и внизу
function getDialog()
    local dialog_node = core.createNodes("process_dialog");
    if dialog_node then
		--inventory_node:setTag(7000)
	  	scene_members.dialog:addChild(dialog_node, 0)
		--scene_members.upProcessDialogLabel:setVisible(false)
        scene_members.dialog:setVisible(false)
        scene_members.continueDiscription:setString(LOCALIZE("CONTROL_CONTINUE"))
        scene_members.skipDiscription:setString(LOCALIZE("CONTROL_SKIP"))
        else
        print("Warning: can't load hogs descr");
        error()
        return;
	end
    if(scene_members.inventory) then
        --scene_members.inventory:setVisible(false)
    end
    function closeProcessDialog()
        print("closeDialog")
        scene_members.dialog:runAction(CCSequence:createWithTwoActions(CCFadeTo:create(0.5,0), CCCallFunc:create(function() scene_members.dialog:setVisible(false) end)))
        scene_members.inventory:runAction(CCSequence:createWithTwoActions(CCFadeTo:create(0.5,255), CCCallFunc:create(function() scene_members.inventory:setVisible(true) end)))
        tmp.dialogVisible = 1
        core.lockCCControlItems(currentSceneTopElement,false)
        if(scene_members.sceneMenu) then
            scene_members.sceneMenu:setEnabled(true);
        end
    end
    
    function scene_selectors.skipButtonProcessDialogPressed()
		game.buttonClick(1)
        print("skip")
        if(processDialogSkip) then
            processDialogSkip()
            else
            closeProcessDialog()
        end
        --[[if(processDialogSkip) then processDialogSkip() end
        closeProcessDialog()]]
    end
    
    function scene_selectors.continueProcessDialogButtonPresed()
        
		game.buttonClick(1)
        print("continue")
        if(processDialogContinue) then
            processDialogContinue()
        else
            closeProcessDialog()
        end
        
    end
    
end

-- Установить bool game.isSceneNeedInventory в false, если не нужен инвентарь
local function commonSceneStart()
    if(GAME_DEBUG == 1) then
        core.hideDebugItems(currentSceneTopElement)
    end
	if game.isSceneNeedInventory then
		
		if (not scene_members.minigames) then
			local minigamesNode = CCNode:create()
			currentSceneTopElement:addChild(minigamesNode,1000)
			scene_members.minigames = minigamesNode
		end
		
		if (not scene_members.inventory) then
			local inventoryNode = CCNode:create()
			currentScene:addChild(inventoryNode)
			scene_members.inventory = inventoryNode
            local int = core.getScneneInt()
            if(int > 1 and int < 4) then
                --rate my app
                local ratingNode = CCNode:create()
                currentScene:addChild(ratingNode)
                scene_members.rating = ratingNode
                startRateMyApp()
                --
            end
            
		end
        if(not scene_members.shiftedMinigamesNode) then
            local shiftedMinigamesNode = CCNode:create()
			scene_members.inventory:addChild(shiftedMinigamesNode,-200)
            --currentSceneTopElement:addChild(shiftedMinigamesNode,1000)
			scene_members.shiftedMinigamesNode = shiftedMinigamesNode
            local w,h = core.getScreenHeight()
            local x,y = scene_members.shiftedMinigamesNode:getPosition()
            local p1,p2 = core.takeScreenParams()
            print("shifted ",((p1 - h)/p2))
            scene_members.shiftedMinigamesNode:setPositionY(y - ((p1 - h)/p2));

            
        end
		
		game.updateInventory()
		getInventory()
        
        
        
	end
    -- Установить bool game.isSceneNeedProcessDialog в true, если нужен диалог в сцене   
    if game.isSceneNeedProcessDialog then
        if(not scene_members.dialog)then
            local dialogNode = CCNode:create()
			currentScene:addChild(dialogNode)
			scene_members.dialog = dialogNode
        end
        getDialog()
    end
    -- включить hog
	if (sceneState) then
		if not (sceneState.hogIsOn == nil) then
            if(scene_members.hogParticles) then -- бывают сцены где их нет
                scene_members.hogParticles:setVisible(sceneState.hogIsOn)
                scene_members.hogButton:setEnabled(sceneState.hogIsOn)
            end
		end
    end
    --включить нажатия и регистрацию их из функции
    local function onTouch(eventType, x, y)
        if(eventType == CCTOUCHBEGAN) then
            if(onTouchLayer) then
                onTouchLayer(eventType, x, y)
            end
        end
        return true
    end
    currentSceneTopElement:registerScriptTouchHandler(onTouch, false, 500, false)
    currentSceneTopElement:setTouchEnabled(true)
    --включить нужную музыку
    if game.isSceneNeedDefaultBGmusic then
        core.stopAllEffects(SimpleAudioEngine:sharedEngine())
        local sceneNumberText  = string.sub(scriptFileName, 1,2)
        --print("SCENENUMYEXT: ",sceneNumberText)
        local sceneNumber = tonumber(sceneNumberText)
        --print("SCENENUM: ",sceneNumber)
        if(sceneNumber == nil or sceneNumber == 0)then
            bgMusicPath = CCFileUtils:sharedFileUtils():fullPathFromRelativePath("music/music/m_0001_menu.mp3")
        elseif (sceneNumber > 2 and sceneNumber < 8) then
            bgMusicPath = CCFileUtils:sharedFileUtils():fullPathFromRelativePath("music/music/m_0002_house.mp3")
        elseif (sceneNumber > 7 and sceneNumber < 13) then
            bgMusicPath = CCFileUtils:sharedFileUtils():fullPathFromRelativePath("music/music/m_0003_college.mp3")
        elseif (sceneNumber > 12 and sceneNumber < 20 ) then
            bgMusicPath = CCFileUtils:sharedFileUtils():fullPathFromRelativePath("music/music/m_0004_prison.mp3")
        elseif (sceneNumber > 19 and sceneNumber < 26 ) then
            bgMusicPath = CCFileUtils:sharedFileUtils():fullPathFromRelativePath("music/music/m_0005_church.mp3")
        elseif (sceneNumber > 25 and sceneNumber < 28 ) then
            bgMusicPath = CCFileUtils:sharedFileUtils():fullPathFromRelativePath("music/music/m_0004_prison.mp3")
        end
        if(prevMusicPath == nil)then
            prevMusicPath = bgMusicPath
            SimpleAudioEngine:sharedEngine():playBackgroundMusic(bgMusicPath, true)
            --SimpleAudioEngine:sharedEngine():setBackgroundMusicVolume(0.4)
            else
            if(prevMusicPath ~= bgMusicPath)then
                SimpleAudioEngine:sharedEngine():playBackgroundMusic(bgMusicPath, true)
                --SimpleAudioEngine:sharedEngine():setBackgroundMusicVolume(0.4)
                prevMusicPath = bgMusicPath
            end
        end
        --SimpleAudioEngine:sharedEngine():playBackgroundMusic(bgMusicPath, true)
        --SimpleAudioEngine:sharedEngine():setBackgroundMusicVolume(0.4)
        
    end
	if event then
		event()
	end
end

local function onSceneStart()
  
  commonSceneStart()
  if(game.onSceneStartCustom) then
    game.onSceneStartCustom()
	  
  end
end

function game.addItem(item, itemsToAdd, hogToActivate)
	local itemTable =  game.getItem(item)
	local itemsprite =  itemTable[1]
	--print("--------------------------------sprite:",itemsprite)
	local itemCount = itemTable[2]
	--print("------------------------itemCount:",itemCount)
	itemName = itemTable[3]

	-- have no item
	if (game.hasItem(itemTable[3]) == false) then
		
		gameState.slots[gameState.Slotcount] = {}
		local slotTable = gameState.slots[gameState.Slotcount]
		slotTable.itemTable = itemTable
		slotTable.hogToActivate = hogToActivate
        if(curHogGameState)then
            --print("SceneFolderName: ",curHogGameState.sceneFolder)
        end
        --print("slotTable.hogToActivate: ",slotTable.hogToActivate)
        if(slotTable.hogToActivate)then
            --print("SceneNAme: ",slotTable.hogToActivate)
        end
		slotTable.itemName = itemName
		gameState.Slotcount = gameState.Slotcount+1
		
	end
	
  if itemsToAdd == nil then
    itemsToAdd = 1
  end
	
  local prev = gameState.inventory[itemName] or 0
  gameState.inventory[itemName] = prev + itemsToAdd
  game.updateInventory()
  
  game.processTable()
    --core.saveState()
  
end

function game.removeItem(item, amount)
  if amount == nil then
    amount = 1
  end
  local l = gameState.inventory[item]-amount;
	--print("removing item!!",l)
  if(l<0) then l = 0 end
  gameState.inventory[item] = l;
  game.updateInventory()
	
  for cur = 1, #gameState.slots do
	  local slotTable = gameState.slots[cur]
	  if slotTable then
		  --print("there is table", slotTable.itemName, item)
		  if( slotTable.itemName == item) then
			  --print("slotTable.hogToActivate: ",slotTable.hogToActivate)
			  if (slotTable.hogToActivate) then
                   --print("slotTable.hogToActivate.hogIsOn: ",slotTable.hogToActivate.hogIsOn)
                  
                  --print("SceneNAme: ",slotTable.hogToActivate)
				  --slotTable.hogToActivate.hogIsOn = true
                  local sceneWhithHog = gameState[slotTable.hogToActivate]
                  sceneWhithHog.hogIsOn = true
                  --core.saveState()
			  end
			  if(l==0)then
				  table.remove(gameState.slots,cur)
				  gameState.Slotcount = gameState.Slotcount-1
                  if(gameState.StartIndexShiftCount < 0)then
                      gameState.StartIndexCount = gameState.StartIndexCount - 1
                      gameState.StartIndexShiftCount = gameState.StartIndexShiftCount + 1
                  end
                  game.processTable()
			  end
		  end
	end
  end
  
  game.processTable()
  
end

--возвращает два значения (хватает или нет; текущее количество)
function game.hasItem(item, amount)
	--print("amount",amount)
  if amount == nil then
    amount = 1
  end
  local cur = gameState.inventory[item];
  --print("curCount",cur)
  if(cur and cur >= amount) then
    return true, cur;
  end
  return false, cur;
end

function game.updateInventory()
  s = {};
  g = gameState.inventory;
  for k in pairs(g) do
		table.insert(s, k);
	end
	table.sort(s);
	--for k,v in ipairs(s) do
	--	print(v, ": ", g[v]);
	--end
end


local function takeItem(sender)
    print("itemm",core.getProperty(sender,"itemName"))
    local name = core.getProperty(sender,"itemName")
	scene_members[name]:setTouchEnabled(false)
    if(string.find(name,"crystal"))then
        game.pickupItem(core.getProperty(sender,"itemName"), function() game.startSceneWithSaveState("scene_2", "02_crossroad", true);  end)
        else
        game.pickupItem(core.getProperty(sender,"itemName"), nil)
    end
	if(string.find(name,"lighter"))then
		if(gameState.lighterUsages == nil) then
			gameState.lighterUsages = 4
		end
		print("lighter",gameState.lighterUsages)
	end
	
	if(string.find(name,"girlcrystal"))then
		core.callChartBoost("Level 1 Finished")
	end
	if(string.find(name,"boycrystal"))then
		core.callChartBoost("Level 2 Finished")
	end
	if(string.find(name,"prisonercrystal"))then
		core.callChartBoost("Level 3 Finished")
	end
	if(string.find(name,"fathercrystal"))then
		core.callChartBoost("Level 4 Finished")
	end
	
	if(string.find(name,"hometicket"))then
		gameState.scene05.hometicketPicked = true
	end
	
	if(string.find(name,"churchticket"))then
		gameState.scene21.churchticketPicked = true
	end
	
	if(string.find(name,"prisonticket"))then
		gameState.scene19.prisonticketPicked = true
	end
	
	if(string.find(name,"collegeticket"))then
		gameState.scene10.collegeticketPicked = true
	end
		
end


local old = game.resetscene;
function game.resetscene()
    tmp = {}
    scene_items = {}
    old();
    game.onSceneStartCustom = nil
    game.isSceneNeedInventory = true
    game.isSceneNeedProcessDialog = false
    game.isSceneNeedDefaultBGmusic = true
    game.onSceneStart = onSceneStart;
	scene_selectors.takeItem = takeItem
    specificSounOnOpen = false
    event = nil
end

game.subscenes = {}

function game.startSubScene(name, place, sceneMenu, descriptionId)
    core.lockCCControlItems(currentSceneTopElement,true)
  local node = core.createNodes(name);
  if node then
    place:addChild(node, 0)
  else
    print("Warning: can't load scene: ", name);
    error()
    return;
  end
  local sceneDescr = {};
    

  sceneDescr.name = name;
  sceneDescr.sceneMenu = sceneMenu;
  sceneDescr.node = node;
  table.insert(game.subscenes, sceneDescr);
  if(sceneMenu) then
    sceneMenu:setEnabled(false);
  end
	
	if descriptionId then
	-- have description
	end
	
end

function game.endSubScene()
    
  local ms = game.subscenes;
  if(#ms == 0) then
    print("Can't end subscene: no subscenes found!");
    error()
  end
  local sc = ms[#ms];
  table.remove(ms);
  sc.node:removeFromParentAndCleanup(true);
    if sc.sceneMenu then
        sc.sceneMenu:setEnabled(true);
    end
    core.lockCCControlItems(currentSceneTopElement,false)
end

function game.openDialog(name, place, sceneMenu, onOpen, event, onClosed)
  game.startSubScene(name, place, sceneMenu)
  if onOpen then
	onOpen()
  end
  scene_selectors[event] = function (sender)
	print("dialogButtonPressed")
	game.endSubScene()
	if onClosed then
		onClosed()
	end
  end
end

function openDialog(place, sceneMenu, icon, descr, onClosed)
  game.openDialog("dialog_found", place, sceneMenu, 
  function()
    effectID = SimpleAudioEngine:sharedEngine():playEffect(CCFileUtils:sharedFileUtils():fullPathFromRelativePath("music/sfx/s_0005_reward.mp3"))
    local m = scene_members
    m.description:setString(descr)
    --ставим иконку
	local iconItem = CCSprite:create(icon)
	iconItem:setPosition(m.itemIconFoundPlace:getPositionLua())
	m.dialogFound:addChild(iconItem)
  end
  , "okDialogButtonPressed", onClosed)

end
  --scene_selectors.okDialogButtonPressed

-- пила и тп
function game.diagonalAnimation(node, actionAfter)

    local animations = CCArray:create()
    for i = 0,3,1 do
        animations:addObject(CCMoveBy:create(0.2, ccp(30,-30)))
        animations:addObject(CCMoveBy:create(0.2, ccp(-30,30)))
    end
    
    if actionAfter then
        animations:addObject(CCCallFunc:create(function()
                                               actionAfter()
                                               core.fadeOutAndRemove(node, 0.2)
                                               --node:runAction(CCFadeOut:create(0.2))
                                               end
                                               ))
    end
    
    node:runAction(CCSequence:create(animations))
    
end

-- пила и тп
function game.pickAnimation(node, actionAfter)
	
    local animations = CCArray:create()
	node:setOpacity(255)
    for i = 0,3,1 do
        animations:addObject(CCRotateTo:create(0.2, -10))
        animations:addObject(CCRotateTo:create(0.2, 10))
    end
    
	animations:addObject(CCFadeOut:create(0.2))
	
    if actionAfter then
        animations:addObject(CCCallFunc:create(function()
                                               actionAfter()
                                               core.fadeOutAndRemove(node, 0.2)
                                               end
                                               ))
    end
    
    node:runAction(CCSequence:create(animations))
    
end

function game.pickupItem(item, actionAfter)
    
    if(item == "boxcutter")then
        game.takenAnimationFromItem(item, --[[currentSceneTopElement]]scene_members.inventory, ccp(scene_members[item]:getPosition()), actionAfter)
    else
        game.takenAnimationFromItem(item, --[[currentSceneTopElement]]scene_members.minigames, ccp(scene_members[item]:getPosition()), actionAfter)
	end
    core.fadeOutAndRemove(scene_members[item], 0.2)
    game.addItem(item);
    sceneState[item] = 1
	if(scene_members.subsceneMenu) then
		scene_members.subsceneMenu:setEnabled(false)
	end
    --scene_members[item]:setVisible(false)
    if updateScreen then
        updateScreen()
    end
	
	-- if we have subscene window
	if subsceneLayer ~= nil then
		--game.closeSubSceneInTime(1)
	end
end

function game.takenAnimationFromItem(item, layerToAdd, position, actionAfter)
    -- resolve path
    itemTable = itemsInformation[item]
	
	
	if (#itemTable > 3) then
		spriteName = itemTable[4]
	else
		spriteName = itemTable[1]
	end
	
    local itemSpr = CCSprite:create(spriteName)
    layerToAdd:addChild(itemSpr, 10000)
    itemSpr:setPosition(position)
    
    game.takenAnimation(itemSpr, actionAfter)
end

function game.takenAnimation(node, actionAfter)
    local animations = CCArray:create()
    -- add star
    local star = CCSprite:create("res/particleStar.png")
    node:addChild(star, -1, 0)
    effectID = SimpleAudioEngine:sharedEngine():playEffect(CCFileUtils:sharedFileUtils():fullPathFromRelativePath("music/sfx/s_0004_inventorymerge.mp3"))
    local size = node:getContentSize()
	local aw = size.width/2
	local ah = size.height/2

    star:setOpacity(0)
    node:setOpacity(0)
    star:setPosition(ccp(aw,ah))
    star:runAction(CCRotateBy:create(2, 359))
    star:runAction(CCSequence:createWithTwoActions(CCFadeIn:create(0.5), CCFadeOut:create(0.5)))
    
    -- animating item itself
    node:runAction(CCScaleTo:create(1,1.5))
    
    animations:addObject(CCFadeTo:create(0.7,255))
    --animations:addObject(CCMoveBy:create(0.3,ccp(0,-70)))
    
    if actionAfter then
        animations:addObject(CCCallFunc:create(function()
                                               actionAfter()
                                               core.fadeOutAndRemove(node, 0.2)
                                               end))
    else
        animations:addObject(CCCallFunc:create(function()
                                               core.fadeOutAndRemove(node, 0.2)
                                               end))
    end
    
    node:runAction(CCSequence:create(animations))
   
end

game.getButtonInHogMenues = function(layer,itemTag)
	local curTag = 100
	while true do
		local menu = layer:getChildByTag(curTag)
			 if(menu ~= nil) then
				 tolua.cast(menu,"CCMenu")
				 local button = menu:getChildByTag(itemTag)
				 if(button ~= nil) then
					 tolua.cast(button,"CCMenuItemImage")
					 return button
				 else
				 	curTag = curTag+1
				 end
			else
				print("menu not found")	
				break
			end
	end
end

game.Localize= function(command)
-- "desc"..sceneNum.."_"..cur
--tmpdebug dictionares

	if(string.match(command,"desc") ~= nil ) then
		local scenenum = tonumber(string.sub(command, 5,5))
		print("scenenum:",scenenum)
		local intfind = string.find(command, "_")
		--print("intfind: ",intfind)
		local sceneItem = string.sub(command, intfind+1,intfind+2)
		print("sceneItem: ",sceneItem)
		if (scenenum == 7) then
		print("discr:",scene07.tableDescriptionsItems[tonumber(sceneItem)])
			return scene07.tableDescriptionsItems[tonumber(sceneItem)]
		end
		if (scenenum == 1) then
		print("discr:",scene01.tableDescriptionsItems[tonumber(sceneItem)])
			return scene01.tableDescriptionsItems[tonumber(sceneItem)]
		end
		if (scenenum == 6) then
		print("discr:",scene06.tableDescriptionsItems[tonumber(sceneItem)])
			return scene06.tableDescriptionsItems[tonumber(sceneItem)]
		end
		if (scenenum == 9) then
            print("discr:",scene09.tableDescriptionsItems[tonumber(sceneItem)])
			return scene09.tableDescriptionsItems[tonumber(sceneItem)]
		end
		if (scenenum == 14) then
            print("discr:",scene14.tableDescriptionsItems[tonumber(sceneItem)])
			return scene14.tableDescriptionsItems[tonumber(sceneItem)]
		end
		if (scenenum == 13) then
            print("discr:",scene13.tableDescriptionsItems[tonumber(sceneItem)])
			return scene13.tableDescriptionsItems[tonumber(sceneItem)]
		end
		if (scenenum == 18) then
            print("discr:",scene18.tableDescriptionsItems[tonumber(sceneItem)])
			return scene18.tableDescriptionsItems[tonumber(sceneItem)]
		end
		if (scenenum == 26) then
            print("discr:",scene26.tableDescriptionsItems[tonumber(sceneItem)])
			return scene26.tableDescriptionsItems[tonumber(sceneItem)]
		end
        if (scenenum == 100) then
            print("discr:",scene100.tableDescriptionsItems[tonumber(sceneItem)])
			return scene100.tableDescriptionsItems[tonumber(sceneItem)]
		end
        if (scenenum == 101) then
            print("discr:",scene101.tableDescriptionsItems[tonumber(sceneItem)])
			return scene101.tableDescriptionsItems[tonumber(sceneItem)]
		end
        if (scenenum == 102) then
            print("discr:",scene102.tableDescriptionsItems[tonumber(sceneItem)])
			return scene102.tableDescriptionsItems[tonumber(sceneItem)]
		end
        if (scenenum == 103) then
            print("discr:",scene103.tableDescriptionsItems[tonumber(sceneItem)])
			return scene103.tableDescriptionsItems[tonumber(sceneItem)]
		end
        
		
		


	elseif (string.match(command,"price")~= nil) then
		scenenum = tonumber(string.sub(command, 6,6))
		intfind = string.find(command, "_")
		sceneItem = string.sub(command, intfind+1,intfind+1)
		if (scenenum == 7) then
		print("discr:",scene07.tableDescriptionsItems1[tonumber(sceneItem)])
			return scene07.tableDescriptionsItems1[tonumber(sceneItem)]
		end
		if (scenenum == 1) then
		print("discr:",scene01.tableDescriptionsItems1[tonumber(sceneItem)])
			return scene01.tableDescriptionsItems1[tonumber(sceneItem)]
		end
		if (scenenum == 6) then
		print("discr:",scene01.tableDescriptionsItems1[tonumber(sceneItem)])
			return scene06.tableDescriptionsItems1[tonumber(sceneItem)]
		end
		if (scenenum == 9) then
            print("discr:",scene09.tableDescriptionsItems1[tonumber(sceneItem)])
			return scene09.tableDescriptionsItems1[tonumber(sceneItem)]
		end
		if (scenenum == 14) then
            print("discr:",scene14.tableDescriptionsItems1[tonumber(sceneItem)])
			return scene14.tableDescriptionsItems1[tonumber(sceneItem)]
		end
		if (scenenum == 13) then
            print("discr:",scene13.tableDescriptionsItems1[tonumber(sceneItem)])
			return scene13.tableDescriptionsItems1[tonumber(sceneItem)]
		end
		if (scenenum == 18) then
            print("discr:",scene18.tableDescriptionsItems1[tonumber(sceneItem)])
			return scene18.tableDescriptionsItems1[tonumber(sceneItem)]
		end
		if (scenenum == 26) then
            print("discr:",scene26.tableDescriptionsItems1[tonumber(sceneItem)])
			return scene26.tableDescriptionsItems1[tonumber(sceneItem)]
		end
        if (scenenum == 100) then
            print("discr:",scene100.tableDescriptionsItems1[tonumber(sceneItem)])
			return scene100.tableDescriptionsItems1[tonumber(sceneItem)]
		end
        if (scenenum == 101) then
            print("discr:",scene101.tableDescriptionsItems1[tonumber(sceneItem)])
			return scene101.tableDescriptionsItems1[tonumber(sceneItem)]
		end
        if (scenenum == 102) then
            print("discr:",scene102.tableDescriptionsItems1[tonumber(sceneItem)])
			return scene102.tableDescriptionsItems1[tonumber(sceneItem)]
		end
        if (scenenum == 103) then
            print("discr:",scene103.tableDescriptionsItems1[tonumber(sceneItem)])
			return scene103.tableDescriptionsItems1[tonumber(sceneItem)]
		end
	end

end


-- показываем бонусную надпись
function showBonusItem()
    -- turn off everyting
    core.switchOffMenuItems(scene_members.hogLayer)
    -- turn on button
    itemButton = game.getButtonInHogMenues(scene_members.hogLayer, 50 + curHogGameState.itemToUnlock)
    itemButton:setEnabled(true)
    -- switch off 12 descriptions
    hogNames2 = curHogTable.tableDescriptionsItems1
    scene_members.hogDisription:getChildByTag(12):setVisible(true)
    scene_members.hogDisription:getChildByTag(12):setString(hogNames2[curHogGameState.itemToUnlock])
    
    for cur = 0, 11 do
        scene_members.hogDisription:getChildByTag(cur):setVisible(false)
	end
    itemsToTake = 1
    itemsTaken = 0
end

-- берём хог-вещицу
function hogItemTaken(tag)
    itemsTaken = itemsTaken + 1
    
    if (tag < 50) then
        descTag = curHogTable.tableGroups[tag] - curHogGameState.startIndex
        if(scene_members.hogDisription:getChildByTag(curHogTable.tableGroups[tag] - curHogGameState.startIndex)) then
            local descriptionString = scene_members.hogDisription:getChildByTag(curHogTable.tableGroups[tag] - curHogGameState.startIndex):getString()
            if(string.match(descriptionString,"x2") ~= nil or string.match(descriptionString,"x3") ~= nil) then
                local intfind = string.find(descriptionString, " x")
                local newDescription = string.sub(descriptionString, 1,intfind-1)
                if(string.match(descriptionString,"x3")~= nil) then
                   scene_members.hogDisription:getChildByTag(curHogTable.tableGroups[tag] - curHogGameState.startIndex):setString(newDescription.." x2")
                else
                    scene_members.hogDisription:getChildByTag(curHogTable.tableGroups[tag] - curHogGameState.startIndex):setString(newDescription)
                end
            else
                scene_members.hogDisription:getChildByTag(curHogTable.tableGroups[tag] - curHogGameState.startIndex):setColor(ccc3(27,18,24))
            end
        end
    else
        descTag = 12
        scene_members.hogDisription:getChildByTag(descTag):setColor(ccc3(27,18,24))
    end
    
    
    if (itemsTaken == itemsToTake) then
        if (itemsToTake == 1) then
            -- get name
            itemImage = curHogTable.tableDescriptionsItems2[curHogGameState.itemToUnlock]
            itemTable = itemsInformation[itemImage]
            itemImageName = itemTable[1]
			
			local hogToActivate = nil
			if curHogGameState.itemToUnlock < #curHogTable.tableDescriptionsItems2 then
                print("switchHog: ",curHogGameState)
				--hogToActivate = curHogGameState
                hogToActivate = curHogGameState.sceneFolder
                --core.saveState()
			end
			print("curHogGameState:",curHogGameState)
            print("hogToActivate:",hogToActivate)
            scene_members.exitHog:setEnabled(false)
            scene_members.settingsHogCallButton:setEnabled(false)
            scene_members.hintButton:setEnabled(false)
            openDialog(currentScene, scene_members.sceneMenu, itemImageName, LOCALIZE("ITEM_FOUND"), function()
                       
                       
					   game.addItem(itemTable[3], nil, hogToActivate);
                       CCDirector:sharedDirector():getScheduler():unscheduleScriptEntry(hogTriesEntry)
                       CCDirector:sharedDirector():getScheduler():unscheduleScriptEntry(hogHintEntry)
                       scene_members.blockNotification:stopAllActions()
                       currentSceneTopElement:setTouchEnabled(true)
                       scene_members.hogLayer:unregisterScriptTouchHandler()
                       if(scene_members.hogLayer)then
                        scene_members.hogLayer = nil
                       end
                       
					   game.endSubScene()
                       
                       effectID = SimpleAudioEngine:sharedEngine():playEffect(CCFileUtils:sharedFileUtils():fullPathFromRelativePath("music/sfx/s_0010_returninventoryitem.mp3"))
                       curHogGameState.hogIsOn = false
                       --debug
                       if(itemTable[3] == "lion") then
                            updateSecondSceneState()
                       end

                       scene_members.hogParticles:setVisible(sceneState.hogIsOn)
                       scene_members.hogButton:setEnabled(sceneState.hogIsOn)
                       
					   if(updateScreen)then
							updateScreen()
					   end

					   hogItems_node:removeFromParentAndCleanup(true);
                       
                       scene_members.inventory:setVisible(true)
                       --hack
                       scene_members.settingsCallButton:setEnabled(true)
                       --
                       curHogGameState.startIndex  = curHogGameState.startIndex + (curHogTable.tableGroups[unlocedItems])
                       curHogGameState.itemToUnlock = curHogGameState.itemToUnlock + 1
                       curHogGameState.itemsToLock = ItemsCount
                       --включаем окошко рейтинга
                       tmp.dialogVisible = 0
                        --core.lockCCControlItems(currentSceneTopElement,true)
                       --core.lockCCControlItems(currentSceneTopElement,false)
                       
                       
                       core.saveState()
                       
                       end)
        else
            showBonusItem()
            
        end
    end
end

-- инициализация хога
function game.initCommonHog(hogTable)
    
        --отключаем окошко рейтинга
    tmp.dialogVisible = 1
    local tries = 0
    local isHogItemsEnable = true
    local touchPlace = {}
    
    
    --выравние значка
    
    
    local function tick()
        --print("treis"..tries)
        --core.CCLOG("tick")
        if(tries == 0 and not isHogItemsEnable)then
            scene_members.blockNotification:stopAllActions()
            scene_members.blockNotification:setVisible(false)
            isHogItemsEnable = true
        end
        if(tries > 2--[[GAME_HOG_MAX_TRIES]])then
            
            if(isHogItemsEnable) then
                isHogItemsEnable = false
                
                --scene_members.blockNotification:setVisible(true)
                --local w,h = core.getScreenHeight()
                --local p1,p2 = core.takeScreenParams()
                --scene_members.blockNotification:setPositionY( (h / (w/1024))/p2);
                --local blinkSequence = CCSequence:createWithTwoActions(CCFadeOut:create(0.8),CCFadeIn:create(0.8))
                --tolua.cast(blinkSequence,"CCActionInterval")
                --scene_members.blockNotification:runAction(CCRepeatForever:create(blinkSequence))
                
            end
        end
        if(tries > 0)then
            tries = 0
        end
        
    end
        
    hogTriesEntry = CCDirector:sharedDirector():getScheduler():scheduleScriptFunc(tick, 0.5, false)
    local function showBlockPicture(state,x,y)
        --print("inside")
        --print("touch x "..x[1].. "touch y "..x[2])
        --core.CCLOG("touch x ".. tostring(x[1]).." ".. "touch y "..tostring(x[2]))
        core.CCLOG("block x "..tostring(x).. " block y "..tostring(y))
        local x1,y1 = core.restoreTouch(ccp(x,y))
        local difx = x-x1
        local dify = y-y1
        
        if(y - dify < 89)then
            return
        end
        
        if(state)then
            --print("inside1")
            scene_members.blockNotification:setVisible(true)
            --print("inside2")
            if(y == nil)then
                --scene_members.blockNotification:setPosition(ccp(x[1],x[2]))
                --print("inside3")
            else
                --return
                --local x1,y1 = core.restoreTouch(ccp(x,y))
                --core.CCLOG("block newX "..tostring(x1).. " block newY "..tostring(y1))
                if(y - dify > 90)then
                    scene_members.blockNotification:setPosition(ccp(x - difx,y - dify))
                end
                --scene_members.blockNotification:setPosition(ccp(x1,y1))
            end
            scene_members.blockNotification:runAction(CCSequence:createWithTwoActions(CCFadeIn:create(0.4),CCFadeOut:create(0.4)))
            --print("inside4")
        else
            --print("inside5")
            scene_members.blockNotification:setVisible(false)
            --print("inside6")
        end
    end
    
    local function hogTouch(eventType, x, y)
        print("HogTouch!!!")
        if(eventType == CCTOUCHENDED) then
           print("HogTouch!!!")
           showBlockPicture(not isHogItemsEnable,x,y)
           tries = tries + 1
            local x1,y1 = core.restoreTouch(ccp(x,y))
            --core.CCLOG("block newX "..tostring(x1).. " block newY "..tostring(y1))
            core.CCLOG("dif x: "..tostring(x-x1).. " diff y: "..tostring(y-y1))
           --print("truies: ",tries)
           --touchPlace = x
           --print(tolua.type(x))
           --showBlockPicture(not isHogItemsEnable,x)
           --[[if(tries>=GAME_HOG_MAX_TRIES)then
               if(isHogItemsEnable == true) then
                   isHogItemsEnable = false
                    scene_members.blockNotification:setVisible(true)
                   local blinkSequence = CCSequence:createWithTwoActions(CCFadeOut:create(0.8),CCFadeIn:create(0.8))
                   tolua.cast(blinkSequence,"CCActionInterval")
                    scene_members.blockNotification:runAction(CCRepeatForever:create(blinkSequence))
               end
           end]]
        end
        return true
    end
    
    scene_members.hogLayer:registerScriptTouchHandler(hogTouch, false, -130, false)
    scene_members.hogLayer:setTouchEnabled(true)
    currentSceneTopElement:setTouchEnabled(false)
    --core.setTouchPriority(scene_members.hogLayer,250)
    
        
    scene_members.inventory:setVisible(false)
    effectID = SimpleAudioEngine:sharedEngine():playEffect(CCFileUtils:sharedFileUtils():fullPathFromRelativePath("music/sfx/s_0009_grabinventoryitem.mp3"))
    itemsTaken = 0
    clicks = 0
    if(GAME_DEBUG == 1) then
        
        itemsToTake = 12
        else
        --itemsToTake = 2
        itemsToTake = 12
    end
    
    
    curHogTable = hogTable
    if(sceneHOGNum <10) then
		curHogGameState = gameState["scene0"..sceneHOGNum]
        sceneFolder = "scene0"..sceneHOGNum
        else
        curHogGameState = gameState["scene"..sceneHOGNum]
        sceneFolder = "scene"..sceneHOGNum
	end
    curHogGameState.sceneFolder = sceneFolder
    print("SceneFolderName: ",curHogGameState.sceneFolder)
    if(curHogGameState.itemToUnlock == nil) then
		curHogGameState.itemToUnlock = 0
		curHogGameState.startIndex = 0
        curHogGameState.itemsToLock = 0
	end
    
    hogNames = curHogTable.tableDescriptionsItems
    
	hogItems_node = core.createNodes("hog_discription");
	if hogItems_node then
        currentScene:addChild(hogItems_node, 0)
    end
    local hintProgressPercentage = 100
    
    local pg1 = CCProgressTimer:create(CCSprite:create("res/gui/hh_hintbuttonoff_01.png"))
    scene_members.hintProgress:addChild(pg1,-1)
    local x,y = pg1:getPosition()
    pg1:setType(kCCProgressTimerTypeBar)
    pg1:setMidpoint(ccp(0,y))
    pg1:setBarChangeRate(ccp(x,1))
    pg1:setPercentage(hintProgressPercentage)
    --[[local seq = CCSequence:createWithTwoActions(CCDelayTime:create(0.00000000000000000000000001), CCCallFunc:create(function()
                                                                                         
                                                                                                 if(hintProgressPercentage < 100) then
                                                                                                    if(GAME_DEBUG == 1) then
                                                                                                     hintProgressPercentage = hintProgressPercentage + 0.1
                                                                                                    else
                                                                                                    hintProgressPercentage = hintProgressPercentage + 50
                                                                                                    end
                        
                                                                                                 if(hintProgressPercentage > 100) then
                                                                                                    hintProgressPercentage = 100
                                                                                                 end
                                                                                                    pg1:setPercentage(hintProgressPercentage)
                                                                                                 end
                                                                                         end))
    tolua.cast(seq,"CCActionInterval")]]
    
    --scene_members.invPanelSprite:runAction(CCRepeatForever:create(seq))
    
    local function hintTimer()
        if(hintProgressPercentage < 100) then
            if(GAME_DEBUG == 1) then
                hintProgressPercentage = hintProgressPercentage + 0.1
                else
                hintProgressPercentage = hintProgressPercentage + 50
            end
            
            if(hintProgressPercentage > 100) then
                hintProgressPercentage = 100
            end
            pg1:setPercentage(hintProgressPercentage)
        end
        
    end
    
    hogHintEntry = CCDirector:sharedDirector():getScheduler():scheduleScriptFunc(hintTimer, 0.01, false)
    
    
    -- switch off all menu items
 
    core.switchOffMenuItems(scene_members.hogLayer)
    scene_members.returnMenuDescription:setString(LOCALIZE("BUTTONS_MENU"))

	-- включаем выход
	scene_members.exitHog:setEnabled(true)
    
    -- init messages and menu buttons
    scene_members.hogDisription:getChildByTag(12):setVisible(false)
    --[[for cur = curHogGameState.startIndex, curHogGameState.startIndex + 11  do
        if(scene_members.hogDisription:getChildByTag(cur - curHogGameState.startIndex)) then
            scene_members.hogDisription:getChildByTag(cur - curHogGameState.startIndex):setString(hogNames[cur])
            scene_members.hogDisription:getChildByTag(cur - curHogGameState.startIndex):setVisible(true)
        end
        initButton = game.getButtonInHogMenues(scene_members.hogLayer, cur)
        initButton:setEnabled(true)
	end]]
    ItemsCount = 0
    local cur = curHogGameState.startIndex
    if(curHogGameState.startIndex~=0)then
        while(true) do
            if(curHogTable.tableGroups[cur] == curHogGameState.startIndex)then
                break
            end
            cur = cur+1
        end
    end
    
    while(curHogTable.tableGroups[cur] <=  curHogGameState.startIndex + 11 ) do
        
        print("value",curHogTable.tableGroups[cur])
        print("cur", curHogGameState.startIndex)
        if(scene_members.hogDisription:getChildByTag(curHogTable.tableGroups[cur] - curHogGameState.startIndex):getString() == hogNames[cur]) then
                scene_members.hogDisription:getChildByTag(curHogTable.tableGroups[cur] - curHogGameState.startIndex):setString(hogNames[cur].." x2")
            elseif(string.match(scene_members.hogDisription:getChildByTag(curHogTable.tableGroups[cur] - curHogGameState.startIndex):getString(),"x2")) then
                scene_members.hogDisription:getChildByTag(curHogTable.tableGroups[cur] - curHogGameState.startIndex):setString(hogNames[cur].." x3")
            
            else
                scene_members.hogDisription:getChildByTag(curHogTable.tableGroups[cur] - curHogGameState.startIndex):setString(hogNames[cur])
        end
        scene_members.hogDisription:getChildByTag(curHogTable.tableGroups[cur] - curHogGameState.startIndex):setVisible(true)
        
        initButton = game.getButtonInHogMenues(scene_members.hogLayer, cur)
        initButton:setEnabled(true)
        cur = cur + 1
        ItemsCount = ItemsCount+1
        if(curHogTable.tableGroups[cur]== nil)then
            cur = cur - 1
            break
        end
    end
    if(curHogTable.tableGroups[cur + 1] ~=nil) then
        if(curHogTable.tableGroups[cur] == curHogTable.tableGroups[cur + 1]) then
            --cur = cur + 1
            --//------------------------------------------------------------------
            --[[if(scene_members.hogDisription:getChildByTag(curHogTable.tableGroups[cur - 1] - curHogGameState.startIndex):getString() == hogNames[cur]) then
                scene_members.hogDisription:getChildByTag(curHogTable.tableGroups[cur - 1] - curHogGameState.startIndex):setString(hogNames[cur].." x2")
                elseif(string.match(scene_members.hogDisription:getChildByTag(curHogTable.tableGroups[cur - 1] - curHogGameState.startIndex):getString(),"x2")) then
                scene_members.hogDisription:getChildByTag(curHogTable.tableGroups[cur - 1] - curHogGameState.startIndex):setString(hogNames[cur].." x3")
                
                else
                scene_members.hogDisription:getChildByTag(curHogTable.tableGroups[cur - 1] - curHogGameState.startIndex):setString(hogNames[cur])
            end
            scene_members.hogDisription:getChildByTag(curHogTable.tableGroups[cur - 1] - curHogGameState.startIndex):setVisible(true)
            
            initButton = game.getButtonInHogMenues(scene_members.hogLayer, cur)
            initButton:setEnabled(true)
            cur = cur + 1
            ItemsCount = ItemsCount+1]]
            --//------------------------------------------------------------------
        end
    end
    unlocedItems = cur
    if(GAME_DEBUG == 1) then
        itemsToTake = cur
        itemsToTake = ItemsCount
        else
        --itemsToTake = 2
        print("itemsToTake = cur ",cur)
        print("itemsToTake = cur ",ItemsCount)
        itemsToTake = cur
        itemsToTake = ItemsCount
    end
    print("ItemsToTake ",itemsToTake)
    print("start count",curHogGameState.itemToUnlock)
    print("start count",curHogGameState.itemsToLock)
    -- remove all taken

    for i = 0, curHogGameState.itemToUnlock-1 do
        
        itemButton = game.getButtonInHogMenues(scene_members.hogLayer, 50 + i)
        itemButton:setVisible(false)
		
        for j = 0, curHogGameState.itemsToLock-1 do
            itemButton = game.getButtonInHogMenues(scene_members.hogLayer, i*12 + j)
            itemButton:setVisible(false)
        end
    end
    --
    
    print("start count",curHogGameState.itemsToLock)
	--скрываем обрез хог-сцены высотой 98 пикселей
	core.setKeepHeight(currentSceneTopElement,98)
	
	--обрабатываем выход
	function scene_selectors.hogItemExitPressed(sender)
		game.buttonClick(1)
        CCDirector:sharedDirector():getScheduler():unscheduleScriptEntry(hogTriesEntry)
        CCDirector:sharedDirector():getScheduler():unscheduleScriptEntry(hogHintEntry)
        currentSceneTopElement:setTouchEnabled(true)
        scene_members.hogLayer:unregisterScriptTouchHandler()
        scene_members.blockNotification:stopAllActions()
		print("exit")
		game.endSubScene()
        scene_members.hogDisription:removeFromParentAndCleanup(true)
		scene_members.inventory:setVisible(true)
        --включаем окошко рейтинга
        tmp.dialogVisible = 0
        if(scene_members.hogLayer)then
            scene_members.hogLayer = nil
        end
         
	end
    
    function scene_selectors.hintPressed(sender)
        game.buttonClick(1)
        if(hintProgressPercentage ~= 100) then
            return
        end
        print("this one")
            for j = 0, 26 do
                if(itemsToTake ==1)then
                     print("1")
                    itemButton = game.getButtonInHogMenues(scene_members.hogLayer,50)
                    if(not itemButton:isVisible()) then
                        print("2")
                        itemButton = game.getButtonInHogMenues(scene_members.hogLayer,51)
                        
                    end
                else
                    itemButton = game.getButtonInHogMenues(scene_members.hogLayer,j)
                end
                
                --itemButton:setVisible(false)
                if(itemButton~=nil) then
                    if(itemButton:isVisible())then
                        print("this one",j)
                        core.moveScene(itemButton:getPositionLua())
                        local star = CCSprite:create("res/particleStar.png")
                        itemButton:addChild(star, -1, 0)
                        local size = itemButton:getContentSize()
                        local aw = size.width/2
                        local ah = size.height/2
                        star:setOpacity(0)
                        star:setPosition(ccp(aw,ah))
                        star:runAction(CCRotateBy:create(2, 359))
                        star:runAction(CCSequence:createWithTwoActions(CCFadeIn:create(0.5), CCFadeOut:create(0.5)))
                        hintProgressPercentage = 0
                        pg1:setPercentage(hintProgressPercentage)
                        
                        return
                    end
                end
            end
    end
    
    --[[local seq2 = CCSequence:createWithTwoActions(CCDelayTime:create(2.0), CCCallFunc:create(function()
                                                                                            if(tries > 0) then
                                                                                                tries = tries - 1
                                                                                                print("truies: ",tries)
                                                                                            if(tries<GAME_HOG_MAX_TRIES)then
                                                                                                scene_members.blockNotification:stopAllActions()
                                                                                                scene_members.blockNotification:setVisible(false)
                                                                                                isHogItemsEnable = true
                                                                                            end
                                                                                            end
                                                                                               if(clicks > 0) then
                                                                                                    clicks = clicks - 1
                                                                                                    --print("CLICKS!! ",clicks)
                                                                                                    
                                                                                               end
                                                                                           end))
    
    tolua.cast(seq2,"CCActionInterval")
    
    --scene_members.hogDisription:runAction(CCRepeatForever:create(seq2))]]
    function scene_selectors.hogItemsSelector(sender)
        print("INSIDE!!!!")
        tries = tries + 1
        --[[if(clicks <7)then
            clicks = clicks + 1
        end
        --print("CLICKS!! ",clicks)
        if(clicks >2)then
            print("ignore")
            --scene_members.blockNotification:setVisible(true)
            --return
        end]]
        --showBlockPicture(not isHogItemsEnable,{core.getLastTouchLocation(sender)}--[[{core.getScreenTouch(currentSceneTopElement)}]]--[[{core.getScaleX(currentSceneTopElement),core.getScaleY(currentSceneTopElement)}]]--[[touchPlace]]--[[{sender:getPosition()}]])
        if(not isHogItemsEnable)then
            --print("ignore")
            --scene_members.blockNotification:setVisible(true)
            --tries = tries + 1
            return
        end
        
        
		tolua.cast(sender, "CCNode")
		local tag = sender:getTag()
		
        -- switch off menu button
        
        pressedButton = game.getButtonInHogMenues(scene_members.hogLayer, tag)
        x,y = pressedButton:getPosition()        
        pressedButton:setEnabled(false)
        core.fadeOutAndRemove(pressedButton, 0.2)
        
        -- run taken animation
        spriteToShow = CCSprite:create("res/"..sceneFolder.."/item"..tag..".png")
        scene_members.hogItemsStub:addChild(spriteToShow)
        
        spriteToShow:setPosition(ccp(x,y))

		hogItemTaken(tag)
        game.takenAnimation(spriteToShow)
	end
end

--------------------------------------

function game.processTable()
	
	game.cleanTable()
	curInd = 1
	--for cur = 1, 78 do
	for cur = gameState.StartIndexCount, gameState.StartIndexCount + 8 do
	local tempCmdButton = CCControl.create(1,1,"inventoryItemSelector")
		--tempCmdButton:setPosition(scene_members.arrowsItems:getPositionLua())
		tempCmdButton:setPosition(ccp(189+(curInd*73),71))
		tempCmdButton:setTag(1000+curInd)
		--inventory_node:addChild(tempCmdButton, 0)
		scene_members.invPanelSprite:addChild(tempCmdButton,6)
		if(gameState.slots[cur]~= nil) then
			
			local slotTable = gameState.slots[cur]
			
			local itemTable =  slotTable.itemTable

			local itemsprite =  itemTable[1]
			--print("sprite:",itemsprite)
			local itemCount = itemTable[2]
			--print("itemCount:",itemCount)
			local cur = CCSprite:create(itemsprite)
			cur:setScale(0.5)
			cur:setAnchorPoint(ccp(0,0))
			cur:setTag(2000)

			tempCmdButton:addChild(cur)
			
			if not game.hasItem(itemTable[3],itemCount)  then
				local st,count = game.hasItem(itemTable[3])
				CCControl.enables(tempCmdButton,false)
				local str = ""..count.."/"..itemCount
				local label = CCLabelBMFont:create(str,"res/philosopher_16.fnt",800,2)
                label:setPositionX(60)
				
				tempCmdButton:addChild(label)
				--print("disable element: ",cur)
			end
		else
			tempCmdButton:setVisible(false)
			--tempCmdButton:setEnabled(false)
			CCControl.enables(tempCmdButton,false)
			--print("disablinng button: ".. cur.." :",tempCmdButton)
			
		end	
		if(curInd>8) then
			tempCmdButton:setVisible(false)
			--tempCmdButton:setEnabled(false)
		end
		curInd = curInd+1
		--local cur = CCSprite:create("res/scene1/inventory_items/base/S01_CI_TicketParts_01.png")
		--cur:setScale(0.5)
		--cur:setTag(2000)
		--tempCmdButton:addChild(cur)
		--добавление в инвентрарь gameState.slots[gameState.Slotcount] = "название предмета"
		--gameState.Slotcount = gameState.Slotcount+1
	end
	--local cur = CCSprite:create("res/scene1/inventory_items/base/S01_CI_TicketParts_01.png")
	--cur:setScale(0.5)
	--cur:setTag(2000)
	--tempCmdButton:addChild(cur)
	
end

game.getItem = function(itemName)
    return itemsInformation[itemName]
end

game.collectItem = function(tag,res,name,itemName,gs,layer,several, customEvent, afterCollect)
	pos = selector:getChildByTag(tag):getPositionLua()
	if(res) then
		--game.animateItem(res,pos,layer,afterCollect)
		else
		local data = itemsInformation[name]
		--game.animateItem(data[1],pos,layer,afterCollect)
	end
	if(several ~= nil) then
		game.addItem(name)
		gs[itemName] = 1
	else
		game.addItem(name);
		gs[name] = 1
	end
	if customEvent then
		customEvent()
	else
		event()
	end
end

game.addingSeveralItems = function(item)
	stat,count = game.hasItem(item)
	if(stat == true ) then
		game.addItem(item,count+1);
	else
		game.addItem(item);
	end
end



function afterFadeOut()



	game.endSubScene()
	if subsceneOnAfterEnd then
		subsceneOnAfterEnd(canceled)
	end
	subsceneLayer = nil
	subsceneOnBeforeEnd = nil
	subsceneOnAfterEnd = nil
    if(scene_members.activeArea)then
        scene_members.activeArea = nil
    end
    gameState.exitActive = true
end

function game.closeSubSceneInTime(time)
	subsceneLayer:runAction(CCSequence:createWithTwoActions(CCDelayTime:create(time), CCCallFunc:create(game.closeSubScene)))
end

function game.closeSubScene(isSceneCanceled)
	if (game.ptimer ~= nil) then
		scene_members.inventory:stopAction(game.ptimer)
		game.ptimer = nil
	end
	
	canceled = isSceneCanceled
		core.CCLOG("befor end method - 1")
	if subsceneOnBeforeEnd then
		core.CCLOG("befor end method - 2")
		subsceneOnBeforeEnd(canceled)
	end
	
    if(skipGameButtonTimer)then
        CCDirector:sharedDirector():getScheduler():unscheduleScriptEntry(skipGameButtonTimer)
        tick = nil
    end
	--print("close - ", isSceneCanceled, subsceneOnBeforeEnd, subsceneOnAfterEnd)
    subsceneLayer:unregisterScriptTouchHandler()
	--core.fadeNodeOut(subsceneLayer, 1, CCCallFunc:create( afterFadeOut ))
	game.fadeNodeOutAction(subsceneLayer, 1, afterFadeOut)
	hideDescription()
    --core.lockCCControlItems(currentSceneTopElement,false)
    tmp.dialogVisible = 0
	

	
end


game.initSubScene = function(sceneName,layerName,sceneBeforeEnd, sceneAfterEnd,layerTouchCallback,node)
--print("ERROR nested initSubScene: ", sceneBeforeEnd)
    if(not specificSounOnOpen) then
        effectID = SimpleAudioEngine:sharedEngine():playEffect(CCFileUtils:sharedFileUtils():fullPathFromRelativePath("music/sfx/s_0002_geninventoryuse.mp3"))
    else
        specificSounOnOpen = false
    end

	local m = scene_members;
    --print("CURRNODE",node)
	if(node) then
        if(node == scene_members.settingsHogNode)then
            game.startSubScene(sceneName, node)
            else
            game.startSubScene(sceneName, node, scene_members.sceneMenu)
        end
        else
         local scale = core.getScaleFactor(currentSceneTopElement)
        if(--[[scale == 1]]true)then
            game.startSubScene(sceneName, m.minigames, scene_members.sceneMenu)
        else
            game.startSubScene(sceneName, scene_members.shiftedMinigamesNode, scene_members.sceneMenu)
        end
    end

    tmp.dialogVisible = 1

	local layer = scene_members[layerName]

	if subsceneLayer then
		--print("ERROR nested initSubScene: ", sceneName)
	end

	subsceneLayer = layer
	if (sceneBeforeEnd) then
		core.CCLOG("setupbeforeend")
		subsceneOnBeforeEnd = sceneBeforeEnd
        else
    subsceneOnBeforeEnd = nil
	end
    if(sceneAfterEnd) then
        subsceneOnAfterEnd = sceneAfterEnd
    else
        subsceneOnAfterEnd = nil
    end

	core.fadeNodeTo(layer, 1, nil)
    if(hideGUI)then
        if(scene_members.invPanelSprite) then
        hideGUI()
        end
    end

    local w,h = core.getScreenHeight()
    local p1,p2 = core.takeScreenParams()

	local function onTouch(eventType, x, y)
    --    print("touch!!!")
    -- eventType is CCTOUCHBEGAN, CCTOUCHMOVED,
    -- CCTOUCHENDED or CCTOUCHCANCELLED
    -- x, y is touch position (use cocos2d-x/OpenGL coordinate)
    print("Touch: ",x, y, eventType);

        local ax,ay =  m.activeArea:getPosition()
        if(scale ~= 1) then
            ay = ay - ((p1 - h)/p2)
        end
        local size = m.activeArea:getContentSize()
        local aw = size.width
        local ah = size.height
        core.CCLOG("position x: "..tostring(ax).. " position y:"..tostring(ay))

   if (x< ax - aw/2 or x> ax + aw/2 ) or (y< ay - ah/2 or y > ay+ah/2  ) then
      game.closeSubScene()
  	else
	  if layerTouchCallback then
        layerTouchCallback(eventType, x, y --[[+ ((p1 - h)/p2)]])
	  end
    end

    return true;
  end
  -- enable touch events callback
  layer:registerScriptTouchHandler(onTouch, false, 250, true)  -- for single touch
  layer:setTouchEnabled(true);
    local function tickFunc(dt)
        if(tick)then
            tick(dt)
        end
		
    end

	gameState.exitActive = false

    skipGameButtonTimer = CCDirector:sharedDirector():getScheduler():scheduleScriptFunc(tickFunc, 0.1, false)

	local stringToShow = core.getProperty(layer, "descrString")
	--print("show des ", LOCALIZE(stringToShow))
	if stringToShow then
		showDescription(LOCALIZE(stringToShow))
	end
  
end



game.invisibleItem = function(name,tag,func,menuName,gs) 
	--print("entering invisible curtag: "..tag.."  curName: ",name)
	--local gs = gameState.scene07;
	if(gs[name] ~= nil) then
		--print("------------------------------entring")
		if(gs[name] == 1) then
			menuName:getChildByTag(tag):setVisible(false)
		end
		if(func~= nil) then
			func(name)
		end
	end
end


function game.restartParticles(particles)
	tolua.cast(particles, "CCParticleSystemQuad")
	particles:setVisible(true)
	particles:resetSystem()
end

game.enablesItemfromInventory = function(x,y,condition,action,controlEvent)

if(condition ~=nil and subsceneLayer ~=nil) then
    print("-----------")
    print("touch ",x,y)
	local m = scene_members
	local area = m.activeArea
	local ax,ay =  area:getPosition()
    print("area x,y ",x,y)
    local ax1,ay1 =  condition:getPosition()
    local sizeArea = area:getContentSize()
    print("content x,y ",ax1,ay1)
    ax = ax + ax1 - sizeArea.width/2
    ay = ay + ay1 - sizeArea.height/2
    --print("wtouch ",ax,ay)
	local size = condition:getContentSize()
	local aw = size.width * condition:getScaleX()
	local ah = size.height * condition:getScaleY()
	--print("csize ",aw,ah)
	if (x< ax - aw/2 or x> ax + aw/2 ) or (y< ay - ah/2 or y > ay+ah/2  ) then
		return false
	else
		--print("enabling")
		if(controlEvent == CCtouchUp) then
			action()
			return true
		end
	end
end
end

game.enablesItemfromInventoryToItemOnScene = function(x,y,item,action,controlEvent)


    if(item == nil) then
            return
    end
    print("------- CHECK ITEM --------", item)
    local ax,ay =  item:getPosition()
    local size = item:getContentSize()
    local aw = size.width * item:getScaleX()
    local ah = size.height * item:getScaleY()

	--print("item rect: ", ax-(aw/2), ay-(ah/2), ax+(aw/2), ay+(ah/2))

	--print("touch: ", x, y)

    if x > ax - aw/2 and x < ax + aw/2 and y > ay - ah/2 and y < ay + ah/2 then
        if(controlEvent == CCtouchUp) then
			action()
			return true
        end
	else
		return false
    end
end

function game.buttonClick(volume)
	local effectPath = CCFileUtils:sharedFileUtils():fullPathFromRelativePath("music/sfx/s_0003_click.mp3")
	--SimpleAudioEngine:sharedEngine():setEffectsVolume(volume)
	effectID = SimpleAudioEngine:sharedEngine():playEffect(effectPath)
end

function game.startSceneWithLoadScreen(name, script, cleanup)
    globalName = name
    globalScript = script
    startScene("scene_load", "load", cleanup)
end

game.startSceneWithSaveState = function(name, script, cleanup)
    core.CCLOG("HousePressed4,5 ")
	if(name~="scene_title") then
		gameState.currentScene = {name, script, cleanup}
	end
        game.startSceneWithLoadScreen(name, script, cleanup)
        --[[globalName = name
        globalScript = script
    startScene("scene_load", "load", cleanup)]]
	--startScene(name, script, cleanup)
end


function game.fadeNodeOut(node, time)
	--tolua.cast(sender, "CCNode")
	--get children
	node:stopAllActions()
	node:runAction(CCFadeTo:create(time,0))
	if core.guessType(node) == "CCControl" or core.guessType(node) == "CCMenu" then
		return
	else
		local children = node:getChildren()
		for cur = 0, node:getChildrenCount()-1 do
			local curNode = children:objectAtIndex(cur)
			tolua.cast(curNode, "CCNode")
			curNode:stopAllActions()
			curNode:runAction(CCFadeTo:create(time,0))
			game.fadeNodeOut(curNode, time)
		end
	end

end

function game.fadeNodeOutAction(node, time, afterAction)
	game.fadeNodeOut(node, time)
	if afterAction then
		node:runAction(CCSequence:createWithTwoActions(CCDelayTime:create(time), CCCallFunc:create(afterAction)))
	end
end

function game.runMovie(movieName,nextScnName,nextScnScript,ctMovie,continueButtonPresed,skipButtonPressed,withLoadScreen)
    print("movieName",movieName)
    core.CCLOG("movieName: "..movieName)
    descriptionString = movieName
    nextSceneName = nextScnName
    nextSceneScript = nextScnScript
    cutMovie = ctMovie
    funcContinue = continueButtonPresed
    funcSkip = skipButtonPressed
    if(withLoadScreen == nil)then
        startScene(movieName,"intro", true);
        else
        game.startSceneWithLoadScreen(movieName, "intro", cleanup)
    end
end

function game.runMovie1(movieName,nextScnName,nextScnScript,ctMovie,continueButtonPresed,skipButtonPressed)
    
    print("movieName",movieName)
    core.CCLOG("movieName: "..movieName)
    descriptionString = movieName
    nextSceneName = nextScnName
    nextSceneScript = nextScnScript
    cutMovie = ctMovie
    funcContinue = continueButtonPresed
    funcSkip = skipButtonPressed
    game.startSceneWithLoadScreen(movieName, "intro", cleanup)
    --startScene(movieName,"intro", true);
    --[[nextSceneName = nextSceneName
    nextSceneScript = nextSceneScript
    core.runAnimation("Default Timeline",0,scene_members[movieName])
    scene_members[movieName]:setVisible(true)
    function scene_animations.movieEnd()
        scene_animations.movieEnd = nil
        
        if(cutMovie) then
            else
            print("start game")
            game.startSceneWithSaveState(nextSceneName,nextSceneScript, true);
        end
    end
        --создаем нод
    if (not scene_members.movieButtons) then
        local movieButtonsNode = CCNode:create()
        scene_members.movieScene:addChild(movieButtonsNode)
        scene_members.movieButtons = movieButtonsNode
    end
    --прикрепляем кнопки
    local buttons_node = core.createNodes("movieButtons");
    if buttons_node then
        scene_members.movieButtons:addChild(buttons_node, 0)
        else
        print("Warning: can't load hogs descr");
        error()
        return;
    end
    
    function scene_selectors.skipButtonPressed()
        print("skip")
        --game.startSceneWithSaveState(nextSceneName,nextSceneScript, true);
    end
    function scene_selectors.continueButtonPresed()
        print("continue")
        if(cutMovie)then
            funcTocall()
            else
            --game.startSceneWithSaveState(nextSceneName,nextSceneScript, true);
        end
    end]]
end

function showDialog(sceneStateGhost,dialogText1,dialogText2,sceneStateCrystal,sceneCrystal,scenename)
    print("sceneGhost :",sceneGhost)
    print("sceneStateGhost :",sceneStateGhost)
    print("finalGhost :",finalGhost)
    print("sceneStateCrystal :",sceneStateCrystal)
    print("sceneCrystal :",sceneCrystal)
    
    --sceneStateCrystal = 0 EOSA - 112 
    local sceneState = gameState[scenename]
    sceneState[sceneCrystal] = 0
    
    if(sceneStateGhost == 1) then
        scene_members.manGhostSprite:setVisible(false)
        scene_members.manParticles:setVisible(false)
        scene_members.explosionParticles:setVisible(false)
    end
    
    local function buttonsClick()
        if(tmp.nextDialog == nil)then
            showProcessDialogWithDiscription(LOCALIZE(dialogText2),buttonsClick,buttonsClick)
            tmp.nextDialog = 1
            else
            scene_members.finalGhostSprite:setVisible(false)
            scene_members.finalexplosionParticles:setVisible(false)
            scene_members.finalParticles:setVisible(false)
            scene_members.finalGhostSprite:runAction(CCSequence:createWithTwoActions(CCFadeOut:create(0.9), CCCallFunc:create(function()
                                                                                                        scene_members[sceneCrystal]:setVisible(--[[sceneStateCrystal == 0]]true)
                                                                                                        scene_members[sceneCrystal]:setVisible(--[[sceneStateCrystal == 0]]true)
                                                                                                                              local sceneState = gameState[scenename]
                                                                                                                              if(sceneState.DialogStarted == 1) then
                                                                                                                              sceneState.DialogStarted = 0
                                                                                                                              end
                                                                                                                              closeProcessDialog()
                                                                                                                              end)))
            
        end
    end
    local function buttonscontClick()
        buttonsClick()
    end
    showProcessDialogWithDiscription(LOCALIZE(dialogText1),function() tmp.nextDialog = 1  buttonsClick() end,buttonscontClick)
    scene_members.finalGhostSprite:setVisible(true)
	scene_members.ghostSprite:setVisible(false)
    game.restartParticles(scene_members.finalexplosionParticles)
    game.restartParticles(scene_members.finalParticles)
    --game.restartParticles(scene_members.finalexplosionParticles)
    --game.restartParticles(scene_members.finalParticles)
end

function runFinalClip(movieName,sceneName,sceneScript,movieState,finalMovieNumber,sceneStateGhost,dialogText1,dialogText2,sceneStateCrystal,sceneCrystal,scenename)
    local function continueButtonPresed()
        print("continueCutMovie")
		core.CCLOG("CONT PRESSED")
        if(movieState == finalMovieNumber)then
            
            local sceneState = gameState[scenename]
            if(sceneState.filmStarted == 1) then
                sceneState.filmStarted = 0
            end
            if(sceneState.DialogStarted == 0) then
                sceneState.DialogStarted = 1
            end
            startScene(sceneName, sceneScript,true);
            --showDialog(sceneStateGhost,dialogText1,dialogText2,sceneStateCrystal,sceneCrystal,scenename)
            return
        end
        game.runMovie(movieName..movieState,sceneName, sceneScript,true,continueButtonPresed, skipButtonPresed)
        movieState = movieState + 1
    end
    
    function skipButtonPresed()
		game.buttonClick(1)
		core.CCLOG("SKIP PRESSED")
        print("skipCutMovie")
        local sceneState = gameState[scenename]
        if(sceneState.filmStarted == 1) then
            sceneState.filmStarted = 0
        end
        if(sceneState.DialogStarted == 0) then
            sceneState.DialogStarted = 1
        end
        startScene(sceneName, sceneScript,true);
        --showDialog(sceneStateGhost,dialogText1,dialogText2,sceneStateCrystal,sceneCrystal,scenename)
    end
    
    game.runMovie(movieName .. 1 ,sceneName, sceneScript ,true,continueButtonPresed,skipButtonPresed)
    movieState = 2
end

function game.doActionOnScene(x,y,item,action)
if(item == nil) then
    return
end
--print("------- CHECK ITEM --------", item)
local ax,ay =  item:getPosition()
local size = item:getContentSize()
local aw = size.width * item:getScaleX()
local ah = size.height * item:getScaleY()

--print("item rect: ", ax-(aw/2), ay-(ah/2), ax+(aw/2), ay+(ah/2))

--print("touch: ", x, y)

if x > ax - aw/2 and x < ax + aw/2 and y > ay - ah/2 and y < ay + ah/2 then
        action()
end
end

--game.inventoryItemSelector