
core.executeScript("local/init_hog")

-- локализация
localization = {
GAME_COMPLETED = [[You have finished the game.
Do you want to start over?]],
BUY_GAME = [[Unlock game]],
BUY_ITEM= [[Purchase the full version?]],
WAIT = [[Please wait...]],
ABORT = [[Failed to check the purchases! 
Please check your Internet connection!]],
RATE = [[It seems you enjoyed our game!]],
RATE_YES = [[Rate It!]],
RATE_NO = [[No Thanks]],
RATE_LATER = [[Remind me later]],
RESET = [[Reset progress?]],
QUIT = [["Do you really want to quit?"]],
BUTTONS_MENU = [[Menu]],
    EXIT=[[Main Menu]],
TUTORIAL_DESCRIPTION0=[[Do you want to play the tutorial?]],
TUTORIAL_DESCRIPTION1=[[Pick up useful items by clicking on them.
Click on the item at which the arrow is pointing.]],
TUTORIAL_DESCRIPTION2=[[You can also find objects of interest in areas that sparkle.
Click on the bench at which the arrow is pointing.]],
TUTORIAL_DESCRIPTION3=[[You can sometimes take a closer look
at interactive objects.
Click the clock at which the arrow is pointing.]],
TUTORIAL_DESCRIPTION4=[[The items you collect are automatically
stored in your inventory.
You can use these items to solve puzzles.
Place the clock hands on the clock.]],
TUTORIAL_DESCRIPTION6=[[The gates are open! Tap on it to finish the tutorial.]],
ANSWER_YES=[[Yes]],
ANSWER_NO=[[No]],
RESET_PLAYBUTTON=[[Reset progress]],
SETTINGS_PLAYBUTTON=[[OPTIONS]],
TITLE_PLAYBUTTON=[[PLAY]],
CREDITS_PLAYBUTTON=[[CREDITS]],
TITLE_SOUND=[[SOUND EFFECTS]],
TITLE_MUSIC=[[MUSIC]],
CONTROL_CONTINUE=[[Continue]],
CONTROL_SKIP=[[Skip]],
ITEM_FOUND=[[You have found a useful item.]],
S1_DIALOG=[[Dark Shadow: You will never escape!]],
S1_NOARROWS=[[The clock's hands are missing.]],
S1_ARROWSONWATCH=[[Maybe I need to set the correct time.]],
S1_TIMETABLE=[[Is this the time when the gates open?]],
S1_LIONNOPARTS=[[It looks like a ticket stamper. It's missing some parts...]],
S2_DIALOG=[[Now that I remember everything, I must find a way out of this place!]],
S3_DIALOG=[[I wonder who the girl in my vision is...
I must find out!]],
S3_WINDOWDIRT=[[I should clean this window so I can look inside.]],
S3_WINDOWCLEAN=[[Maybe I can break the window with something heavy.]],
S3_WINDOWBROCEN=[[That box cutter might come in handy.]],
S3_WINDOWFULL=[[I have no reason to break it now...  Maybe I should clean it first.]],
S3_MAILBOX=[[That's not the address of this house.  Strange...]],
S3_SEESAW=[[You're certain this girl was close to you.]],
S3_SEESAWGHOST=[[There used to be a swing there.]],
S4_RULLER=[[One of the numbers is missing.]],
S4_RELLERWRITE=[[That's where we marked her growth...]],
S4_CAMMODMOVE=[[The marks on the wall suggest there's something behind the wallpaper.]],
S4_WALLPAPERFULL=[[A sharp object would cut through that old wallpaper.]],
S4_SHOWGHOST=[[That's where we marked her growth...]],
S4_LOCK=[[There must be a clue to the code somewhere nearby.]],
S4_OPENDOOR=[[That must be the entrance to the basement.]],
S5_CASKET=[[I need to replace the missing parts.]],
S5_WALLWHITHOUTPIC=[[The dark areas suggest there was once a collection of pictures there.]],
S5_CASKETWHITHGEARS=[[They need to be in the correct order.]],
S5_CASKETWHITHLEVER=[[The lever appears to be missing.]],
S5_CASKETWHITHBALERINA=[[I wound the music box but it won't start without its final piece.]],
S5_TWINSGHOST=[[Twin sisters...]],
S5_SHADOW = [[That shadow in the mirror is looking straight at me...]],
S5_CAMINGHOST = [[Light will consume the shadow.]],
S5_WOOD = [[I've got something to burn, now I need to set it on fire.]],
S5_FULECAN = [[This will help start the fire.]],
S5_GHOSTAWAY = [[The unsettling shadow no longer clouds your memories.]],
S6_DOLLPARTTS=[[Some of the doll parts are missing.]],
S6_DOLLPARTTSFULL=[[It should be a breeze to assemble the doll.]],
S6_DOLLGHOST=[[She looks sad...]],
S6_ROPE=[[I could use a piece of that rope!]],
S6_ROPECUT=[[I'm sure I'll come up with a use for this rope.]],
S6_CAN=[[There's still some gas left in the tank.]],
S6_FUNNEL = [[A funnel ensures no fuel will be wasted.]],
S6_HOSE = [[A hose would help extract the fuel.]],
S7_DIALOG1=[[As the shock of the flashback subsides, you regain control of your emotions
and remind yourself that you forgave yourself for your sister's death a long
time ago.]],
S7_DIALOG2=[[You keep the memories of your sister's innocent soul close to your heart. ]],
S7_PHOTOFRAME=[[You believe this incomplete picture is the key to unlocking your memories.]],
S7_CUTPAINTING=[[The fragment of paper suggests a drawing was torn out of the sketchbook.]],
S7_FULLPAINTING=[[I should put everything where it belongs.]],
S7_SHOWNOTEBOOKGHOST=[[You feel connected to the girl.]],
S7_PHOTOPARTS=[[I have all of the pieces of the photo.  I should assemble it now.]],
S7_PHOTOFRAME=[[You believe this incomplete picture is the key to unlocking your memories.]],
cutScene2part1=[[Your memory begins to come back to you as you recall a happy childhood...]],
cutScene2part2=[[You remember playing with your twin sister, from whom you were inseparable,
on a beautiful spring day.]],
cutScene2part3=[[Then fate stepped in…]],
cutScene2part4=[[And the unthinkable happened as you helplessly watched your sister die!]],
S8_GHOST=[[Passion and regret wash over you as you see the young man.]],
S8_FIRE=[[The ethereal fire keeps you from touching the door.]],
S8_ALARM=[[I could break the glass by hitting it a few times with something hard.]],
S8_BROKEALARMGLASS=[[Pulling the lever down would activate the alarm.]],
S8_FLOOR=[[There's a drain under the tile.]],
S8_DOOR=[[Now I can explore the campus.]],
S8_CASE=[[You can't open it without the correct key.]],
S8_LOCK=[[The key is nowhere to be found. Another solution is necessary.]],
S9_LIGHT=[[This room isn't dark enough to use the slide projector.]],
S9_BOARD=[[The blackboard once had something important written on it.]],
S9_LEVER=[[It looks like the controller for the window blinds.]],
S9_GHOST=[[You suddenly remember who the young man was!]],
S10_CARCLOSED=[[Locked!]],
S10_GUITARNOTSTRINGS=[[It's missing some of its strings.]],
S10_TREE=[[I need a sharp object in order to complete the carving.]],
S10_SHADOW=[[I could chase away that shadow if I were able to reach the lamp
on the balcony.]],
S10_CAROPEN=[[The trunk is now open.]],
S10_GHOST=[[You remember how your boyfriend carved your initials in the tree!]],
S10_UNDERCAR=[[There's something under the car.]],
S10_CARPULLED=[[You can now take a look under the car.]],
S10_GUITARFULL=[[The guitar is in tune.]],
S10_PROJECTOR =[[The room is now dark enough to start the projector.]],
S10_MEMORIES1=[[Memories of fear...]],
S10_MEMORIES2=[[Memories of passion...]],
S10_MEMORIES3=[[Memories of devastation!]],
S10_MEMORIES4=[[Memories of joy...]],
S10_MEMORIES5=[[Memories of arguments...]],
S10_CANDLESET=[[The shadow would be cast away if the lamp at the balcony could be reached.]],
S11_GRID=[[I see something behind the grill!  How can I remove these screws?]],
S11_ELECTROMAP=[[These look like values for a power box.]],
S11_ELECTROBOX=[[I need to find out the correct value for each slider.
The information must be written down somewhere...]],
S11_GHOST=[[It's time for your date!  You remember your boyfriend giving you roses.]],
S11_GRIDOEN=[[An evil presence still haunts this place.]],
S12_PIC=[[Undying passion...]],
S12_KEYBOARD=[[The computer needs a keyboard.]],
S12_GHOST=[[A poet in the making!  You remember you love poetry.]],
S12_MONITOR = [[A reflection of someone who's not there. It could be a clue.]],
S9_DIALOG1=[[Another flashback floods you with anger and sorrow as you remember the
murder of your college boyfriend!]],
S9_DIALOG2=[[You keep the memories of your sister's innocent soul close to your heart. ]],
cutScene3part1=[[Clouded memories finally begin to clear up as you remember your college days...]],
cutScene3part2=[[Romantic love replaced the guilt you felt over your sister's tragic death.]],
cutScene3part3=[[But nothing is perfect...]],
cutScene3part4=[[...and a trivial argument led to unforeseen consequences!]],
cutScene3part5=[[A devious man saw an opportunity...]],
cutScene3part6=[[Man: Consider yourself replaced!]],
cutScene3part7=[[If only you hadn't been so proud...]],
cutScene3part8=[[Alone again, sorrow turns to anger and clouds your judgment.  As you accuse the
only suspect, you think only a death sentence could ease the pain of your
boyfriend's murder.]],
S13_FENCE=[[I could cut through that fence with the right tool.]],
S13_BASCKET=[[Entertainment for the prisoners.]],
S13_CUTFENCE=[[Now I can step through.]],
S13_BENCHDESCRIPTION=[[Now I can take a look at the bleachers.]],
S13_GHOSTBASCKETBALL=[[A prisoner shooting hoops.]],
S14_SWITCHBOX=[[One of the connections needs to be repaired.]],
S14_TABLE=[[Someone framed this page.  It must be important...]],
S14_SHOTGUN=[[I can't untie that knot.  I'll have to cut the rope.]],
S14_SHOTGUNFREE=[[Now I can take it.]],
S15_FULLGLASS=[[The glass is already shattered.  If the hole was larger,
I could step through.]],
S15_SHACKLES=[[It looks like a shackle, but the ball is missing.]],
S15_DIRECTORROOM=[[I need to remove those planks so I can see what's on the other
side of that door.]],
S15_CODELOCK=[[It looks like it requires a four-digit code.]],
S15_OPENDOOR=[[The door is open.]],
S15_CLEARWAY=[[The path is now clear.]],
S15_SHOOT=[[I'll cut myself if I step through now.  That glass is sharp!]],
S15_SETCURTAIN=[[Now I can step through the window without getting cut.]],
S15_GHOST=[[A desperate man claiming his innocence...]],
S15_RIDDLELOCK=[[The carvings below appear to be related to the buttons...]],
S15_OPENDOORDININGROOM=[[Now I can go to the cafeteria.]],
S17_FIREBURN=[[The fire is keeping me from reaching the pot.]],
S16_DIALOG1=[[You realize an innocent man took the fall for your boyfriend's murder.]],
S16_DIALOG2=[[You carry the burden of wrongly accusing someone of murder in the hope of
setting things right.]],
S16_FOLDER=[[It looks like a prisoner dossier.  Some of the files are missing.]],
S16_CURTAINFULL=[[That cloth looks strong, but I think I can cut through it.]],
S16_LAMPDARK=[[It needs a light bulb.]],
S16_CIGARBOXCLOSED=[[Locked!]],
S16_CLOSETCLOSED=[[That might contain something of interest,
but I'll have to unlock it to see.]],
S16_BLOOD=[[Something terrible happened in this room.  I should take a closer look at
that blood stain.]],
S16_PICTURE=[[There appears to be something hidden beneath the canvas.
I need something sharp.]],
S16_CURTAINCUT=[[Someone hid a light bulb was hidden behind the curtains!]],
S16_LAMPGLOW=[[There's a small key taped to the inside of the lamp shade!]],
S16_CIGARBOXOPEN=[[There's something inside.]],
S16_CLOSETOPENED=[[OK!  Let's take a look.]],
S16_GHOST=[[He's begging for mercy.  I think someone beat him in here...]],
S16_FILES=[[I should put these in chronological order.]],
S17_BREAD=[[That bread looks old.]],
S17_MENU=[[It looks like a meal for the inmates.]],
S17_PLATE=[[Prisoners used that to carry their meals.]],
S17_LEVER=[[The valve handle is missing.]],
S17_BREADCUT=[[I'll take a slice.]],
S17_FIREEXTINGUISH=[[The water put out the fire!  Now I can reach the pot.]],
S17_WATERPIPE=[[It's shooting out water.]],
S17_FILLWATER=[[Now I have a jug filled with water.]],
S17_FILLLADDLE=[[That should be enough to fill a bowl.]],
S17_PRISONBREAD=[[Bread tastes good with soup...]],
S17_PRISONSOUP=[[A warm meal...]],
S17_PRISONWATER=[[Something to drink...]],
S17_PRISONDINNER=[[That prisoner is eating his last meal.]],
S17_PANSOUP = [[It's filled with soup.]],
S18_DOORS=[[There must be a way to open that door!]],
S18_SHADOW=[[If I can find a way to repair the lights, the shadow will go away...]],
S18_EXEC=[[I need clearance in order to pass through that gate.]],
S18_LOCK=[[There's a slot for a security card.  I need to find one.]],
S18_LEVERS=[[The levers should open the cells, but the mechanism is malfunctioning.
Perhaps a combination of levers will open the cells.]],
S18_OPENCAMERAS=[[Now I can go inside the cells.]],
S18_GHOST=[[Dead man walking!]],
S18_OPENGATES=[[The security card provides access to another room.]],
S19_NOLEVER=[[I can't turn on the chair without the lever.]],
S19_ELECTRICITY=[[Power has been restored to The Green Mile.]],
S19_RIDDLE=[[If I connect the lights on either side, it might restore power to
the lights along the Green Mile.]],
S19_SETLEVER=[[The lever is in place.]],
S19_MOVELEVER=[[That tormented soul won't rest until I prove his innocence.]],
cutScene4parts1=[[As you piece together the evidence, you realize there was no way the janitor
could have been at the scene of the crime at the time of the murder.]],
cutScene4parts2=[[You remember how things went down...
The janitor stepped out of line...]],
cutScene4parts3=[[Boyfriend: This will teach you some manners!]],
cutScene4parts4=[[As you and your boyfriend walked away, you heard the words, "You'll regret that."]],
cutScene4parts5=[[Before long, your boyfriend was murdered.]],
cutScene4parts6=[[It was easy to blame the obvious suspect.]],
cutScene4parts7=[[And so an innocent man...]],
cutScene4parts8=[[...was executed!]],
S20_TRAPDOOR = [[The angel is casting a shadow on the trapdoors.
Maybe it's a clue to how to open them.]],
S20_BOARDS=[[Those boards are nailed in tight!
I need something heavy that can break through them.]],
S20_ANGEL=[["Strange... I see wings in the shadow the angel is casting, but the angel
doesn't have any wings."]],
S20_FATHER=[[My father is praying...]],
S21_EVIL=[[I have a feeling that this shadow is of someone very close to me...]],
S21_1_CHURCHBOOK=[[These figures look familiar... And they're staring in opposite directions...]],
S21_3_ANGEL=[[It needs to look like the one in the book.]],
S21_4_DEMON=[[It needs to look like the one in the book.]],
S21_NOSTATUE=[[It looks like a pedestal for a small statue.]],
S21_TORCHDOWN=[[I can't light the torch while it's turned upside down.]],
S21_NEEDFIRE=[[I can light the torch now.]],
S21_NEEDKNIFE=[[That's one tough sack.  I'm going to have to cut through it
to get to the seeds.]],
S21_GHOST = [[Why is this evil shadow haunting my father?]],
S22_1_RIP=[[Rest in peace, my sweet sister.]],
S22_CHOP=[[This dry wood will come in handy.]],
S22_FATHER=[["My father is looking at my sister's grave as if he's trying to tell me
something."]],
S22_FLOWERS1=[[I'd like to replace them, but I can't get them out by hand.]],
S22_FLOWERS2=[[I need to break up the dirt before I plant the seeds.]],
S22_FLOWERS3=[[I could plant new flowers there.]],
S22_FLOWERS4=[[They won't grow without water.]],
S23_FATHER=[[What secret took my father to his grave?]],
S23_WATER=[[Fresh running water...]],
S23_1_DOOR=[[It's locked. I need the key.]],
S23_2_CHAPLET=[[My father used to sit here while holding his crucifix...]],
S24_FATHER=[[My father looks desperate as he kneels next to my wedding photo.]],
S24_3_VITRAGE=[[I should take a closer look at the stained glass window now.]],
S24_VITRAGE=[[Maybe I can fix it by placing each piece where it belongs.]],
S24_NEEDOPEN=[[That was used for donations.]],
S24_RIGHTTAB = [[It's missing the other side.]],
S24_LEFTTAB = [[Where is the other part?]],
S24_CURTAIN = [[I feel it's hollow inside but I can't lift the cloth.]],
S25_NOTONGUE=[[The bell is missing its clapper, so I can't ring it.]],
S25_WEB=[[Let's dust it off.]],
S25_GHOST = [[My father is concerned.]],
S25_PHOTOALBUM=[[This is my family album... The photos are missing.]],
cutScene5parts1=[[Father: Ever since I first met my daughter's husband, I've felt there was 
something not quite right about him.  I'm going to follow him on one of his alleged
business trips and see where he goes.]],
cutScene5parts2=[[So this is where he hides out!  Let's see what's inside...]],
cutScene5parts3=[[Dear lord! This psychopath has been stalking my family for ages!  I have to tell my 
daughter about this!]],
cutScene5parts4=[[Daughter: No!  I don't believe you, father!  How could you say that?
Husband: You'll pay for this, old man...]],
cutScene5parts5=[[A few weeks later...

Father: What are you doing?  Noooooo!!!]],
S25_DIALOG1=[[You understand your father was right when he warned you about your 
husband.  The man to whom you turned for comfort was behind all of the
devastating events in your life!]],
S25_DIALOG2=[[You take your father's advice and set out to stop the murderer.]],
cutScene6parts1=[[How could I have been so blind?
My husband was the teenager behind the wheel that day!]],
cutScene6parts2=[[I can now see the sequence of events from his perspective...
He stalked and killed my college boyfriend and then framed the janitor...]],
cutScene6parts3=[[In my fragile state, it was easy for him to get close to me.  With his true nature
concealed, he was a charming man, and it wasn't long before we married...]],
cutScene6parts4=[[When my father uncovered his dark secrets and confronted him, he became yet
another victim...]],
cutScene6parts5=[[My father's death opened my eyes. When I threatened to leave my husband and
report him to the authorities, the look in his eyes let me know he was going to kill
me, too.  The last thing I remember was running for my life...]],
cutScene6_1parts2=[[I'm at the hospital...  I don't know how long I've been in a coma...]],
cutScene6_1parts3=[[But now that I'm awake, I must stop my husband!]],
S26_DIALOG1=[[I need to slip out of here unnoticed and gather proof that my husband
committed those crimes.]],
S26_DIALOG2=[[But I feel dizzy...  I need to find some clothes and something for my 
headache first.]],
S26_CLOTHES=[[I'm dressed now.]],
S26_WINDOWCLOSED=[[I can't get past the bars outside my window.]],
S26_PILS=[[The pepper spray behind the glass would come in handy if I need to defend
myself.  I need to break the glass somehow.]],
S26_BARS=[[Maybe this fuse box controls the bars that are blocking the way out.  
I should try to short circuit it.]],
S26_TABLE=[[I could use this space to prepare some headache medicine.]],
S26_JUG=[[I could use that water.]],
S26_OPENWINDOW=[[The short circuit unlocked the bars outside the window.]],
S26_ESCAPE=[[But I feel dizzy...  I need to find some clothes and something for my 
headache first.]],
S26_SETCUP=[[I need to dissolve the medicine in water.]],
S26_FILLWATER=[[Now all I need is the medicine.]],
S26_SETPILS=[[Now I just have to take it.]],
S26_FILLGOOD=[[I feel much better now. I think I can handle going outside.]],
S27_WASE=[[It looks like something is buried here!  The dirt is too hard to dig up
with my hands, though.]],
S27_WATERFULL=[[I need to drain the fountain so I can grab that coin.]],
S27_SHEDCLOSED=[[The padlock is holding the security bar in place.  I need to unlock it.]],
S27_SHEDOPENED=[[Now I can take a look inside.]],
S27_SHOWELS=[[The rust has locked the hinges.
Some lubricant would allow me to open the door.]],
S27_OPENPHONEDOOR=[[Now I can go inside.]],
S27_PHONE=[[I could call my husband from this phone...  
I want to be able to record the conversation for evidence, though.]],
S27_MURDERER=[[I need to stop him without hurting the hostage!]],
S27_MURDERER1=[[I should take advantage now that he is off guard.]],
S27_PEPPER=[[Take that, murderer!]],
S27_CLIFS=[[Now I can call for backup!]],
S27_CALLPOLICE=[[I should call the police now.  I have one more coin.]],
cutScene7parts1=[[Rose: Hello.  I'm calling from the hospital to let you know your wife has regained
consciousness and is asking for you.]],
cutScene7parts2=[[Husband: I'll be right there.]],
cutScene7parts3=[[Rose: It's time to end this.]],
cutScene7parts4=[[Rose: I know it was you who killed my sister and father.  I also found out how you
murdered my college boyfriend and then framed the janitor.]],
cutScene7parts5=[[Husband: It's true.  I killed them all.  We were meant to be together, Rose, and 
they were getting in the way.  Now it's just the two of us -- together forever.]],
cutScene7parts6=[[Rose: You're insane!  I'm going to call the police, and I have the evidence I need
to lock you up for the rest of your life.]],
cutScene7parts7=[[Husband: I don't think so...]],
cutScene7parts8=[[Husband: Give me that tape or she gets the knife!]],
cutScene7parts9=[[Rose: You'll never get away with this!]],
cutScene8parts1=[[Rose: The police are on their way.  You're going to pay for your crimes!]],
cutScene8parts2=[[Rose: Now that justice has been served, I can finally let go of the ghosts of
my past.  From this day forward, things are going to be better.]],
    
	
}

scene07.tableDescriptionsItems = {[0]="Apple","Apple","Baseball","Boomerang","Candy cane","Car","Crayon","Dice","Flower","Flower","Heart","Hair bow","Sucker","Moon","Music note","Music note","Party hat","Queen","Robot","Rocket","Snake","Straw hat","Sun","Top hat","Train","Walking cane","Z"}

scene06.tableDescriptionsItems = {[0]="24","Brooch","Bust","Candle holder","Cherries","Coin","Elephant","Family photo","Feather","Heart","Infinity symbol","Lava lamp","Lighter","Map","Marble","Padlock","Paint brush","Rose","Screwdriver","Wax seal","Statuette","Tie","Toothpaste","Violin"}

scene09.tableDescriptionsItems =  {[0]="Anubis","Apple","Beer","Blender","Ship","Hindu god","Butterfly","Car","Jewelry box","Dagger","Dog food","Dragon","Eiffel tower","Envelope","Feather","Hammer","King","Maiden","Pegasus","Sphinx","Spider","Teapot","Weather vane","Spoon"}
scene13.tableDescriptionsItems = {[0]="Arrow","Ball","Basket","Beer","Binoculars","Hiking boot","Bucket","Birdcage","Camera","Chest","Corkscrew","Anubis","Flashlight","Handcuffs","Lamp","Padlock","Milk container","Poison","Postcard","Vase","Scales","Cassette tape","Telephone","Ladies wristwatch"}
scene14.tableDescriptionsItems = {[0]="Angel","Sherriff's badge","Banana","Beetle","Hindu god","Number symbol","CD","Compass","Corn","Cowboy hat","Cup","Donut","Ice cream cone","Megaphone","Ping-pong paddle","Padlock","Red pepper","Razor","Rope","Shell","Police light","Soap","Superhero","Whistle"}
scene18.tableDescriptionsItems = {[0]="13","Blackberries","Hiking boot","Butterfly","Tin can","Carabineer","Cherry","Clock","Cockroach","Comb","Dragonfly","Duck","Pitchfork","Headphones","Pear","Jug","Razor","Scarf","Suitcases","Sword","Toothbrush","Tic-Tac-Toe","Towel","Wallet"}
scene12.tableDescriptionsItems = {[0]="Babushka dolls","Bull","Book","Cheese","Comb","Dancers","Dinosaur","Face","Fairy","Flower","Eyeglasses","Hat","Horus","Lion","Lizard","Magnifying glass","Matchbox","Mayan deity","Newspaper","Popcorn","Screw","Screwdriver","Tennis ball","Turtles"}

scene21.tableDescriptionsItems = {[0]="Ace","Bagel","Bell","Blackberry","Makeup brush","Cherry","Clock","Dragonfly","Fan","Feather","Heart","Jewel","Jewel","К","Key","Knife","Mask","Pencil","Chili pepper","Ring","Ring","Rose","Shell","Snail", "Star", "Sword"}


scene22.tableDescriptionsItems = {[0]="Antlers","Belt","Bible","Bowler hat","Butterfly","Scrub brush","Candles","Playing card","Chain","Clock","Crucifix","Crucifix","Crucifix","Earring","Gecko","Horseshoe","Perfume","Plunger","Pumpkin","Raccoon hat","Sack","Saw","Scorpion","Shell", "Vase", "Watering can"}
scene26.tableDescriptionsItems = {[0]="Abacus","Baby's shoe","Baseball bat","Bracelet","Button","Bottle cap","Clothespin","Hammer","Dragon","Feather","Inhaler","Leaf","Padlock","Red pepper","Stethoscope","Pills","Bandages","Stamp","Starfish","Statuette","Strawberry","Syringe","Thermometer","Tweezers"}
scene01.tableDescriptionsItems = {[0]="Aztec figure","Bell","Bell","Binoculars","Camel","Cane","Compass","Flute","Geisha","Passport","Snow globe","Toothbrush","Wristwatch"}
scene100.tableDescriptionsItems = {[0]="Dog biscuit","Dog tag","Egg","Egg","Fish","Gloves","Keys","Moon","Moon","Moon","Mushroom","Ribbon","Rolling pin","Wings","Wooden spoon"}
scene101.tableDescriptionsItems = {[0]="Baseball glove","Bow","Bust","Soda can","Diploma","Mask","Mask","Mask","Microscope","Peace symbol","Rose","Graduation hat","Telescope", "Trophy"}
scene102.tableDescriptionsItems = {[0]="Sherriff's badge","Belt","Cleaver","Envelope","Hammer","Lightning bolt","Mask","7","Scales","Skull","Skull","Spoon","Lighter"}
scene103.tableDescriptionsItems = {[0]="Angel","Angel","Bat","Candles","Centipede","Comb","Eye","Goblet","Hand","Lion","Sickle","Star","Umbrella"}



scene07.tableDescriptionsItems1 = {[0]="Ballerina","Pink dress"}
scene06.tableDescriptionsItems1 = {[0]="Lever","Button"}
scene09.tableDescriptionsItems1 = {[0]="Hacksaw","Keyboard"}
scene13.tableDescriptionsItems1 = {[0]="Scissors","Lever"}
scene14.tableDescriptionsItems1 = {[0]="Crowbar","Basketball"}
scene18.tableDescriptionsItems1 = {[0]="Valve handle","Magnifying glass"}
scene12.tableDescriptionsItems1 = {[0]="Key 7","Knife"}
scene21.tableDescriptionsItems1 = {[0]="Crucifix","Coin"}
scene22.tableDescriptionsItems1 = {[0]="Garden shears","Bell clapper"}
scene26.tableDescriptionsItems1 = {[0]="Padlock key","Tape recorder"}
scene01.tableDescriptionsItems1 = {[0]="Clock hands"}
scene100.tableDescriptionsItems1 = {[0]="Stamp machine part"}
scene101.tableDescriptionsItems1 = {[0]="Stamp machine part"}
scene102.tableDescriptionsItems1 = {[0]="Stamp machine part"}
scene103.tableDescriptionsItems1 = {[0]="Stamp machine part"}

